2010-12-23  brettp

	* simplecache/view.php: Explicitly passing the MySQL db link for
	  simplecache.
	* .: Tagging 1.7.6
	* Updated changes.
	* Fixes potential SQL injection in simplecache.

2010-12-22  brettp

	* Forgot to add the change I just made...
	* Version bump to 1.7.6. Updated changes.
	* Fixes #2684: is_registered_entity_type() returns correctly for
	  types without a subtype. Note: registering a subtype implicitly
	  registers a type.

2010-12-21  cash

	* corrected documentation on get access collection

2010-12-01  cash

	* Refs #2430 adds get_entities_from_access_collection() back in in
	  1.7 branch

2010-11-30  cash

	* Refs #2630 fixed url in messages delete action

2010-11-28  cash

	* Refs #2630 supporting pg/messages/<username>

2010-11-27  cash

	* Fixes #2691 fixes all pages link on all site pages page

2010-11-26  brettp

	* Updated Changes for 1.7.5.
	* Version bump (and correction) in README.txt.
	* Version bump to 1.7.5.
	* Using get_input() for widget save action.
	* Fixes #2583: Added deprecated notice for
	  list_entities_from_relationship(). Accidentally included the
	  actual fix in r7445.
	* Fixes #2572: Removed license, copyright, author, and link
	  docblock tags in all files. License and copyright are covered by
	  LICENSE.txt and COPYRIGHT.txt in root. Updated the
	  CONTRIBUTOR.txt file.

2010-11-22  cash

	* so we don't need to the global $SESSION
	* removed use of session class for get_loggedin_userid()
	* Fixes #2673 fixes warning in plugins.php
	* Fixes #2671 conversation pulled out to language file

2010-11-22  brettp

	* Fixes #2659: Pulled out styles into a css view for
	  uservalidationbyemail.
	* Fixes #2565: Wrapped twitterOAuth's include for OAuth in
	  class_exists().
	* Refs #2660: Corrected docblock for remove_group_tool_option().
	* Fixes #2660: Added remove_group_tool_option().

2010-11-21  brettp

	* Fixed possible XSS in bookmarks plugin.
	* Fixes #2669: Require a user to enter his current password before
	  being able to change it.
	* Fixes #2612: Corrected language string go to search:go.
	* Refs #2670: Fixed profile XFN in user listing view.
	* Fixes #2670: Rel links are correct for XFN in profile pages.

2010-11-11  cash

	* Fixes #2643 - do not load view path cache when plugins are
	  disabled
	* Fixes #2635 caching view types so that plugins can define new
	  view types when caching is turned on
	* Fixes #2641 was not checking for arrays in singular test
	* fixed tools url for files

2010-11-09  cash

	* cleans up previous commit
	* Fixes #2609 - walking group profile field arrays for encoding
	* Fixes #2626 - adding default annotation view
	* Fixes #2632 - documentation was incorrect for get_metadata_byname
	  - it does not return a metadata value
	* Fixes #2630 updated 1.7 file urls

2010-11-07  cash

	* Refs #2630 messages 1.7 plugin uses page handler urls now
	* Refs #2630 invite friends plugin in 1.7 branch now uses page
	  handler
	* Refs #2630 - groups plugin in 1.7 uses page handler for all URLs

2010-11-06  cash

	* fixed language string from previous commit
	* Fixes #2564 Refs #2630 1.7's thewire plugin has better urls and
	  links to users
	* Refs #2630 - updated 1.7 pages urls
	* Refs #2630 - fixed 1.7 members urls
	* Refs #2630 - fixed 1.7 bookmarks urls
	* Refs #2630 - fixed 1.7 blog urls

2010-11-03  brettp

	* Fixes #2582. Using the correct language string.

2010-10-27  cash

	* Refs #2592 - large profile icons are now being created when
	  cropped
	* Fixes #2589 - user add action now checks password before creating
	  user entity

2010-10-14  brettp

	* Forgot to include Twitter oAuth instructions in changes. #Fail.
	* Bah forgot to add the release date in CHANGES.
	* Updated changes for the bookmarks bugfix while in beta.
	* Version bump to 1.7.4 final.

2010-10-12  brettp

	* Added a second bulk actions for validating unvalidated users if
	  there are > 5.

2010-10-11  brettp

	* Fixes #2552. Fixed langauge string.
	* Refs #2551: Added placeholder title text for bookmarks that were
	  added without titles.

2010-10-10  brettp

	* Fixes #2551. Checking for title and address in bookmark save
	  action.

2010-10-09  brettp

	* Fixes #1833: Saving a blog draft saves the blogguid to the
	  session to avoid problems when pulling in drafts on existing blog
	  posts.

2010-10-08  cash

	* using elgg_get_excerpt() in comment river view

2010-10-08  brettp

	* Interface fixes for unvalidated users page.
	* Only selecting disabled entities to avoid showing entities
	  logging in with 3rd party plugins.
	* Simplified taking bulk actions on users. Added "check all"
	  button.

2010-10-07  brettp

	* Version bump in README. Updated changes.
	* Added pagination to unvalidated user list.

2010-10-06  brettp

	* Refs #2537: Invalidating instead of regenerating simplecache when
	  plugin states are changed.
	* Version bump to 1.7.4b
	* Fixes #2410: Added elgg_invalidat_simplecache(). Instead of doing
	  a silly echo ''; exit; when simplecache can't load a file, it now
	  regenerates and displays it.
	* Refs #2518: Backported the Unvalidated Users admin section to
	  1.7.

2010-10-05  brettp

	* Fixes #2202. Backported parts of 1.8's Twitter service to 1.7 for
	  oAuth. We'll need to selectively merge the bug fixes and
	  improvements I've made back to 1.8. Updated The Wire to use the
	  new twitter services plugin hooks.
	* Fixes #2493: Added optional parent argument to profile's
	  setup_avatar_menu(). Added JS in riverdashboard to rebuild the
	  avatar menu when loading sections via ajax.
	* Fixes #2465. Fixed an invalid call to is_callable() in the
	  ElggMemcache::__construct() to prevent an early call to
	  elgg_echo(), which caches the hard coded default language 'en'.
	  Also removed the early elgg_echo() call if switching between
	  multiple and single versions of memcache. The memcache
	  implementation needs rewritten.

2010-10-01  cash

	* Fixes #2499 - fixed resize of non square tall images and resizing
	  of images not allowed to be upscaled

2010-09-30  cash

	* Fixes #2498 - checking for existence of comment text before
	  displaying
	* Fixes #2489 - group tool registered with 'file'

2010-09-29  cash

	* Fixes #2474 - using local variables rather than globals for db
	  paramaters
	* Fixes #2496 - fixes group pages welcome message editing and the
	  editing of a user's welcome page by an admin
	* fixed bug where Elgg crashes if an update is attempted on a bad
	  entity

2010-09-15  brettp

	* Refs #2366: Merged previous to 1.7 branch.

2010-09-12  cash

	* Fixes #2459 - correctly handle POST data when magic quotes is
	  turned on for the web services API

2010-09-11  brettp

	* Fixes #2464: Using is_numeric() in get_entities() to avoid
	  returning entity with guid 1 if a truthy param is passed.

2010-09-11  cash

	* json viewtype needed an entity_list view

2010-09-09  cash

	* Fixes #2454 - perform password sanity checks before registering a
	  user

2010-09-03  cash

	* need to check if page owner exists before using it

2010-09-02  brettp

	* Version bump to 1.7.3.

2010-08-31  cash

	* Fixes #2437 - fixes bug introduced in [6707] - thanks for the
	  report!
	* Fixes #2429 - profile only adds sidebar links when viewer has
	  proper permissions

2010-08-29  cash

	* Forward to REFERER when captcha check fails

2010-08-28  cash

	* Fixes #2426 - deprecated get_entities* functions now support
	  multiple owners as they did in Elgg 1.6
	* merged [6872] from trunk into 1.7 branch

2010-08-23  cash

	* Fixes #2412 - catch DB exception and create the group acl

2010-08-19  brettp

	* Version bump for 1.7.2.
	* Fixes #2393: Added Evan to contributors file.

2010-08-15  cash

	* Fixes #2406 - check if the passed viewtype is valid on boot

2010-08-11  cash

	* updated comment in upgrade so people do not confuse sql and php
	  upgrade scripts

2010-08-10  cash

	* Fixes #2399 - fixes topic string in groups plugin

2010-08-08  cash

	* fixed hardcoded 'via' in the wire plugin
	* Fixes #2398 - 'update' is no longer hardcoded in wire

2010-08-07  cash

	* cannot use links in a system message due to jQuery
	* People are having a hard time figuring out where the Elgg wiki is
	  so including the link
	* cleaned up the reported content plugin
	* Fixes #1905 using better button titles in reported content plugin
	* Fixes #1828 - encoding quotes in file titles for embed plugin
	* Fixes #2395 - 'by' no longer hard coded but replaced by
	  'groups:lastcomment'
	* Fixes #2371 - create_annotation returns false when a plugin
	  rejects the annotation through the elgg event
	* the elgg loading entity from a database row function now falls
	  back to the parent class when the sub class no longer exists due
	  to a plugin being disabled
	* fixed bug in twitter widget when username is not set - extra div
	  was leaking through
	* removed dependency from the plugins on css in bookmarks plugin
	* added world wire posts link to sidebar when logged out
	* Closes #2362 - ignoring all . directories in mod
	* Fixes #2392 - search plugin's mysql query now specifies the
	  database link
	* fixed avatar drop down issue for the write as reported at
	  http://community.elgg.org/mod/groups/topicposts.php?topic=538793&group_guid=212067

2010-08-06  cash

	* do not push status message to say that notification settings have
	  been saved if they haven't changed
	* Fixes #2388 - check now includes type to avoid issue that Milan
	  pointed out
	* fixed some language issues in pages plugin
	* Fixes #2387 - removed all title editing disabling code
	* Fixes #2389 - removed some junk from the widget textareas

2010-08-06  brettp

	* Merged [6790]'s License correction to 1.7 branch and 1.7.2b tag.
	* Merged license correction from [6803] to 1.7 branch and 1.7.2b
	  tag.

2010-07-31  cash

	* standardized todo comments so that it is easier to track them in
	  an IDE
	* entity list pagination needs a clearfloat in case the entity view
	  does not fill entire width

2010-07-30  cash

	* updated the @since documentation for the engine starting from
	  1.7.0

2010-07-27  cash

	* Began pulling out 1.7.2 changes into CHANGES.txt

2010-07-24  cash

	* distinguishe between PHP log messages and Elgg log messages
	* Refs #1150 - removed direct session access from minor core
	  plugins
	* missed this in [6763]
	* Refs #1150 removed session access and did a little clean up in
	  messages plugin
	* Refs #1150 - removed remaining direct session accesses in core
	  views
	* missed this in [6755]
	* removed unused language strings in riverdashboard plugin
	* Cleaned up the friends widget plugin

2010-07-23  cash

	* Refs #1150 - removed some direct session access from core views
	* cleaned up the title view

2010-07-22  cash

	* Refs #1150 - using get_loggedin_user* functions on settings pages
	  and cleaned up view code
	* Refs #1150 - core actions do not use $_SESSION['user']

2010-07-21  brettp

	* Added optional params to validate_action_token() to specify a
	  token to validate instead of pulling from $_REQUEST.

2010-07-21  cash

	* cleaned up some documentation for annotations
	* added comment in get_data() related to returning false or an
	  empty array
	* removed imaginary elgg_new() function calls and replaced with
	  elgg_echo()

2010-07-20  cash

	* Refs #2327 - replaced call to get_tags() in category list view
	* Refs #2327 - replaced call to list_entities_from_metadata() in
	  category listing page and fixed a context issue that needs to be
	  looked at for 1.8
	* Refs #2327 - replaced call to list_entities_from_metadata() in
	  group tag search
	* Refs #2327 - replaced call to list_entities_from_metadata() in
	  file search page
	* Fixes #2369 - non-logged in users no longer misleading text on
	  closed groups
	* Fixes #2370 - applied Glen's patch to fix groups welcome message

2010-07-16  brettp

	* Refs #2327. Applied Evan's patch to remove a call to
	  list_entities in /entities/list.php
	* Fixes #2353. Applied Evan's patch so that elgg_get_tags() returns
	  tags with count >= threshold instead of >.
	* Fixes #2144. Applied Evan's patch to not regenerate simplecache
	  in regenerate_plugin_list().

2010-07-15  cash

	* Refs #1974 - json river view now uses json export global and
	  changed timestamp to a timestamp

2010-07-15  brettp

	* Closes #2358, refs #2351. Using empty() to check for subtype
	  string in get_objects_in_group().
	* Refs #2351. get_objects_from_container() returns FALSE on
	  incorrect subtypes.
	* Refs #1974: Added HTML string to river output json view.

2010-07-13  brettp

	* Fixes #2063: Added unit tests for get_image_resize_parameters().
	  Removed odd logic that ignored all options when not upscaling
	  (see #1445).

2010-07-10  cash

	* more standardization of entities.php
	* added missing brackets so if statement conforms to coding
	  standard
	* Fixes #1896 - notifications are now set when collections change -
	  includes an upgrade script to fix installs pre-fix
	* Fixed a bug where $limit was being ignored if set to 0
	* Refs #2035 - forgot that people may be upgrading from 1.6 or
	  earlier so cannot reuse same function name that I stole from
	  earlier upgrade script
	* Fixes #2035 - profile icons now use user guid rather than
	  usernames - includes upgrade script
	* Closes #2275 - added friendly title to page urls
	* Fixed site notifications for pages plugin
	* Fixes #2305 - page titles can be edited
	* Fixes #1391 - widget ownership is not limited to users

2010-07-09  brettp

	* Fixes #2224: Applied Evan's patch to not cache unchangable
	  ElggEntity attributes.

2010-07-09  cash

	* Closes #2324 - cleaned up documentation related to new output and
	  views core lib files
	* Fixed deprecated notice for list_entities_from_metadata()
	* removed unused code in file plugin's world page controller
	  related to tags
	* Fixes #2346 - limit is now used in file world page controller

2010-07-07  cash

	* Fixes #2333 - Applied Evan's patch - elgg_make_excerpt is now
	  elgg_get_excerpt
	* Closes #2326 - moves views related boot function to views.php
	* Fixes #1434 - applied Evan's patch - max execution time is turned
	  off during upgrades

2010-07-06  cash

	* Closes #2328 - applied Evan's patch to remove hacks from htaccess

2010-07-05  cash

	* Fixes #1291 - blog access control has specific CSS to set width

2010-07-04  cash

	* Fixes #2337 - when group content is deleted, forward to group
	  page
	* Refs #2063 - pulled out resize parameter calculations into a
	  separate function so that we can write unit tests on it
	* removed empty line from top of HTML page

2010-07-03  cash

	* Fixes #1243 - deleting a user on his profile forwards to user
	  administration and system message includes name of user deleted
	* Closes #2027 - added plugin hooks for friendly time and friendly
	  title
	* Closes #740 - updated documentation on metadata creation to be
	  explicit with reference to not supporting associative arrays
	* Refs #1393 - tried to make the ugly hack comprehensible and added
	  a note that this will be deprecated in Elgg 1.8
	* Closes #864 - file and notification plugins already set page
	  owner. Removed remaining page owner on remaining admin plugins
	  doing that.
	* Fixes #2061 - missing filestore metadata causes fallback to
	  default filestore rather than exception. If a bad filestore is
	  specified, throw useful exception message
	* registering simpletype before grabbing tags in embed plugin
	* made warning stronger on htmlawed plugin - same as trunk now
	* Refs #2327 - removes another call to deprecated
	  get_entities_from_relationship() in groups plugin
	* newest blog posts listed first in date archive now
	* Refs #2327 - registering simpletype as a tag name in files plugin
	  for filetype cloud
	* Refs #2327 - removes some deprecated get entities from
	  relationship calls in groups plugin
	* Refs #2327 - removed calls to deprecated
	  get_entities_from_annotations() in annotations.php
	* updated documentation on exposing a method in web services api
	* Fixes #2034 - adds a group create event and renames the group
	  join event so it does not collide with group create
	* removed river view for groups not used in Elgg 1.5 and beyond
	* Fixes #2295 - added a membership roster page
	* Fixes #2277 and standardizes group widgets for blogs, bookmarks,
	  files, and pages - themes may need to add 2 new CSS elements
	  related to .group_widget
	* Closes #1856 - forum topics can now be edited

2010-07-02  cash

	* easier to understand version of previous commit
	* Fixes #2297 - calling metadata with a null value does not delete
	  first array value anymore - returning id of created metadata and
	  updated all functions that use the return value
	* Fixes #828 - set_input() and get_input() now handle nested arrays

2010-07-01  cash

	* removed empty directory from last commit
	* Closes #2117 - removes empty views no longer needed due to new
	  fallback mechanism on viewtypes

2010-06-30  cash

	* Refs #2027 - using elgg_view_friendly_time() in core
	* Refs #2117 #2276 #2027 - added elgg_get_friendly_time and
	  elgg_get_friendly_title so they can be used in non-html views
	* added documentation to the graphics/icon view

2010-06-27  cash

	* Refs #2068 - fixed invisible groups when access level is owned by
	  group
	* Fixes #2200 - committed bman's patch with a hint to developers to
	  avoid redirects

2010-06-24  cash

	* Refs #1127 - create time has been added to relationships
	* Refs #2068 - missing commit from [6553]

2010-06-23  brettp

	* Fixed typo in INSTALL.txt.

2010-06-23  cash

	* Fixes #2068 - group access collections owned by group - also
	  updated access collection membership in case problems occurred in
	  the past

2010-06-23  brettp

	* Fixes #2041: Updated category links for blogs.
	* Checkboxes input: Corrected the <br /> and once again forcing []s
	  on internal name.
	* Fixes #2300: Using usort() to sort users by their display name in
	  user picker.
	* Fixes #2012: Blog posts not in full view mode are trimmed to 500
	  chars.
	* Using '...' instead of &#8230 in elgg_make_excerpt() to keep it
	  usable in non-HTML land.
	* Added policy for breaking between standard English words.
	  Updated a few examples and fixed some typos.
	  CODING.txt is now double spaced for your viewing pleasure (since
	  whitespace is free).
	* Fixes #2054: elgg_pluralise_options_array() was too smart for its
	  own good and was breaking singular -> plural rewrites if a
	  default wasn't ELGG_ENTITIES_ANY_VALUE. Made it dumb. Added unit
	  tests for site_guids.

2010-06-22  brettp

	* Grab counts for search terms first to avoid multiple queries on 0
	  results. Switched to boolean mode for title/desc only searches.
	* Added default value for $where in search_get_where_sql().
	  Commented out worthless if statement.
	  -This line, and those below, will be ignored--
	  
	  M start.php
	* Fixes #1943: Removing boolean mode operators from highlighting in
	  search. Fixed boolean mode detection when using +, -, and ~s.
	* Fixes #397: Added hidden value for checkboxes to allow use in
	  settings. Cleaned up checkboxes code.

2010-06-21  cash

	* Improved the documentation of create_metadata()
	* replaced 2 with ACCESS_PUBLIC in group listing view

2010-06-19  brettp

	* Fixes #2135: Escaping regexp chars in search strings.
	* Refs #2252: Allowing plugins to load during an upgrade in order
	  to recache views correctly.
	  Merged a few important missed bits of 1.8's start.php file to
	  1.7's.
	* Making sure to include admin field in utf8 username update.

2010-06-18  brettp

	* Fixes #2274: Use !$order_by_metadata instead of
	  !isset($order_by_metadata) in
	  elgg_entities_get_metastrings_options() because isset(array())
	  returns true, which forces a join on the metastrings table.
	  Added unit tests for egeb_relationship()
	* Fixes #2293: Pulled in Glen's patch.

2010-06-18  cash

	* Fixes #2252 - global variable that page_elements/header depends
	  on now set for caching - before views were cached but browser was
	  not requesting them

2010-06-17  brettp

	* Fixes #2123: Special encoding and data migration for utf8
	  usernames when upgrading from < 1.7.
	  Version bumpbed.

2010-06-16  cash

	* Closes #2288 - friends pages can now be removed from page
	  handling system. Links to these friends pages in core could
	  already be removed through remove_menu() and overriding views
	* Refs #2288 - cleaned up friends pages - removed start script,
	  fixed a title bug, removed direct $_SESSION access
	* Fixes #2287 - handles empty site email address now

2010-06-15  brettp

	* Fixes #2164: Backported elgg_list_entities_from_metadata() to 1.7
	  branch
	* Fixes #2014: Pulled in Evan's patch to display invalid username
	  chars.

2010-06-15  cash

	* fixed group featuring

2010-06-15  brettp

	* Backported 1.8's engine/start.php file to 1.7 because it's much
	  nicer.

2010-06-14  brettp

	* Fixes #2252: Move core view discovery to system boot event so
	  upgrade.php correctly regenerates views cache for core views.
	  Very important for css...
	* Can't take it any more--view functions have been pulled out into
	  engine/lib/views.php

2010-06-13  brettp

	* Fixes #2208: Applied Evan's patch to remove extra spaces from
	  pagination "current page." CSS is already in place to keep things
	  pretty.
	* Fixes #2126: Applied Evan's patch.

2010-06-12  cash

	* elgg_view() was not falling back to plugin views correctly

2010-06-05  cash

	* Fixes #2261 - forward user on error back to referrer. Captcha
	  still doesn't play nice.
	* Fixes #2257 - checking if invited person is already member and
	  display better error messages
	* Fixes #2265 - checking if user has any collections before
	  updating them
	* Fixes #2264 - checking if access collection is empty before
	  looping

2010-06-04  brettp

	* Fixed UTF8 reply subject mangling.
	  Removed an unused view.

2010-06-04  cash

	* Closes #2260 - group names are now links in widget
	* Closes #1837 - removes bad notification relationships during
	  upgrade

2010-06-03  brettp

	* Merged previous CODING.txt changes to 1.7 branch.

2010-06-03  cash

	* Refs #1837 - Generalizes previous commit to also handle deleted
	  friends
	* Refs #1837 - leaving a group now removes the notification
	  relationships

2010-06-02  cash

	* Closes #2115 - simplecache is viewtype specific and does not
	  regenerate twice per reset

2010-06-01  cash

	* Refs #2115 - simplecache is now viewtype sensitive
	* profile icon encodes & properly
	* img tag widths and heights should not include px

2010-05-29  brettp

	* Merged previous view_type additions to 1.7 branch.

2010-05-28  cash

	* stop cutting off the last word of short posts
	* Closes #2191 - can now remove menu items

2010-05-27  nickw

	* Porting r6257:6258 from trunk: registers password reset/request
	  as public actions.

2010-05-27  cash

	* Closes #2044 - rewrote default_page_handler so that it does what
	  it is supposed to do
	* Closes #2108 - TinyMCE no longer pulls out domain from local
	  links
	* Fixes #2171 - input/pulldown now works with an options array

2010-05-26  brettp

	* Merged previous to 1.7.

2010-05-26  cash

	* Fixes #2037 #2089 - fixing issues with joining group when saving
	  group
	* forgot to uncomment actual fix in previous commit - truly closes
	  #1963 this time
	* Fixes #1963 - group profile data is now properly encoded and
	  includes upgrade script to fix current data
	* standardized group edit action

2010-05-24  brettp

	* Merging previous to 1.7 branch.

2010-05-20  brettp

	* Merged 6118 and PART of 6117 from trunk => 1.7. *grumble, grumble
	  atomic commits*
	* Merging [6119] into 1.7 branch.

2010-05-19  cash

	* Fixes #2138 - updating a bookmark does not add a new bookmark
	  river event now
	* Fixes #1879 - admins can now edit and delete group forum topics
	  and posts in groups they do not belong to

2010-05-18  brettp

	* Merged previous commit's functionality into 1.7 branch.

2010-05-13  cash

	* moved some output related functions from elgglib.php to
	  output.php
	* Closes #2140 and #2184 - excerpt code is now in output.php
	* removed activity.php from libraries being loaded
	* good-bye activity.php - moved only function to river.php and
	  deprecated
	* promote river2.php to river.php
	* Refs #2140 - welcome output.php and a general purpose excerpt
	  function

2010-05-12  cash

	* Fixes #1923 - added page owner to 2 group pages
	* Fixes #2181 - only add river event when profile edited by owner
	* Fixes #2136 - removed session fingerprint using user agent - not
	  dependable, nor does it provide any increase in security
	* Fixes #2153 - user agent removed from action token calculation
	* Fixes #2006 - simplecache and viewpathcache flags work the same
	  way now

2010-05-11  brettp

	* Check wwwroot for trailing slashes on site info edit.

2010-05-11  cash

	* Fixes #2187 - notifications plugin now unextends the user
	  settings view for notifications
	* Refs #2187 - added method to unextend views
	* Fixes #2186 - forgot to add & in [5996]

2010-05-10  cash

	* Fixes #2185 - sets query string in rewrite rules rather than in
	  php code - **requires update to htaccess**

2010-05-07  cash

	* Fixes #1900 - page owner is set for notification pages
	* added page handler to notifications plugin
	* finished standardizing the notifications plugin

2010-05-05  brettp

	* Fixes #2145: elgg_list_entities() respects offset and limit
	  passed via $_GET.
	* Fixes #2148: Admin-only actions called by non-admin users
	  register an error on redirect.
	* Fixes #2156: Blog draft and preview work without body content.

2010-05-04  cash

	* starting standardizing the notifications plugin
	* riverdashboard now supports RSS feeds and allows non-logged in
	  users to view
	* cleaned up documentation on contentwrapper view
	* use pagehandler in riverdashboard and select page title based on
	  configuration

2010-05-03  cash

	* forgot to add @since on addition of remove_from_river_by_id()
	* Standardized the riverdashboard plugin
	* Closes #2066 - added function to remove single river entry
	* merged [5939] from trunk into 1.7 branch

2010-05-01  cash

	* you post comments - not save them - this confuses content owners
	  who think they are saving their content
	* Refs #1150 - active code in engine now uses get_loggedin_user*
	  functions
	* made get_loggedin_user() consistent with its documentation and
	  made null uppercase

2010-04-30  cash

	* Refs #2117 - rss viewtype needs entity list view
	* Closes #1888 - forum topics view now uses $vars[] instead of
	  get_input()
	* Fixes #2141 - applied patch to catch request for non-existent
	  user's profile icon

2010-04-29  cash

	* Fixes #2137 - time creation parameters are now properly be
	  rewritten for deprecated interfaces
	* cleaned up messageboard code - better widget code, no direct uses
	  of $_POST, and so on
	* Refs #2055 - added comment to explain why output of
	  get_access_sql_suffix() is modified in river table query
	* Closes #2130 - forward(REFERER) now works

2010-04-28  cash

	* Fixes #2133 - user default access works again
	* Fixes #2132 - widget save action no longer forwards and does not
	  queue up system messages
	* Fixes #1783 - deleted message board entries are removed from the
	  river
	* standardized the messageboard plugin

2010-04-27  cash

	* Refs #2117 - only fall back to default view if that viewtype has
	  been registered
	* Fixes #1403 - conversion over to new mail function is complete
	* brought the invite friends plugin up to standards
	* a little cleanup of friend create river view
	* Fixes #2120 - actions() now checks properly for public actions
	* Fixes #2119 - handles disabled entities in the river
	* Refs #1403 - invitefriends now uses an Elgg function to send mail

2010-04-26  cash

	* Fixes #2060 - users are logged in regardless of method's
	  requirement for authentication
	* removed session PAM from default web services handler

2010-04-23  cash

	* Refs #1403 - first cut at a general purpose email send function

2010-04-22  cash

	* fixed elgg_get_file_list() so that it actually works
	* improved documentation of elgg_extend_view()
	* Added plugin hook to forward()

2010-04-21  brettp

	* Updated changes and bumped version for 1.7.1

2010-04-21  cash

	* cleaning up [5822] - putting elgg_format_url() in the same
	  location in elgglib.php

2010-04-20  cash

	* Fixes #2075 - applied Melvin's patch to the foaf views
	* merged [5603] into 1.7 branch from the trunk

2010-04-20  brettp

	* Fixed the previous fixes for Insanoday 2010.

2010-04-19  brettp

	* Refs #2074: container_guid support added to search backend, but
	  no interface for it yet.

2010-04-17  brettp

	* Merged previous commit into 1.7.

2010-04-16  brettp

	* type_subtype_pair correctly rewrites to type_subtype_pairs in
	  elgg_get_entities().

2010-04-16  cash

	* Fixes #2065 - added missed .
	* Fixes #2069 - when a file is updated, it needs to be saved to
	  force attributes to database
	* Fixes #2062 - use mb wrapper functions on file names in file
	  plugin upload action
	* Fixes #2067 - group forum comments now removed from river when
	  deleted

2010-04-15  brettp

	* Version bump.

2010-04-14  cash

	* profile icons need to be scaled if smaller than asked for

2010-04-14  brettp

	* Fixes #2039: Added indicator.gif.

2010-04-13  cash

	* #refs #2035 - added profile icondirect back to the 1.7 branch
	* fix for previous - subtype depends on type so type must be
	  specified when retrieving entities based on subtype
	* Refs #2041 - added category listing page and standardized plugin

2010-04-12  cash

	* thewire rss feed did not have a proper guid - fixed this

2010-04-09  brettp

	* Fixes #2053: Tags return the correct title in search for users
	  and groups.
	* Reopens #2028: Removed clearfloat class to fix search results
	  displaying for entities. Removed unnecessary CSS. Updated
	  comments view to display the same as entities. Comments still
	  need to support the new overrides. The readme file needs to be
	  updated to reflect the changes.

2010-04-06  brettp

	* Merged #5634 to 1.7.
	* Merged 5624 from trunk.

2010-04-05  brettp

	* Fixes #2028: Pull in Justin's changes to allow search overrides
	  for url, time, and icon.
	* Fixed installation problems after [5584].

2010-04-03  cash

	* get_entities() was not passing a limit of 0 to
	  elgg_get_entities()
	* fixed bug caused by display name collision in friends picker
	* those who have iconv can use it with friendly titles by
	  uncommenting
	* Fixes #1976 - comments now have a search view for RSS
	* Refs #2016 - profile edit action can now handle multi-dimensional
	  arrays
	* fix for previous commit
	* Fixes #2017 - htmlawed now handles multidimensional arrays
	* if first or last word consists of all non-safe url characters you
	  end up with - in odd spot. This fixes that.
	* blog owner's name was not being set in page title
	* fixed minor layout issue where the To: and icon were flipped when
	  composing a message
	* Fixes #2040 - forward user to inbox after sending a message
	* updated changelog for today's commits
	* Added remove_widget_type() so that sites can control what widgets
	  are available
	* Made the widgets for the various content plugins consistent
	* Fixes #2013 - adds blog widget
	* Fixes #1223 - skip notification methods that no longer exist
	* Fixes #1308 - if subtype front is not defined, externalpages was
	  throwing a warning

2010-04-03  brettp

	* Added 1.7.1 changes to CHANGES.txt
	* Refs #2015: Reverted output/url to not force http:// prefixes on
	  URLs.

2010-04-03  cash

	* Refs #2005 - javascript not corrupted by logging at DEBUG/WARNING
	  level

2010-04-02  brettp

	* Fixes #2027, fixes #1265: Moved friendly time and friendly title
	  into views that can be overridden by plugins.
	* Fixes #671: Moved admin flag from metadata to users_entity table.
	  +5 speed.

2010-04-02  cash

	* Refs #1976 - added rss search view to the wire

2010-04-01  brettp

	* Added a few more metadata tests.
	* Cleaned up some of the sql where functions for
	  elgg_get_entities_from_metadata().
	* Enable filtering on search queries.

2010-04-01  cash

	* Fixes #1989 and refs #2035 - profile icondirect should work for
	  those using CGI
	* Refs #2010 - file download action restored and exempted from
	  token requirement - does not need to be merged into trunk

2010-03-31  brettp

	* Fixes #1928: UTF8 migration moved from db to code to detect if it
	  is required. Bumped version to 1.7.1 (2010033101).

2010-03-31  cash

	* Fixes #1945 - add_to_river now checks for view with default
	  viewtype
	* Added an error message to explain denied access to closed group
	  pages
	* Fixes #2011 - access check for closed groups for group plugins

2010-03-30  brettp

	* Fixes #2022: get_entities_from_annotations() rewrites owner_guid
	  to annotation_owner_guids. Cleaned up some leftover code. Added
	  maxtime back to select statement.
	* Fixes #2022: Added abilty to get entities by metadata/annotation
	  owner_guid. DRY'd up the metadata and annotations SQL. As an
	  added bonus, you can now sort by annotation value if so inclined.

2010-03-30  cash

	* Refs #1976 - Search now includes a link to RSS page
	* Fixes #2019 - correctly checks the container permissions based on
	  user id
	* Fixes #2020 - all changes to thewire that were lost are
	  intregated back in
	* Refs #2020 - wire does not integrated with activity dashboard
	  anymore
	* Refs #2020 - wire post is not turned into tag array because we
	  have free text search now

2010-03-29  cash

	* Fixes #2016 - profile edit action can now handle 1D arrays
	* Fixes #1967 - cleans up forward()

2010-03-28  cash

	* better fix for previous commit
	* fixes warning in notification settings when no friends selected
	* fixed bugs in friend picker for notifications - was not i18n
	  friendly and not handling case where no friends selected yet
	* cleaned up php code in notification's forminternals and fixed
	  open link tag - I'll handle merge into trunk
	* made the friend picker in notifications multi-byte string
	  friendly

2010-03-26  brettp

	* Refs #2015: It's too early. Using the correct variable.
	* Fixes #2015: output/url view again appends http:// to the value
	  if missing.

2010-03-26  cash

	* removed undeclared variable $area1 from blog index

2010-03-25  cash

	* Fixes #2008 - fixed some sloppy code in the embed plugin so that
	  pagination works
	  -- This line, and those below, will be ignored--
	  
	  M mod/embed/views/default/embed/pagination.php
	  M mod/embed/views/default/embed/media.php
	* Fixes #1937, refs #1781 - stripping tags moved into plugin
	  actions until better solution
	* missed file for revision [5441]
	* Fixes #2001 - setting subtype correctly in clone method
	* Fixes #1925 - member search by tag now works

2010-03-24  cash

	* tag cloud functions are deprecated in 1.8

2010-03-22  cash

	* Refs #1991 - owner_guid needs to be set to NULL when setting
	  container_guid

2010-03-19  cash

	* Fixes #1902 - strips slashes from url encoded titles for
	  bookmarks
	* Fixes #1999 - replaces calls to mysql_real_escape_string() with
	  sanitise_string()

2010-03-19  brettp

	* Merged 5426 from trunk to 1.7.
	* Merged 5424 into 1.7 branch.
	* Fixes #1988: Corrected metadata case sensitivity in
	  list_entities_from_metadata().
	* Fixes #1992: Removed incorrect extended view in the wire.

2010-03-19  cash

	* Fixes #1940 - db settings are checked before settings.php is
	  created
	* Fixes #1993 - links in tag cloud now properly hit search pages
	* Fixes #1991 - only sets container to owner if container not
	  defined for get_entities()

2010-03-19  brettp

	* Fixes #1994: Missing views now throw a NOTICE instead of a
	  WARNING.

2010-03-18  cash

	* Fixes #1951 and #1952 - tag lib now has elgg_get* interface

2010-03-17  brettp

	* Fixes #1818: Tinymce's init uses a class selector on text areas
	  to avoid hijacking plaintext fields on the same page.

2010-03-17  cash

	* Refs #1976 - adds RSS layout view for search

2010-03-16  cash

	* Fixes #1984 - missed the echo of description on the edit form for
	  [5413]
	* Fixes #1984 - front page preview code is commented out correctly
	  now
	* Fixes #1927 - group search by tag works now
	* Fixes #1924 - groups plugin now uses invite strings for
	  invitations

2010-03-15  cash

	* Fixes #1953 - removes unnecessary html in page handlers of blogs
	  - this is a 1.7 branch only change
	* Group discussion RSS feed was not displaying text of post because
	  it was saved in annotation
	* Fixes #1980 - Group rss feed was using owner rather than
	  container
	* Fixes #1968 - send messages pagination now works like inbox
	* Fixes #1977 - strip tags from user's display name
	* Fixes #1469 - install pages will not be cached now by the browser

2010-03-14  cash

	* Fixes #1982 - fixed no groups string in custom index plugin

2010-03-13  cash

	* Fixes #1973 - removed tags from external pages plugin as not
	  needed with the new search in Elgg 1.7

2010-03-12  cash

	* Fixes #1969 - missing echo in pages welcome view

2010-03-11  cash

	* Refs #1947 - fixes pagination for thewire plugin
	* Refs 1947 - fixes pagination for the pages plugin
	* Only showing div for delete group when the group has been created
	  on edit form
	* Refs #1947 - Fixes pagination for groups plugin
	* Fixes #1545 - diagnostics plugin does not throw a ton of warnings
	  now
	* Fixes #1944 - full_url() now correctly handles standard https
	  port
	* Fixes #1961 - reported content now including report object in
	  plugin hook
	* Fixes #1949 - defined global $CONFIG in user validation by email
	  page handler

2010-03-10  cash

	* Fixes #1954 in 1.7 branch - logged out users cannot reply to wire
	  posts
	* refs #1947 - fixes pagination for bookmarks

2010-03-09  brettp

	* Merged trunk:5338 into 1.7 branch. Fixes problem with view type
	  when using deprecated list_entities().

2010-03-09  cash

	* updated language in groups plugin - you 'post' to a discussion
	  forum rather than 'save'
	* fixed pagination for User Administration
	* refs #1947 - fixes pagination for file plugin
	* fixed pagination for latest activity on front page
	* fixed a minor issue with a blog menu item
	* refs #1947 - fixes offset handling for blog pages
	* Fixes #1950 - passes offset so that pagination works on dashboard
	  latest activity page
	* fixed comment in core language file

2010-03-08  cash

	* Refs: #1927 - groups plugin saves tags as "interests"
	* fixes #1931 - tag search highlighting now case insensitive
	* fixes 1941 - create page form is now sticky

2010-03-06  cash

	* better upgrade instructions

2010-03-05  cash

	* Fixes #1939 - offset is now passed to the new elgg_list_entities
	  function from group listing page
	* A better error message for debugging "file is missing an owner"
	  exception

2010-03-03  root

	* Added 1.7 mods to the branch and tag

2010-03-02  root

	* Refactoring the core SVN repo.

2010-03-02  brettp

	* Updated changes file for 1.7 release.
	* Fixes #1562: Added a default value for entities.last_action in
	  the schema and as an upgraded. Bumped version number to 1.7
	  final.
	* Updated the the default search entity view to check for users and
	  groups and properly display their profile icons.

2010-03-01  brettp

	* Fixing punctuation in upgrade strings.
	* Refs #1562: Updated requirements for Elgg.
	* Fixes #1566: Rewriting calls to get_group_members() to use 1.7's
	  constant for site_guid.
	* Fixes #1558: Applied Cash's patch. Added unit tests to test for
	  regressions for any bugs fixed in trac.
	* Fixed unit tests for exportable values after [3977].
	* Fixes #1563: Added time_updated and site_guid to the export vals.
	* Changed search language array variable name.

2010-02-26  brettp

	* Fixes #1540: Added site_guid to get_user_access_collections().
	* Refs #1553: Corrected profile link in friending notification.
	* Fixes #1555: Added missing call to
	  elgg_get_registered_tag_metadata_names() and defined missing
	  variable.
	* Added login to the list of actions not requiring a security
	  token.

2010-02-24  brettp

	* Version bump.
	* Fixes #1542: Pulled in Kevin's patch to add ability to sort by
	  metadata. Added unit tests for this.

2010-02-23  brettp

	* Refs #1543: Added support to have pass an array as a value in the
	  metadata_name_value_pair option of
	  elgg_get_entities_from_metadata().
	  Added unit tests for elgg_get_entities_from_metadata().
	  Cleaned up some documentation for
	  elgg_get_entities_from_metadata().

2010-02-22  brettp

	* Fixes #1528: Correctly throwing exceptions for objects, groups,
	  and users.

2010-02-22  cash

	* river plugin is defunct so does not need to be enabled on install
	* Fixes #1544: plugin hook for diagnostics now for entity "system"

2010-02-22  brettp

	* Fixes #1531: Correctly implemented dates for friendly times. No
	  more coding while watching the Olympics!

2010-02-22  cash

	* Fixes #1541: javascript now correctly included in output/url view

2010-02-21  cash

	* Fixes #1517 - let web server set content length on xml files

2010-02-21  brettp

	* Deprecated elgg_validate_action_url() by
	  elgg_add_action_tokens_to_url(). Updated elgg_deprecated_notice()
	  to include the file & line of the caller. Updated core to use
	  elgg_add_action_tokens_to_url().

2010-02-21  cash

	* Refs #1517: only encode <,>, and & for strings in xml

2010-02-21  brettp

	* Refs #1538: Removed action_gatekeeper() from action files in
	  core.
	* Fixes #1539: Removed line endings from htaccess_dist.

2010-02-21  cash

	* Apache's MultiViews was matching the rest page handler
	  incorrectly

2010-02-20  brettp

	* Refs #1531: Added full time and dates to friendly time stamptes
	  via acronym tags.
	* Fixes #1523: Updated search to use
	  ELGG_ENTITIES_NO_VALUE/ANY_VALUE and removed some commented out
	  code.

2010-02-19  brettp

	* Fixes #1421: Banning and unbanning users invalidates the memcache
	  entity.
	* Corrected fullview call in users admin section.
	* Refs #1504: Removing revert option from widget draggables to
	  avoid fly away effect in IE 7.
	* Fixed a bug in widget layouts that caused the "edit page" link to
	  not work if no widgets were defined.
	* Fixes #1532: Added security tokens to friend picker when in form
	  mode.
	* Fixes #1535: Corrected double replace for URL in RSS title view.
	* Fixes #1519: Corrected site_guid in create_access_collection().

2010-02-18  brettp

	* Getter API test: Moved the setup and tear down into the construct
	  and destruct methods. Fixed a few new tests that were failing
	  because of sorting by time.

2010-02-17  brettp

	* Fixes #1488: Removed use of deprecated functions in core.
	* Refs #1523: elgg_get_entities() uses the constants for defaults
	  and conditionals. Added some tests to check for no subtypes.
	  Updated the documentation.
	* Fixes #1526: Big honking warning added to unit tests. Getter test
	  also deletes its subtypes now.
	* Updated docs for search.
	* Fixes #1527: Logout doens't require an action token. This is a
	  temporary fix until #1509 is implemented.
	* Fixes #1499: User and group search default to ignoring subtypes
	  to return all entities.

2010-02-16  brettp

	* Fixed incorrect variable calls in search.
	* Not using elgg_get_entities_from_metadata() for tag search
	  because of performance issues. Switched to custom WHERE / JOINs
	  with elgg_get_entities().
	* Removing embed extended view from core.

2010-02-13  brettp

	* Cleaned up tag searching so you can search on a specific tag.
	  Useful in search so a tag in "Things I like" won't match a tag in
	  "Things I hate."

2010-02-12  brettp

	* Can't type hint for strings.
	* Closes #1506: Added elgg_register_tag_metadata_name(),
	  elgg_get_registered_tag_metadata_names(), and
	  ElggEntity::getTags(). Search on tags updated to use registered
	  tag names instead of hard-coded 'tags' metadata name.
	* Fixes #1510: Added elgg_get_file_list(). get_library_files()
	  wraps to this function with a deprecation notice for any plugin
	  authors using it to auto-load files.
	* Fixes #1512: Using a helper function for mb_parse_str() instead
	  of wrapping it exactly.

2010-02-12  cash

	* updated documentation on the REST API user authentication

2010-02-11  brettp

	* Fixes #1501: Setting ini for mbstring.internal_encoding to utf8
	  to work around a PHP bug. Replaced calls to parse_str() with
	  elgg_parse_str().
	* Fixes #1507: $vars['baseurl'] used instead of undefined $baseurl
	  in pagination view.

2010-02-11  cash

	* fixes #1505 - some lazy css was impacting opera for checkboxes -
	  overriding border and padding properties inherited from input
	  selector

2010-02-11  brettp

	* Made the output/url view backward compatible for the few plugins
	  that used it.

2010-02-10  brettp

	* Remove version from default theme's css.

2010-02-09  brettp

	* Fixes #1503, fixes #1474: Library files are loaded using a
	  hard-coded list to better deal with removed files. Also, ~4%
	  performance increase per page load on my server!
	* Correcting the corrected documentation.
	* Documentation correction in search.

2010-02-08  brettp

	* Updated copyright for core plugin manifests.
	* Fixes #1496: delete_access_collection() invalidates the access
	  collection cache before attempting to delete. Removed a misplaced
	  unset() in a unit test that was causing test objects not to be
	  properly deleted.

2010-02-07  cash

	* finished the fix to #1492
	* more user friendly section title on user stats page
	* fixed punctuation issue on install instructions
	* tweaked some documentation on the REST API

2010-02-07  brettp

	* Correcting documentation for elgg_get_entities_from_metadata().

2010-02-07  dave

	* & replaced by &amp; in the header and alt added to some header
	  graphics
	* updated

2010-02-06  brettp

	* Refs #1200: Added tests to test for false being returned with
	  elgg_get_entities(). Disabled execution time during unit tests.
	* Fixes #1492: Removed usage info collecting from installation.
	* Fixes #1493: Updated schema to set auto_increment IDs for
	  access_collections to 3 to avoid overwriting default values with
	  group / shared access ACLs.
	* Fixes #1491: Removed mistakingly assigned input-password with
	  input-textarea.

2010-02-06  cash

	* missing new on upgrade_details object creation
	* fixes #1486 - elgg_dump now works when sending to server error
	  log

2010-02-06  brettp

	* Fixes #1404: Added input-password rules in default css.

2010-02-05  brettp

	* Fixes #1483: Reset password emails forward to a confirmation page
	  handler instead of directly to an action.
	* Fixes #1212: Removed unused code.
	* Fixes #1486: elgg_log() can now log arrays and objects to
	  error_log().
	* Fixes #1319: Applied patch for missing xml-rpc <value> tag.
	* Fixes #1481: Applie Mike's patch and created function
	  elgg_http_add_url_query_elements() to handle what the pagination
	  view was trying to do.

2010-02-04  cash

	* updated copyright to 2010

2010-02-04  brettp

	* Refs #1200: Changed logic in
	  elgg_get_entity_type_subtype_where_sql() to return FALSE if there
	  are no valid subtypes passed. Ignores all invalid subtypes. Added
	  (partial) tests for elgg_get_entities() types and subtypes.

2010-02-03  cash

	* updated install instructions to encourage more use of the wiki
	  instructions/troubleshooting and discourage setting data
	  directory to 777 as default
	* fixed a comment in rss pageshell

2010-02-01  brettp

	* PHP complains about not casting the timestampt to int for use in
	  date().
	* Added error checking to clear_metadata_by_owner().
	* Fixed incorrect variable for subtype in get_entity_dates().
	* Fixes #1328: Removed rows and cols from the installation
	  textareas and added CSS to format width/height at 100% to make it
	  easier to read and select.
	* Fixes #340: add_menu() and make_register_object() deprecated.
	* Fixes #1166. get_installed_translations() only calculates
	  completion if admin is logge din.
	* Fixes #1406: get_entity_dates() supports order by.
	* Adding some \ns between the SQL error and the query in the
	  database exception.
	* Fixes #1398: autop() doesn't call missing clean_pre() function.
	* Fixes #1376: added ElggEntity::removeRelationship().
	* Fixes #1478: uh....how did that get in there?
	* Fixes: #1475. elgg_http_build_url() correctly sets port number.
	* Fixes #1314: Filestore opens read-only with rb instead of r+b.
	* Refs #1290: Changed email addresses are checked in
	  action:email/save
	* Fixes #1261: Exceptions force an HTTP recache.
	* Fixes #1213: delete_relationship() triggers delete:relationship
	  hook.
	* Fixes #1211: page_owner() sets the page owner after figuring it
	  out.
	* Updated documentation for elgg_get_entities().
	* Fixes #1325: ElggEntities::countEntitiesFromRelationship()
	  support inverse relationships.
	* Fixes #1473: Simple patch to create a view for the registration
	  page.
	* Fixed incorrect deprecated warning.
	* Refs #1079: elgg_view() casts view to a string before attempting
	  to call views.
	* Fixes #678. Friending appears in the river for invited new users.
	* Put the can_write_to_container() plugin hook in the right place
	  after [3871].
	* Add elgg_deprecated_notice() so we don't have to re-write all the
	  elgg_log() deprecated notices to register_error()s. Updated
	  current ones to use this.

2010-01-31  brettp

	* Removing var_dump().
	* Deprecated old search functions and views.
	* Fixes #1164: can_write_to_container() now sends default values
	  through container_permissions_check hook.
	* Somehow missed deleted a { on the last commit. All better now.
	* htmlawed no longer creates tags with extra spaces (<p >).
	* Fixes #1289: Pragma: public header added for RSS feeds.
	* Fixes #804: A relationship is created between a new user and the
	  site it was created on.
	* Fixes #959: Added elgg_http_remove_url_query_element() to remove
	  a GET element instead of using faulty regexp.

2010-01-30  brettp

	* Changed array_key_exists() to isset() in
	  elgg_validate_action_url().
	* Added checking for $query array in elgg_validate_action_url().
	* Setting a default value to avoid notices.
	* Fixes #1425, Fixes #1341: Upgraded htmlawed to latest. Altered
	  the htmlawed attribute filtering function to return <attr="val">
	  for proper linking in parse_urls(). Added background-color as a
	  non-filtered style attribute.
	* Refs #1425: Cleaned up regexp for parlse_urls().

2010-01-29  brettp

	* Fixes #1468: Cleaned up logic for enabling and disabling plugins.
	  Checking for arrays when metadata returns only a single enabled
	  plugin.
	* Removed unneeded owner block icons from admin.
	* Added db migration 2010012901 that adds last_action column to
	  entities table.
	  Bumped version number to 1.7b (2010012901).
	* Fixes #1472: get_entity_relationships() supports inverse
	  relationships.
	* Fixes #1470, Fixes #1471: elgg_view_regenerate_simplecache() no
	  longer triggers the pagesetup/system hook. Fixes problems with
	  creating the submenu.

2010-01-28  brettp

	* Updated changes for previous commit.
	* Corrected clear_plugin_setting() to only remove a single plugin
	  setting instead of all setting for a plugin.
	  Added clear_all_plugin_settings() to remove all settings for a
	  plugin.

2010-01-28  cash

	* changed my email address to web site in contributors file

2010-01-28  brettp

	* Fixes #1049, Fixes #1435: Admin-created users and first admin
	  user are marked as validated to prevent inaccurate "Please
	  validate your account" messages and emails.

2010-01-27  brettp

	* Fixes #1419: Added remove_from_river_by_annotation(). Deleting
	  annotations now deletes their river entry.
	* Updated changes.
	* Fixes #1465: Added unregister_event_handler() and
	  unregister_plugin_hook().
	* Fixes #1464: A new session is created in logout() after
	  destorying the old session to display old $_SESSION['msg']
	  messages.

2010-01-26  brettp

	* Updated changes for the display name change.
	* Display names are limited to 50 chars and have HTML tags removed.
	* Bumped version number in README.
	* Fixed a typo in css that broke everything in FF 3.6.
	* Fixes #1454: Applied Cash's patch. Bad plugins are automatically
	  disabled and a notice is displayed instead of breaking the site.

2010-01-25  brettp

	* Fixes #1450, Fixes #1461: Using $_SERVER['REQUEST_URI'] to pull
	  in GET params on apache servers.

2010-01-24  brettp

	* Correctly forwarding messages among multiple forwards
	  (action_gatekeeper() -> index -> dashboard would drop messages
	  generated in action_gatekeeper()).
	* Refs #1450, Refs #1461, Refs #1460: Install now clears out views
	  caches.
	* Masking dbpassword in dianostics file.
	* Fixes #1460, Fixes #1459: Tokens are not required to disable a
	  plugin or install. This allows users to disable plugins that
	  overwrite admin pages without tokens.
	* Refs #1459: Added missing security tokens for failsafe
	  (installation) view.
	* Removing calls to engine/start.php in action files.
	* Added best practices to CODING.txt.

2010-01-23  brettp

	* Fixed missing ) causing a WSOD.
	* Fixes #1455: Updated search URL for admin user search. (The old
	  one worked, but didn't limit to users.)

2010-01-22  brettp

	* Changed uservalidationbyemail to not use an action and cleaned up
	  some of its code.
	* Fixed a bug preventing messages and warnings from passing during
	  a forward().

2010-01-21  brettp

	* Updated views to use output/url with action flag set.
	* Removed output/action_link view as it duplicated much of
	  output/url.
	  Improved output/url view.
	* Removing debug output from previous commit.
	* Corrected a possible SQL insertion bug in
	  elgg_get_entity_metadata_where_sql().
	* Fixing bug in resizing function that would incorrectly attempt to
	  crop a picture that was smaller than the target image.
	* Changed default declaration of $vars in elgg_view() to array().
	* Fixed a typo causing a WSOD.
	* Fixes #750: All actions require __elgg_ts and __elgg_token.
	* elgg_http_build_query() now supports ports.
	  Checking for __elgg_ts also in elgg_validate_action_url().
	  Fixed a spelling mistake ;)
	* Adding a view to generate action links for single-click actions.

2010-01-20  brettp

	* Fixing bugs in search that would break pagination.
	* Refs #1161: Added empty pagination view for RSS feeds.
	* Resetting cropping coords for images that can't be cropped in
	  filestore.
	* Fixes #1445: get_resized_image_from_existing_file() has an
	  optional parameter to allow upscaling if requested image is
	  larger than original image.
	* Fixed documentation for time created and modified params in
	  elgg_get_entities().

2010-01-15  brettp

	* Removing order by clause for now in search.
	* Updated CHANGES for #1414.

2010-01-14  brettp

	* Stripping slashes on output of original search query.
	* Allowing no table prefix in search_get_search_where_sql()
	* Fixed incorrect order by for search sorting.
	* Fixed an incorrect var name that caused a bug when hooking
	  against a type but not a subtype.
	  Added first pass at results sorting.
	* Removed unnecessary view directories.
	  Added option of overriding the default layout for search queries.
	  Updated documentation reflecting those changes.
	  Clarified some points in the documentation.
	* Added checking and an ERROR log if elgg_view() is passed a
	  non-array $vars.

2010-01-13  brettp

	* Updated contributors with entire MITRE team.

2010-01-13  nickw

	* Creating a helper function to return INI values in bytes.

2010-01-12  brettp

	* Fixes #1414: Metadata set to a falsy value (except NULL) returns
	  TRUE for isset($obj->md).

2010-01-12  cash

	* closes #1145 - deprecated current "copy constructor" for all
	  entities and implemented a clone method. The clone copies over
	  all metadata but not annotations and private settings. It sets
	  the guid to 0 so saving the cloned entity creates a new database
	  record. The ownership/access of metadata is set during the save
	  and will be the same as that of the entity.

2010-01-12  brettp

	* Cleaned up RSS entity view for search a bit.
	* Added phpdoc header to index.php
	  Added RSS support to search. Nifty.

2010-01-11  nickw

	* Always generating action tokens with output/confirmlink.
	  
	  Includes a check for actions already defining the tokens.

2010-01-11  brettp

	* Fixed a few spelling mistakes.
	  Added descriptions for the vars in 3.2
	* Sanitising relationship in elgg_get_entities_from_relationship();
	* Fixed tag output link for new search.
	* Pulling out entity views in search.
	  Adding dev documentation.

2010-01-10  brettp

	* Fixes #1399: Case sensitivity was never in the deprecated
	  function, so no need to add it. Use the new functions if
	  required.
	* Fixes #538. Applied Cash's patch. This is an old one...jeepers.
	* Fixes #1375: Metadata names and values are properly escaped.
	* Fixes #1432: Version number is set during installation.
	  Refs #1424: The upgrade functions now detect if no version number
	  is saved to the db and silences all upgrade warnings and errors.
	  This is required for all installations < this commit to upgrade
	  correctly because of #1432.
	  More strict regex for finding upgrade files.
	  Upgrade mysql.sql schema with latest.

2010-01-08  brettp

	* Refs #1400: Fixed a typo in checking the site_guid. Can't
	  duplicate #1400 now, so possible fix for that. Waiting for other
	  tests to close this one.
	* Updated language file to reflect default prefix change.
	* Changed default prefix to 'elgg_' for table name readability.
	* Fixes #1172: URL now checked for trailing slash upon
	  installation.

2010-01-06  nickw

	* Fixing an upgrade issue relating from invalid (non-existent)
	  usernames

2010-01-05  brettp

	* Added an upgrade to enable the search plugin.
	  Bumped internal version number.

2010-01-03  brettp

	* Set admin user's validation upon initial registration.
	  Fixes an incorrect error message if the first admin user enters
	  the wrong password.

2009-12-31  brettp

	* Closes #1424: Faulty database migrations will now halt an
	  upgrade.
	* Removed debug data.
	* Removed lock tables from db utf8 migration because it fails on
	  some (all?) servers.

2009-12-21  cash

	* a little cleanup of documentation and variable handling in input
	  and output views
	* removed unused variable in entities index
	* fixed #1087 - is_group_member() now returns boolean values only
	* fixes #988 - subtype is now available on new entities after being
	  saved

2009-12-20  cash

	* fixed bug where array of messages passed to system_messages
	  caused execution to stop - also displaying only errors if they
	  exist rather than having success and error messages overlapping
	  each other
	* fixes #1322 - "remember me" cookie code is cleared when a user is
	  banned
	* fixes #1193 - now specify charset in both metatag and http header
	* cleaned up logic on db query cache
	* fixed typo in list_entities()

2009-12-18  brettp

	* Clarified the documentation for add_entity_relationship().

2009-12-18  cash

	* add comment action now using get_loggedin_user() rather than
	  $_SESSION['user']
	* added js to input/form
	* better parsing of query for action and page handlers

2009-12-17  cash

	* perhaps this is what Brett intended with the new mb_wrapper code
	* fixed notices caused by some input views
	* fixed warning due to database query cache
	* when asking for a count of entities, we now return an integer
	  rather than a string
	* get_submenu was throwing out tons of notices - this should be
	  fixed now
	* fixes #951 - using background-color rather than background

2009-12-16  cash

	* better version of get_resized_image_from_existing_file() - fixes
	  #685 - more robust to errors, and fixes a memory leak - tested
	  with both profile photos and file plugin photos - old installs
	  will still have profile icons of the wrong size due to #685
	* added comments on get_input and set_input since they do not
	  handle nested arrays

2009-12-15  brettp

	* Fixes #1413: New server test.

2009-12-14  cash

	* closes #1277 - display_tagcloud() now has same parameters as
	  get_tags()
	* fixes #1197 - no division by zero warning any longer
	* easier to extend login and registration forms now
	* updated CHANGES.txt with info on river table
	* fixed line endings on services api unit tests
	* added some missing language strings

2009-12-10  cash

	* closes #1244 - checking whether file exists before deleting it in
	  cache
	* closes #1226 - fixes eclipse validation error
	* fixes #1230 - spelling corrected
	* using defines for ACCESS values - closes #1064
	* removes @ from include - closes #879
	* removes unused variables - closes #1129

2009-12-09  cash

	* minor tweak in comment - closes #1264
	* fixes #973 - pulls reported content and bookmark code out of core
	  owner_block view - left images in _graphics since themes probably
	  depend on that and did not want to break themes
	* fixes #1323 and #1186 - PHP 5.3 requires magic methods to be
	  public

2009-12-08  cash

	* fixes #1305 - user and entity cache now cleared on delete
	* gatekeeper functions now display helpful messages - closes #1060
	* fixes #1287 - users now removed from group acl when leaving group
	  - changed order of event and relationship removal
	* fixes #537 - missing area3 added to two_column_right_sidebar -
	  also added enough css so that the login page works with right
	  sidebar

2009-12-07  nickw

	* Adding alias ElggSession methods

2009-12-07  cash

	* fixes #1187
	* fixes #1018 - blank comments are now rejected
	* fixes #1183 - correct case for form method now
	* fixed issue where php notices were written to log on any debug
	  level and added a plugin hook so plugins can direct elgg_log
	  messages where they want
	* fixed warning on access of array index that did not exist in
	  session global
	* removed code that wasn't doing anything in access.php
	* fixed typo in get_entities_from_relationship()

2009-12-05  cash

	* adding more security to the user validation by email code -
	  before people could fake the validation with knowledge of the
	  code making it possible for bots to register and validate without
	  an email address
	* get_entities_from_annotations was ignoring group_guid - setting
	  container_guid now
	* fixed trivial bug in htmlawed plugin. The ; delimiter should only
	  be used between sets of schemes (protocols). This is due to some
	  slightly lazy coding in htmlawed.
	* if there is already a user in the session, we don't need to set
	  the code from the cookie
	* fixed bug introduced in [3608]
	* fixed bug in comment river view due to missing }

2009-12-04  cash

	* fixes #1273 - replaced previous hack with call to getType
	* fixes #1397 and updates unit tests - comma was missing

2009-12-03  cash

	* fixes #1396 - thanks for reporting this

2009-12-03  brettp

	* Stripping tags to remove HTML on title and description for
	  comment search.
	* Removed a line breaking description for comments in search.
	* Comments' search hook now correctly trims description and title.
	* Removed pagination from top of results.
	* Trimming the paths when detecting which nav item to mark as
	  selected.

2009-12-02  brettp

	* Search types without a subtype now display properly.
	* Changed the way the sidebar nav "selected" class is applied.
	  Should yield more accurate results if the URIs aren't exactly the
	  same.
	* Removed duplicate changes entry.
	* Changed avatar size to small in search results.
	  Fixed a bug so comment owners' avatars show up instead of
	  commented entity's owners' avatars.

2009-12-02  cash

	* closes #876 - profile language strings moved to profile plugin

2009-11-30  brettp

	* Added pagination to comments view.
	* Removed tag search listing.
	  Added ability to provide extra info in searches as
	  'search_matched_extra'.
	  Allowing overrides for titles.
	* If a search result returns a user, make the icon be for the user
	  and not the owner (which is no one)
	* Listings use profile/icon view instead of calling icon directly.

2009-11-26  dave

	* search results view tweaked

2009-11-24  nickw

	* Fixing a bug resulting from get_loggedin_user() return FALSE.
	  
	  This bug could throw a fatal error to non-loggedin users.
	* Adding documentation to the unit test skeleton file.

2009-11-24  cash

	* entities can now have metadata of 0 and return the correct type.
	  Fixes #1192
	* dashboard latest wasn't specifying fullview as false
	* fixes 1315 - language static now being set correctly
	* fixes #935
	* made the get user friends objects functions consistent and added
	  some missing documentation - no api usage changes

2009-11-23  nickw

	* Deleting a user will remove all user files.
	  
	  Fixes #607

2009-11-22  dave

	* remove friend action, return user to the place the action was
	  triggered
	* when friending another user, return to the page you carried out
	  the action

2009-11-21  cash

	* fixes #1374 - owner_guid wasn't being set correctly in options
	  array
	* get_entities_from_metadata_multi() had bad option keys - related
	  to #1374.
	* fixes #1380 - get_user_friends() was being called with subtype of
	  desired objects in get_user_friends_objects() - thanks for the
	  report

2009-11-20  brettp

	* Fixed a bug with group by and order by in elgg_get_entities.
	  #ElggCampBA

2009-11-17  cash

	* updated some documentation on register_page_handler(). This fixes
	  #1373

2009-11-17  dave

	* updating the contributors file

2009-11-16  brettp

	* Bump.

2009-11-16  pete

	* 'More' links on serarch results moved, and link added to Tag
	  results
	* Search UI cleaned up

2009-11-16  brettp

	* Fixed typo to display the type of search.
	* Added an INSTALLING constant when installing.
	  Fixed a bug when trying to export a site that causes the browser
	  to redirect to the site's url, which caused the installation
	  process to skip past the "create your admin user" prompt when
	  "ping home" was checked.

2009-11-15  brettp

	* Added a missing elgg_strlen() in search_remove_ignored_words()
	* Updated changes file with search and user data storage info.
	* Search changes.
	  Fixes #1376: Only fetching ft_min_word_length if the query !=
	  false.
	  Using IN BOOLEAN MODE for metadata search (comments, tags) to
	  avoid a fulltext index on the metastrings table. Slower for
	  search, faster for site.
	  Simplified and modularized logic for pulling out relevant
	  substrings and highlighting.
	  Corrected the elipse oddities in relevancy substring
	  concatenation.
	  Added pagination on non-homepages.
	  Added missing language strings.
	  Updated and standardized comment results listings.
	  Repeat query in searchbar.
	  Dealing with comments on unavailable entities better (though not
	  well).
	  Increased default word context to 30 characters.
	  Decreased default context max length to 300 characters.
	  Promise to start making atomic commits real soon now.

2009-11-14  cash

	* fixes #1169 as described on ticket
	* updated documentation of API functions - perhaps ready for
	  developer preview
	* user object needs to be loaded from database into session on each
	  page in case the object has changed - this commit also handles a
	  user who has been deleted with an active session

2009-11-13  nickw

	* Including jQuery UI 1.7.2 in core.
	  
	  The custom build did not contain all the features we would like
	  to have. Leaving the custom build in place for community
	  additions.
	* Properly ordering annotation objects returned by Elgg methods.
	* Creating a redirect page for legacy themes using search.

2009-11-13  cash

	* more test cases related to #1364.
	* should fix #1364 and added relevant unit test cases for this bug
	  (yeah for unit tests)

2009-11-12  cash

	* fixed typo with handling web services request parameters
	* rest api parameters can now have default values

2009-11-12  brettp

	* Fixes: #1356. Reverted search_listing to entity_listing for theme
	  support.

2009-11-12  cash

	* added a nonce to hmac signature and header so same call in same
	  second does not get caught by replay check

2009-11-12  brettp

	* Accidentally removed the eval with my debug statements.
	* Wrapped all multibyte functions that are directly interchangable
	  with non mb functions with elgg_*().

2009-11-12  cash

	* fixes #1286 - ElggPlugin get() wasn't handling "0" and returning
	  null instead

2009-11-12  brettp

	* Data migration: Disabled execution time and clearing out caches
	  to avoid OOM errors.

2009-11-12  cash

	* fixes #1329 - schema for river is fixed - was incomplete before

2009-11-11  cash

	* fixes #1339 - elgg_view_exists now handles view extensions for
	  non-default viewtypes (for one level of recursion)
	* get_views deprecated for elgg_get_views (just to be consistent
	  with views api)

2009-11-10  cash

	* these viewtypes need an empty title view or html shows up because
	  they fallback on default view

2009-11-10  brettp

	* Removing explicit MySQL 5.1-specific 'IN NATURAL LANGUAGE MODE'
	  option.

2009-11-10  nickw

	* Using php default functions instead of ElggUser in upgrade
	  script.
	  
	  Large Elgg sites could not handle the "select * from users" query
	  without hitting memory limit.

2009-11-10  cash

	* elgg_extend_view() replaces extend_view()
	* updated documentation of functions used in creating the topbar
	  tools dropdown menu

2009-11-10  brettp

	* Sorting search contexts by longest related substring.
	  Added more pretty highlight colors.
	* Fixed displaying of ...s in search.
	* I hate you search.
	* Missed an htmlspecialchars().
	* Removed unneeded url_encode()s for links.
	* Underscores. grr.
	* Adjusted default context length to 500.
	  Added url decoding to needle string.
	* Trying out the new context grabbing function in search.

2009-11-10  cash

	* introducing a new web services handler
	* do not register notification rest api calls by default since no
	  other apis exposed not directly related to the api
	* leaner json objects for web services api calls

2009-11-09  brettp

	* For real this time.
	* Sanitising string on tag search.
	* Sanitising strings to avoid sql insertion hacks.
	* Updated search to allow filtering of results by clicking on
	  submenu items.
	  Fixes #1358: Using raw mysql_query() / fetch() to get ft_min/max
	  vars since they aren't set on some versions of MySQL.
	* Ignoring empty owner_guids in elgg_get_entities.
	* Removed old code from get_submenu().
	* Added deprecation procedures to coding standards.

2009-11-09  cash

	* updated changes.txt
	* REST api hmac signature encoding now compatible with Amazon S3
	  and OAuth

2009-11-08  brettp

	* Fixed the wrapper for comment listing.
	* No more hasty commits--Fixing a var_dump() left in.
	* Uncommenting out the bulk of the search functions.
	* Added super-basic support for searching comments.

2009-11-07  cash

	* combined the two different pams into one and fixed an issue with
	  hmac authentication

2009-11-07  brettp

	* Reverted groups and users to LIKE instead of MATCH AGAINST.
	* Moved default search hooks into search mod.
	  Using MySQL's MATCH ... AGAINST instead of likes for most
	  searches.
	  Changed 'tag' to 'q' while maintaining backward compatibility.

2009-11-07  cash

	* fixed bug in list_entities() wrapper function - it was ignoring
	  false values - there are probably similar problems in the other
	  new wrapper functions
	* fixes #1324 - default topbar icon now exists
	* fixes #1227 - this one has been causing nasty problems for far
	  too long

2009-11-06  cash

	* removed space which would break the schema parsing routine for
	  the next poor sucker who tried to add a table - not the most
	  robust code
	* strike previous - we need the password auth to get the user token
	  - will just need to document that pam_auth_pass does not work
	  with REST because the user credentials are not set
	* removing username/password authorization for REST by default -
	  developers can add their own custom PAM using the plugin hook if
	  they require this

2009-11-06  brettp

	* Removed old group search hook.
	* Removed old user search.
	* Added search for group, tags, and users.
	* Added ability to pass 0 as a subtype meaning "entities without a
	  subtype".
	* Added default object search.
	* Corrected documentation for elgg_get_entities_from_metadata()
	* Enable search mod upon installation.
	* Updated search for FTS.

2009-11-04  cash

	* users now allowed to have multiple sessions but not multiple
	  remember me cookies (yet)

2009-11-03  brettp

	* Updated htmlawed to allow the default TinyMCE styles.

2009-11-03  cash

	* standardized xml.php and fixed output of booleans in xml view

2009-11-02  brettp

	* Updated changes for deprecated functions.
	* Deprecated elgg_get_entities_from_annotations().
	* Changed elgg_get_entities_from_access_id() to be closer to how
	  other functions work.
	* Updated htmlawed to disallow many style attributes.

2009-11-02  cash

	* setting xml version and encoding in xml pageshell

2009-10-30  nickw

	* Deprecating get_entities_from_access_id().

2009-10-30  brettp

	* No longer using fullview for listing registered entities on front
	  page.

2009-10-30  nickw

	* Removing deprecated function call from find_plugin_settings().

2009-10-30  brettp

	* Namespaced metadata keys for elgg_get_entities_from_metadata() so
	  no clashes will happen with annotations.

2009-10-30  nickw

	* Updating 1.7 CHANGES file.

2009-10-30  brettp

	* Updated changes for the relationship functions.

2009-10-30  nickw

	* Cleaning up logic regarding view error notices.

2009-10-29  brettp

	* Deprecated get_entities_from_relationships_and_meta().

2009-10-29  nickw

	* Fully deprecating file matrix use with username.
	  
	  Plugins building the file matrix with the username will still
	  work, but a warning is logged.
	* Updating unit test to reflect deprecated functions.

2009-10-29  brettp

	* Fixed incorrect wrapper for get_entities_from_relationship() ->
	  elgg_get_entities_from_relationship().

2009-10-28  brettp

	* Deprecated get_entities_from_relationship()
	* Actually fixed the documentation for
	  elgg_get_entities_from_metadata().
	* Cleaned up table prefix for elgg_get_entity_metadata_where_sql().
	  Cleaned up some documentation.
	* Updated documentation for elgg_get_entity_metadata_where_sql()
	* Got rid of the silly conditional comments in the db upgrade now
	  that I know what they are.
	* Added table locking and disabling keys for the UTF8 database
	  upgrade.

2009-10-28  nickw

	* Creating an upgrade script for new user filepath.

2009-10-28  brettp

	* Deprecated get_entities_from_metadata() and
	  get_entities_from_metadata_multi().

2009-10-27  nickw

	* Removing local debug info from filestore unit test.
	* Modifying user file locations to be based on guid.
	  
	  Previous implementations utilized the owner's username to
	  determine a file path matrix based on (up to) the first five
	  letters. To eliminate language and filesystem inconsistencies,
	  the matrix is now created from the entity's creation date and
	  guid. This has the added benefit of (potentially) allowing users
	  to update their usernames.

2009-10-27  brettp

	* Updated changes for bug #1161 and deprecated
	  get_entities_from_metadata()
	* Fixed caching issue that caused metadata test for
	  get_entities_from_metadata() to fail.
	* Removed some commented out code.
	* Fixed get_entities_from_metadata() wrapper when passing
	  case_sensitive = FALSE.
	* Fixes #1161: Views now default to 'default' if not found.
	* Created elgg_get_entities_from_metadata() and made
	  get_entities_from_metadata().
	  Made elgg_get_entities() accept extra joins and wheres in the
	  options.
	  Created a helper function elgg_normalise_plural_options_array()
	  to rewrite shortcut singular options to plurals.

2009-10-26  nickw

	* Rewriting metastrings search query for simplicity.

2009-10-26  brettp

	* Updated changes to show deprecated get_entities().

2009-10-25  cash

	* cleaned up the web services unit tests

2009-10-25  brettp

	* Corrected bug when passing container_guids or owner_guids of 0.
	  Changed the name of the $prefix to $table in sql helper
	  functions.
	  Improved documentation.

2009-10-24  brettp

	* Created elgg_get_entities() and rewrote get_entities() to pass to
	  the new function.
	  First go at removing get_entities() calls in native functions.
	* Cleaned up some code in elgg_view().
	* Slight code cleanup.

2009-10-23  nickw

	* Creating a unit test for ElggUser

2009-10-23  brettp

	* Standardized entity listing views.
	* Updated standards for method names.

2009-10-22  brettp

	* Refs #1330: Contributed autop() to Wordpress.
	* Pulling in MITRE's search core. Fo'rizzle this time. Yo.

2009-10-22  nickw

	* Updating core changes file
	* Adding unit testing to the GUI.
	  
	  Unit tests can be run from the core Diagnostics mod.

2009-10-22  cash

	* more unit tests for REST api

2009-10-21  nickw

	* Allowing entities to be retrieved by case-insensitive search.
	  
	  Adding a new unit test for ElggMetadata.
	* Reducing the output level of log messages set to "DEBUG".
	  
	  Debug level messages will be logged at the same level as
	  warnings.
	  
	  Additionally, users will be notified when attempting to run the
	  test suite without first placing the site in debug mode.

2009-10-20  cash

	* more unit tests for REST api
	* updated CHANGES.txt with services API changes

2009-10-19  nickw

	* Replacing a direct call to error_log() with new elgg_log().
	* Adding debug options to admin site settings.
	  
	  Debugging errors and warnings to screen. If notice level is
	  enabled, output is sent to system log file.

2009-10-19  cash

	* first version of new REST api

2009-10-17  cash

	* updated documentation on PAMs as I will be fixing some API PAM
	  issues

2009-10-16  nickw

	* Rewriting core debug messages to be more informative.
	  
	  Introducing the concept of levels for Elgg debugging: notices,
	  warnings and errors are displayed when the appropriate debugging
	  level is enabled. An additional level of "debug" exists to
	  differentiate from errors.

2009-10-16  brettp

	* Finished standardizing seconday views.
	* Standardized views/failsafe/*
	* Finish up standardizing views/default/*
	* More views cleanup.
	* Standardizing views.`
	* Standardized more files.
	* Standardized files

2009-10-15  brettp

	* Merged admin access override hook with ignore access system
	  override hook.
	  get_sql_access_prefix() now correctly uses
	  elgg_check_access_overrides() instead of
	  elgg_get_ignore_access().
	* Standardized files.
	* Standardized files.
	* Standardized files.
	* Standardized gobs of files.

2009-10-14  brettp

	* Standardized engine/lib/cache.php
	* Standardized engine/lib/api.php
	* Standardized engine/handlers/*
	* Standardized dashboard/*
	* Standardized admin/*
	* Standardized actions/*
	* Standardized.
	* Standardized actions/admin/*
	* Standardized account/*
	* Standardized _css/*
	* Updated changes file for $is_admin deprecation.

2009-10-14  cash

	* test commit

2009-10-13  nickw

	* Swallowing all Elgg notices within unit tests.
	  
	  By default, SimpleTest converts PHP errors into exceptions. This
	  is restricted by adding a call to swallowErrors() within the
	  tearDown() methods. This has also been noted within the unit test
	  skeleton.
	* Creating a generic ElggSite unit test.

2009-10-13  brettp

	* Standardized users and entities.
	  Fleshed out elgg_set_ignore_access() and elgg_get_ignore_access()
	* Standardize elgglib.php
	* Test suite now requires admin for web-based tests.
	  Uses access overrides for cli-based tests.
	* Standardized entities.php.
	* Fix typo in ElggAccess:get_ignore_access().
	* First pass at removing $is_admin global.

2009-10-12  nickw

	* Adding unit tests for the ElggObject class.
	  
	  Restricting testing suite to only be run as a logged-in user.
	  This will not allow the tests to be run from the command line,
	  but this is already the case due to debug static.

2009-10-11  brettp

	* Added coding styles and changes documents.

2009-10-09  brettp

	* Standardized annotations.php.
	* Standardized admin.php
	* Standardized activity.
	* Standardized actions.php
	* Reverted back to previous copy removing Justin's search because
	  of views problems in plugins.
	* Pulled in Justin's search changes from github.

2009-10-09  nickw

	* Creating an ElggObject unit test.
	  
	  Fixing issues with the unit test plugin hooks, as well as
	  infinite looping bugs introduced by the unit test skeleton.

2009-10-08  nickw

	* Adding unit test for ElggEntity annotations.

2009-10-08  brettp

	* Brought access.php and sesssion.php up to code standards.

2009-10-08  nickw

	* Adding generic unit tests for ElggEntity.

2009-10-07  brettp

	* database.php now more closely matches coding standards.
	* Fixes #1181: UTF8 now correctly stored in database.
	* Fixes #790: Removing unneeded @s.

2009-10-06  nickw

	* Adding unit test methods to the new Entities test.

2009-10-06  brettp

	* Removed elgg_test entries.

2009-10-06  nickw

	* Fixing a spacing issue with constructed SQL query.
	  
	  Closes #1295.
	* Removing the unused javascript directory from core.
	  
	  Closes #1311.

2009-10-05  brettp

	* Removing old testing.php lib.

2009-10-03  brettp

	* Moved core tests into tests/core.
	  Fixed typo in skeleton and entities tests.
	  Only run tests in debug mode.

2009-10-02  brettp

	* Added more info to the test.
	  Added a test skeleton.
	* Added unit tests for entities.
	* Added unit tests.
	* Added simpletest and start of unit tests.

2009-09-30  brettp

	* Added autofocusing of the username field on the login page.

2009-09-30  pete

	* new activity river - clipped overflow for long urls/strings

2009-09-23  brettp

	* Upped minChars to 2 for user picker.
	* Disabled matchContains in user picker.
	* Updated the user picker to avoid possible mysql injection attacks
	  and to search only by leading chars.

2009-09-22  pete

	* collections picker - delete link given classname and brackets
	  removed from string

2009-09-21  brettp

	* Removing embed view in favor of the correct views in the plugin.

2009-09-21  nickw

	* Adding core contributor credit.
	  
	  Testing ability to commit to core elgg trunk.

2009-09-21  dave

	* New river code added to allow user comment to be pulled out and
	  displayed

2009-09-17  brettp

	* Updated user picker to return 25 results, text input to be 30
	  wide.

2009-09-16  brettp

	* Changed get_entities_from_access_collection() to
	  get_entities_from_access_id() to be more generic.
	* Fixes #1238: Added ElggExtender::getOwnerEntity() and changed
	  ElggExtender::getOwner() to return just the GUID.
	  Also, this fixes a bug with checking permissions on annotations.

2009-09-15  brettp

	* Fixes #1251: Correct strings applied.

2009-09-10  brettp

	* Updated fixes for checking for admin in get_access_sql_prefix()
	* Checking against admin metadata instead of $is_admin global in
	  get_access_sql_suffix().
	* Fixing a bug with when getting the sql suffix for the
	  non-loggedin user.

2009-09-09  brettp

	* Added "Only Friends" string for user picker.
	* Defaulted userpicker to all users. Checkbox makes it only
	  friends.

2009-09-09  dave

	* updating the version number in the readme

2009-09-07  brettp

	* Better jquery deleting of user entity for user picker.
	* Pulled out language string to language file.
	* Added bolding to term searc in user picker.
	* Updated livesearch page handler to use classes instead of hard
	  coded css.
	* Added rough version of a new user picker.
	* Fixes #1207: Using fullviews with proper list_entity params.

2009-09-06  brettp

	* Bumped version number.
	* Test commit take 2.
	* Test commit for github.
	* Fixed a potential security issue concerning site views.

2009-09-04  brettp

	* Added strip_tags() to setting titles in ElggEntity

2009-09-04  dave

	* Patch submitted for ticket #886 rolled back as it was causing
	  #1205 -> #886 will need further investigating
	* activity display toggle so site admins can choose avatars or the
	  small icons

2009-09-03  brettp

	* Adding additional hooks to add/remove/update users for
	  access_collections()
	  Added autocomplete endpoint in input_init()
	* Cleaning up autocomplete view.
	* Added autocomplete view to core.

2009-09-03  dave

	* missing comma added
	* fullview hashed out for now as it caused unexpected behaviour on
	  admin user list view, needs more investigating

2009-09-02  dave

	* Patch on ticket #1210 committed
	* Patch committed for #1207
	* order by bug fixed in get_entities_from_relationship

2009-09-01  dave

	* a simple function which returns a string version of an entity's
	  access level

2009-08-31  brettp

	* All line endings are now Unix-style.

2009-08-28  brettp

	* Fixes #1196: ElggEntity::disable() now accepts a 2nd arg for
	  recursive. New users are not recursively disabled for plugins
	  that need to create entities owned by the new user upon entity
	  creation.

2009-08-27  brettp

	* Fixes #1191: set_input() was never being called for tag in
	  search_page_handler().

2009-08-27  dave

	* a missing pipe added
	* a snippet of a new comment on an object will now appear in the
	  activity river

2009-08-26  brettp

	* Added entity_owner_guid to get_annotations()

2009-08-25  dave

	* a simple solution to a css/js loading bug. We need to come up
	  with something better, long term.

2009-08-23  dave

	* new style added for page update action appearing in the river

2009-08-21  brettp

	* Fixes #1180: Group join event triggered after joining group. This
	  trigger's return was never being tested so no overriding could be
	  done. If we decide to test the trigger to stop group joining,
	  groups_write_acl_plugin_hook() will need to be changed...

2009-08-21  dave

	* new friending river view applied

2009-08-20  brettp

	* Version bump to 1.6.
	* Whoa nelly this is a big one: Removed license and copyright for
	  files.

2009-08-19  brettp

	* Fixes #1176: Added date back to license.
	* Test

2009-08-11  brettp

	* Fixes #942: In register_user, replaced sanitise_string() call
	  with a simple trim(). Not a problem because all SQL sanitation is
	  handled elsewhere.
	* Added timelower and timeupper to get_annotations() and
	  __get_annotations_calculate_x() and its helpers.

2009-08-06  dave

	* removed all main plugins from core - they now live in the plugins
	  svn

2009-08-05  brettp

	* Added documentation to list_entities_from_access_collection();

2009-08-04  brettp

	* Fixed a security issues when simple cache is off.

2009-08-04  dave

	* small edit

2009-08-03  brettp

	* Added starttime and endtime for get_entities_from_annotation().

2009-07-30  brettp

	* Refs #1089: Removed [B] flag from htaccess. This flag is wildly
	  inconsistent in functionality and support in Apache. Will have to
	  implement a solution in PHP.

2009-07-29  brettp

	* Added get/list_entities_from_access_collection().
	* Fixes #1151: Added is_dir() check before attempting to create
	  cache directory.

2009-07-27  brettp

	* Fixes #1148: Correctly comparing strings to get OS.

2009-07-27  pete

	* small fix to force facebook and twitter user icons to the right
	  size in the recent members sidebar

2009-07-24  brettp

	* Fixes #1144: Added comma between order by fields.

2009-07-22  marcus

	* Closes #1137: Setting a hidden variable "returntoreferer" in a
	  login form will now cause the action to use the "referrer"
	  address on a successful login. Version bump.
	* Minor bugfix on username

2009-07-17  marcus

	* Version bump
	* Closes #1131: htmlentities in view around user text

2009-07-16  dave

	* readme tweak
	* small tweak

2009-07-15  brettp

	* Forcing a new db connect for simplecache/view.php and
	  mod/profile/icondirect.php
	  Will avoid bugs if a previous connection has been created.

2009-07-13  marcus

	* Closes #1119: If post data not initially found then input stream
	  is used.

2009-07-10  marcus

	* Removed #1100 hack

2009-07-09  brettp

	* Test commit.

2009-07-09  marcus

	* Closes #1100: Added a dummy function to page shell to initialise
	  jquery
	* Closes #1113: Htmlentities made UTF-8 and quotes safe.

2009-07-08  marcus

	* Closes #1111: Using substr instead of parse_url.
	* Refs #427: Added $vars array to hook call.

2009-07-07  brettp

	* Closes #956: Classes are removed by the HTML filter.
	* Refs #1099: Using write access hook to allow group-only ACLs.
	  Need to examine better solutions after 1.7.

2009-07-06  marcus

	* Closes #1105: Value on input/pulldown view now escaped.
	* Closes #1075: XML-RPC client behaving as per spec

2009-07-06  brettp

	* Refs #1089: Added [B] flag to rewrite for tags. Won't work until
	  apache 2.2.12. Cleaned up some query code in pagehandler().

2009-07-06  marcus

	* Admin cropping of other user icons now works as expected.
	* Fixed doubling on icon edit (nb. this was not the same issue as
	  Refs #1100)
	* Removed edit profile, added links to own page.

2009-07-06  dave

	* small tweak to filestore

2009-07-06  marcus

	* * Closes #1104: Edit profile and edit icon links on pulldown menu
	  for editable users.
	  * Closes #545: Admins are now able to edit profiles and icons of
	  other users.
	  * CSRF protection added to icon upload and edit code.
	  * Version bump.
	* Closes #742: Ability to retrieve master icon from getIcon()
	  interface.
	* Closes #1103: Profile text now has translation tag

2009-07-03  pete

	* added css rule for em tags to work properly with htmlawed and
	  tinyMCE editor

2009-07-03  brettp

	* Allowing selected style attributes in htmlawed.

2009-07-02  marcus

	* Removing update client from initial modules.
	* Refs #1086 & #1073: Filtering and captcha have correct install
	  defaults.

2009-07-02  brettp

	* Closes #859: Group forum thread-starters receive same email as
	  participants.

2009-07-02  dave

	* order by now works on get entities from metadata

2009-07-01  brettp

	* Fixed a typo in htmlawed filtering.
	* Refs #1058: Using validated metadata for new user permission
	  check. Correctly allows for enable() / disable(), but still not
	  ideal.

2009-07-01  marcus

	* Refs #1086: Deprecating kses and removing it from core. Version
	  bump.

2009-07-01  brettp

	* Refs #1086: Added htmLawed plugin as replacement for kses.

2009-07-01  marcus

	* Closes #1097: Results set by set_input are now also filtered by
	  get_input()
	* Short circuit on delete annotations to avoid error message
	* Metadata delete now passing correct object, also handles missing
	  metadata entity.

2009-07-01  pete

	* update to jquery 1.3.2 and jqueryUI 1.7.2 closes #941

2009-06-30  pete

	* fixed wire reply button (missing 'echo'), and tweaked
	  river/dashboard reply link for the default theme. Also fixed a
	  typo in the admin area

2009-06-30  marcus

	* Refs #1086: Fixes specific issues mentioned pending KSES fix /
	  replacement

2009-06-30  brettp

	* Modified output/confirmlink view to accept a class param.
	  user_remove_friend() uses remove_user_from_access_collection()
	  instead of raw SQL.
	  Deleting an access collection prompts using output/confirmlink.

2009-06-30  dave

	* wire links will now work in the activity river

2009-06-30  marcus

	* Fixed typo

2009-06-29  brettp

	* Removed debug case from last commit.
	* Ref #1015: Correctly placed the end div for access collection
	  delete link.
	* Closes #1015: Added a prompt before deleting an access
	  collection. Also cleaned up some hard vs soft tab issues.
	* Closes #502: Removing unfriended users from access lists upon
	  unfriending.
	* Closes #337: Added checking for metastrings in
	  __get_annotations_calculate_x()
	* Updated get_*() functions ot return false if an invalid subtype
	  is specified.

2009-06-29  marcus

	* Closes #1073: Captcha off by default

2009-06-29  brettp

	* Test commit.

2009-06-28  marcus

	* Access levels on add_to_river() will now respect ACCESS_DEFAULT
	  level.
	* Closes #1090: Removed xml:base from RSS channel tag.

2009-06-26  marcus

	* Minor point of clarification

2009-06-25  pete

	* tweak to input box size

2009-06-24  marcus

	* Version bump
	* Closes #427: Original view name passed to plugin hook.
	* Some tidying of file download manager functions.

2009-06-23  marcus

	* Version bump
	* Action gatekeeper added to add and remove friends.

2009-06-19  marcus

	* Version bump.
	* Closes #581: First draft ICAL export views for Notable calendar
	  events.

2009-06-18  marcus

	* Version bump.
	* Closes #601: Provides default for new ElggFilestore objects to
	  remove warning message.

2009-06-17  marcus

	* * Translation 'reply' fixed.
	  * Now possible to reply to wire posts from within the river.
	* Closes #719: More options on annotation count functions.
	* Closes #540: input/* views have internalid attribute.
	* Refs #964: Correct detection of type.
	* Version bump
	* Refs #328: Documentation tweak.
	* Refs #964: Tidied plugin hook into framework function, changed
	  hook to entity:annotate.

2009-06-16  marcus

	* Marcus Povey 20090616:
	  * Closes #964: Introduces a plugin hook 'annotations:view',
	  $entity_class (object/user/group/site) called elgg_view_entity on
	  FULL view. This lets you return annotations to an entity and
	  control the order in which they're displayed. Existing views
	  remain un-effected but should probably be retrofitted.
	  * Version bump.
	* Bugfix to archive logs sql

2009-06-14  marcus

	* URL shortener view.
	* Actions rewrite rule will now match against numbers as well as
	  letters.
	* Version bump
	* Call out to a url shortner if one is available, through the use
	  of the input/urlshortner view.

2009-06-12  marcus

	* Version bump
	* Refs #1041:
	  * Speculative fix, extended blacklist of invalid characters for
	  user signup
	  * Mapping some filestore matrix characters (notable '.') to a
	  safe char
	* Refs #1041: Extra debug

2009-06-11  marcus

	* Block URL unsafe characters from username

2009-06-10  marcus

	* File cache attempts to create directory if it is not present.

2009-06-08  marcus

	* * Introducing substr wrapper function
	  * Wire strips tags (Closes #1045)

2009-06-05  marcus

	* Closes #639:
	  * Metastrings can be searched either case sensitive or
	  insensitive modes.
	  * Tags now have case lowered in a UTF8 safe way (requires
	  mbstring support).
	  * Introducing mb_wrapper.php containing multibyte wrapper
	  functions.
	  * Version bump.
	  * Introduces #1043 for consideration.
	* Close #1040: Limited explode on action and page handler.

2009-06-04  marcus

	* Closes #1037: Removed double pasting

2009-06-04  kevin

	* Changed a variable name that IE did not like.

2009-06-04  marcus

	* Closes #998 : Operator selection on get by metadata multi

2009-06-02  marcus

	* Removed some error messages

2009-05-29  marcus

	* Option to suppress visible errors in token validation code.

2009-05-29  dave

	* hashed out folders view

2009-05-28  marcus

	* Closes #1035: Page handler now urldecodes input, necessary as
	  vars are extracted from request_uri and not $_REQUEST (which is
	  automatically decoded)
	* Fixed some typos in group search
	* Group search language correction
	* Group search language correction
	* Refs #965: Correct some search links.
	* Refs #965: Correct some search links.
	* Refs #965: Search now correctly using page handler to make it
	  easier to replace.
	* Refs #965: Topbar search now pointing at correct url.
	* Closes #805: Top bar search now internationalised. Refs #965

2009-05-27  marcus

	* Delete event now triggered on metadata and annotation delete
	* Version bump
	* Admin shortcut flag set on login as well as init

2009-05-27  kevin

	* Removed plugin-specific references from file_display_thumbnail
	  and file_add_to_folders.

2009-05-22  marcus

	* Refs #965: Allowing upgrades to be loaded from other locations.
	* Closes #1030: Group title and description search added, refs #965
	* Closes #1031: Restored wildcard as it didn't appear that slow.

2009-05-21  dave

	* captcha layout tweak

2009-05-19  marcus

	* Version bump
	* Refs #1027: Introducing $CONFIG->db_disable_query_cache which
	  allows disabling of query cache for implementation in CLI mode
	* Closes #1026: Removed "@" from include statement

2009-05-18  marcus

	* Closes #1025: Using the correct variable.

2009-05-14  marcus

	* Version bump
	* Closes #646: GeoRSS support added to Locatable objects with
	  coordinates on RSS feeds
	* Closes #1024: Added call to views which allow extensions to be
	  made.
	* Making use of the Dublin Core extensions to provide owner
	  information in RSS feeds
	* Fixed geocode stuff + version bump

2009-05-13  marcus

	* Version bump
	* Closes #1009: Diagnostics unit test with example
	* Refs #1009: Enhancements to diagnostics tool to use the test
	  framework.
	* Refs #1009: Changed the method tests are performed.
	* Refs #1009: Simple test framework outline added.

2009-05-12  marcus

	* Closes #1003: Using more efficient query
	* Removed deprecated river library + version bump
	* Closes #749: Warning message on missing token.

2009-05-11  marcus

	* Closes #944: Changed owner check to a canEdit check on the group.
	* Deprecated old river code
	* Closes #1010: Log event now called on an event of its own, this
	  permits plugins to add additional logging or replace the logging
	  method altogether.
	  
	  This is only possible now that the old river code has been
	  replaced.
	* Refs #965 & #967: Event triggered on upgrade, allowing easier
	  integration with plugins.
	* Closes #1017: Div no longer closed early.
	* Closes #1016: Image tag closed
	* Version bump
	* Captcha list can now be extended by other plugins

2009-05-08  marcus

	* Hard limit to string lengths.
	* Added font licence, refs #1011
	* Closes #1011: Added basic captcha support.
	* System default plugins now accepts array as well as CSV
	* Refs #1011: Correctly CSSed and now using captcha if available

2009-05-07  marcus

	* Version bump
	* Closes #983: Introducing input/captcha view, use wherever a
	  captcha is required - override with plugins and use the actions
	  hook to do additional validation!
	* Refs #975: Get entities from metadata and relationship now
	  behaves as expected

2009-05-05  marcus

	* Closes #994: elgg_view_exists will now check to see if a view
	  exists by dint of being extended.
	* Removing spurious error log messages
	* Closes #725: Typo corrected.
	* Closes #950: Fixed missing translations.
	* Closes #1004: Welcome no longer hard coded.
	* Version bump
	* Closes #1007: Private data now removed on entity deletion.
	* Closes #1008: Fixed typo

2009-05-04  marcus

	* Closes #824: Test variable to prevent error message in log.

2009-05-01  marcus

	* Closes #1002: Committed missing variable code
	* Test
	* Test

2009-04-29  marcus

	* Closes #1001: This is a test
	* Refs #4: This is a test
	* 
	* 
	* Test
	* Test
	* Test
	* Test
	* TEst
	* Test
	* Removed test
	* Test

2009-04-27  marcus

	* Closes #927: Minimum user length no longer hard coded.
	* Closes #975: Now possible to search by metadata and relationship
	* Closes #943: Event triggered when banning or unbanning a user.

2009-04-24  marcus

	* Version bump
	* Added security token to group edit form
	* Introducing input/securitytoken as an intermediate step for form
	  conversion.
	* Closes #969: Admin option to allow the setting of certain access
	  controls on a group
	* Closes #856: Admin created users are no longer created as being
	  owned by the admin

2009-04-23  marcus

	* Refs #969: Added admin menu option for enabling private groups
	* Refs #969: Added admin menu option for enabling private groups
	* Closes #980: group_gatekeeper() now has an admin override if the
	  admin is logged in
	* Closes #989: Forces regenerate on next refresh when cache file is
	  missing

2009-04-22  marcus

	* Deleting correct data + using correct tables
	* Closes #957: Annotations and metadata owned by a deleted user are
	  now also deleted.
	* Closes #957: Groups topics now handle deleted users, I recommend
	  that people look at what I've done and handle deleted users in a
	  similar way in their plugins.

2009-04-21  marcus

	* Belts and braces checking on isloggedin()

2009-04-21  dave

	* an extra view to extend, added to sidebar boxes

2009-04-17  marcus

	* Refs #833: Added manifest
	* Closes #833: Kses now built as module
	* Reverted last

2009-04-17  dave

	* small tweak to kses input, for now.

2009-04-17  marcus

	* Removed style on code
	* Removed columns
	* Slightly more draconian kses rules
	* Closes #982: Object limit maximum raised.

2009-04-16  marcus

	* Moved old file mime type guesser back to files plugin so that
	  there are no conflicts

2009-04-16  kevinjardine

	* Passed container_guid to any quota plugins and removed duplicate
	  function definition.
	* Added file_get_general_file_type() function

2009-04-15  marcus

	* Centralised mimetype function
	* Rolled in Kevin's file store enhancements and upload code.
	* Version bump
	* Error logged on page forward due to missing page owner.

2009-04-14  pete

	* link to the wire added to bottom of latest wire post box on
	  riverdashboard page

2009-04-11  dave

	* small profile custom fields tweak

2009-04-10  ben

	* The Wire incoming SMS now uses the default access level.
	* Moving the wire to use $SESSION instead of $_SESSION
	* Removing viewtype autoforward, because it broke installs.

2009-04-10  marcus

	* Rolled token into url and confirmlink
	* Closes #977: get_tags now functional for entities without
	  subtypes.

2009-04-09  marcus

	* Introducing actionurl.php (Refs #749)
	* Forward user if a page owner is inaccessible (Refs #969)
	* Non-default view types now preserved when forwarding.
	* Closes #974: Owner_guid may now be an array

2009-04-08  marcus

	* Close #968: View path cache can now be turned on and off
	* Removed unused experimental cache functions
	* Refs #946: Improved documentation on enable/disable/reorder
	  plugin commands
	* Refs #968 & #946: Tidied filepath cache stuff by placing them in
	  function calls.
	* Refs #963: Autop changed to longtext on standard views
	* Added callback support to get_data_row()

2009-04-07  marcus

	* Closes #937: Added time constraints to the tag retrieval query.

2009-04-07  ben

	* The inclusion of a new library merits a new internal version
	  number.

2009-04-07  marcus

	* Closes #932: Recent members string no longer hard coded

2009-04-07  ben

	* jQuery Form plugin, welcome to Elgg Core.

2009-04-02  marcus

	* Closes #949: Method in "via {{Method}}" now wrapped in an
	  elgg_echo
	* Closes #945: enable/disable_plugin now updates
	  $ENABLED_PLUGINS_CACHE

2009-03-31  marcus

	* Version bump
	* Closes #896: Error thrown if user not validate. Metadata
	  physically removed rather than simply blanked when validation is
	  requested.
	  Note: update_metadata no longer seems to support anonymous
	  metadata which is likely to have knock on issues elsewhere...

2009-03-30  marcus

	* Closes #916: Icondirect now using multibyte safe str_split code
	  from filestore.php
	* Version bump
	* Closes #875: Using db link
	* Closes #889: Decoding html entities from messages before
	  stripping tags
	* Closes #897: Memcache datalists correctly saved on first load
	* Closes #903: Large <pre> and <code> blocks no longer break page
	  shell
	* Closes #899: River dash ajax now UTF-8
	* Closes #914: Removed odd line

2009-03-30  ben

	* Context can now be assigned by defining a constant in the page.

2009-03-30  marcus

	* Refs #926: Private wire posts get bumped to 'logged in'

2009-03-26  dave

	* small lang tweak
	* small lang tweak

2009-03-25  marcus

	* Closes #930: addtopic -> edittopic

2009-03-25  dave

	* small tweak
	* river view tweak for the wire

2009-03-18  marcus

	* Different assignment.
	* Disposed of unnecessary $result variables.
	* Closes #844: API parameter test logic improved
	* Closes #883: Using different operator logic so that plugins can
	  replace existing translation entries.
	* Closes #893: Using ->join() method instead to ensure that event
	  is triggered.

2009-03-13  marcus

	* Oh hai Elgg 1.5
	* Closes #873: Mail/password reset/confirm actions forward to
	  wwwroot rather than ref. Version bump.
	* Fixes #877: Minor typo addressed. Note: This function is
	  currently not used.

2009-03-12  marcus

	* Fixed typo in default plugins init + version bump

2009-03-11  marcus

	* Version bump
	* Provide a From email address workaround for those with windows
	  servers. See issue http://bugs.php.net/bug.php?id=28038

2009-03-11  ben

	* Profile user icon URL fix.

2009-03-11  marcus

	* Closes 868: Fixes regression introduced in [3119]. Version number
	  bumped.

2009-03-11  ben

	* Added a clause that will detect if insert_data returned 0 rather
	  than false, and returns 'true' in this case. Fixes #867
	* Javascript loaded using a safer URL scheme. Fixes #862

2009-03-10  dave

	* missing lang strings fixed
	* missing strings added

2009-03-10  pete

	* left column sidebar background color changed for consistency with
	  other pages (props to Cash for spotting it)

2009-03-09  marcus

	* Minor api tweak

2009-03-09  ben

	* Changing version number
	* Elgg 1.5 RC2. Hi!

2009-03-09  marcus

	* Closes #823: Root cause was that the Headers decl requires
	  mod_headers to be installed (and Apache had a very unhelpful
	  failure mode for instances when it wasn't). The Header def has
	  now been IfModuled out.
	  
	  mod_headers is still recommended for correct functioning across
	  proxies.

2009-03-09  pete

	* openID river rules removed

2009-03-09  marcus

	* Refs #823: Mod_deflate htaccess def now disabled by default.
	* Admins can now change group profile picture.

2009-03-09  ben

	* Banned users always have default icons.
	* Some tweaks to river dashboard, including proper language usage.
	* Banned users no longer get notifications
	* User validation no longer occurs on first install
	* Icons are now correctly resized

2009-03-09  kevinjardine

	* Groups now support add_group_tool_option so that any group tool
	  can be toggled on or off via the group's edit form.
	* Introducing the add_group_tool_option function.

2009-03-09  marcus

	* Bumped version numbers on bundled plugins

2009-03-08  pete

	* css river rule added for openID user updating profile

2009-03-07  marcus

	* Version bump
	* Closes #851: Fixed regression. It is now possible for an admin to
	  edit another user's profile consistent with 1.2
	* Closes #844 & #845: Override is now no longer forced on and so
	  will now obey view cache settings.
	* Closes #843: Introducing intermediary invite action to establish
	  invite relationship but ask a user to join
	* Version bump
	* Closes #841: User request for password changes now functional.

2009-03-06  pete

	* one column canvas padding adding

2009-03-06  marcus

	* Very minor comment tweak
	* Reversed delete procedure on entities, parent now checked first
	  before sub deleted. Any stubs left over will be handled by the
	  garbage collector.

2009-03-06  pete

	* river icon added for openID friend, blockquote style tweaked,
	  elgg horizontal nav bar improved

2009-03-06  marcus

	* Bumped version number corresponding to the change
	* Added garbage collector hook to clear up orphaned sub table
	  entities.
	* Changed 'system','gc' to 'gc','system'

2009-03-06  ben

	* Fixed icon overrides
	* If you don't have any friends, the river no longer returns all on
	  the 'friends' view. Fixes #839
	* Removed banned listing
	* Banned profiles are now hidden
	* Fixed user profile ban message

2009-03-06  marcus

	* Version number bump
	* Closes #838: Missing set from static var.

2009-03-06  ben

	* Improved JSON version of the dashboard

2009-03-06  pete

	* missing river entry style added

2009-03-05  ben

	* Online users list works properly
	* Fixed generic river comment view
	* Corrected a poorly formatted text string
	* New manifest description for the wire.
	* Elgg 1.5 RC1 is gearing up to leave the building.
	* Farewell APIadmin, farewell GUIDtool. We'll see you over in the
	  plugins repo.
	* Wire posts now save as default access level
	* Wire posts are now default access
	* Improved upgrade text
	* Error in subtype detection

2009-03-05  dave

	* a small layout tweak

2009-03-05  ben

	* Fixed search RSS

2009-03-05  marcus

	* Bumped version
	* Surpressing cron output

2009-03-04  pete

	* tiny rule added to make widget layout consistent across all
	  widgets

2009-03-04  ben

	* Private items never trigger notifications
	* Access fix
	* Let's go with the most obvious application of this.
	* River access issues
	* Stopgap for when you can no longer view river items.
	* Button src isn't always required.
	* Text changes to hopefully make friends notification settings a
	  little less confusing
	* Addition to the contributors file

2009-03-04  pete

	* css tweak

2009-03-04  ben

	* GUIDtool now uses input/plaintext
	* Access modification - owners can always see their own content
	* Correction to FOAF URL
	* FOAF URL fix
	* FOAF contentwrapper

2009-03-04  kevinjardine

	* Changed notification to use has_access_to_entity to move all
	  access control checks to a single mechanism

2009-03-04  pete

	* added rule to prevent character remaing field focus on thewire
	  individual page

2009-03-04  kevinjardine

	* Added has_access_to_entity function
	* Added the ability to optionally specify the user to
	  get_access_sql_suffix

2009-03-04  ben

	* URL sanitation for RSS feeds
	* Removing extra quotes
	* JSON contentwrapper view
	* Added contentWrapper view

2009-03-04  kevinjardine

	* AccessControlQueryComponent::__toString changed to use
	  get_access_sql_suffix

2009-03-04  marcus

	* Moved GUID tool to admin menu.

2009-03-04  pete

	* added a rule to prevent characters remaining field on thewire
	  receiving focus/highlighting

2009-03-04  ben

	* Title fix.
	* Fixed river RSS views

2009-03-04  kevinjardine

	* Commented out a no longer needed line of code
	* get_tags now uses get_access_sql_suffix for access control.

2009-03-04  ben

	* Ampersand fix
	* Improvements to elgg_view, plus river dashboard RSS feed
	* The 'manage join requests' link doesn't show up if the current
	  group doesn't have public membership.

2009-03-03  ben

	* Moving to a smaller chunk size.

2009-03-03  marcus

	* Bumping version number

2009-03-03  ben

	* Profile icons come in chunks.

2009-03-03  marcus

	* Echoing the large output buffer in chunks

2009-03-03  ben

	* Splitting output into chunks.
	* Improved .htaccess

2009-03-03  marcus

	* Stub for experimental view caching (disabled)

2009-03-03  ben

	* Far future expires header

2009-03-03  marcus

	* Using faster array concatination
	* Closes #832: Internal name now handled

2009-03-03  ben

	* $vars is once again populated with session data

2009-03-03  marcus

	* Removed utterly pointless lines
	* Current language now cached per process in elgg_echo.
	* Minor tweaks
	* Minor tweaks
	* Removed directory test to languages since it's probably fair to
	  assume that this isn't going to be the case

2009-03-03  ben

	* Content length on the simplecache.

2009-03-03  pete

	* tiny amendment to owner-block icon spacing

2009-03-03  ben

	* JS override.
	* Fix for previous.

2009-03-03  marcus

	* Removing the stupidly slow array_merge from lang load code

2009-03-03  ben

	* A quiet little CSS override update.

2009-03-03  marcus

	* Made get_library_files non-recursive and removed is_dir test...
	  makes the func <1% of total execution time

2009-03-03  ben

	* Removed calls to the deprecated entity cache

2009-03-03  marcus

	* Suppressing output on cron trigger

2009-03-03  ben

	* Getting rid of needless double-trimming.

2009-03-03  marcus

	* Closes #831: Plugin view location is now cached in a file in
	  dataroot and is invalidated on upgrade and plugin
	  enable/disable/reorder. This means that views no longer have to
	  be discovered on boot - reducing file IO from crazy amounts to 1.
	  This also helps make adding new plugins a linear event.

2009-03-03  ben

	* Eliminating the content-length header

2009-03-03  marcus

	* Refs #830: Minor tweak
	* Cache delete now functional

2009-03-02  marcus

	* Limitless queries now supported

2009-03-02  kevinjardine

	* Changed group forums to default to enabled.
	* Changed the order of the access dropdown so that it is in order
	  of increasing restriction (private, friends, logged-in, public).

2009-03-02  pete

	* discussion list updated for long usernames, and clearing issues
	  fixed for pc

2009-03-02  ben

	* Corrected unnecessarily patriotic comments.

2009-03-02  marcus

	* Removing duplicate deletion code.

2009-03-02  ben

	* Minor change to previous.
	* A different table to check db existence against.

2009-03-02  dave

	* small tweak to change from username to name on discussion

2009-03-01  pete

	* mac alignment fixed on delete button
	* delete discussion button layout tweaked

2009-03-01  marcus

	* Bump
	* Closes #828: Quite correct - rather tired - arrays are
	  individually trimmed - non-arrays are not.
	  Closes #714: Input filtering now triggers on a plugin hook, this
	  allows plugins to provide other filtering methods than kses (Refs
	  #561).

2009-03-01  dave

	* deleting discussions added

2009-03-01  marcus

	* Closes #828: Array input values now trimmed individually.

2009-03-01  dave

	* Wire lang string tweaked

2009-03-01  pete

	* owner block icons background color corrected for new theme
	* reply and delete button removed on latest post on riverdashboard
	* input/longtext and remove editor link layout improved

2009-02-28  marcus

	* Closes #665: Using a bit of preg callback magic to do <wbr>
	  encoding and href encoding in one pass.
	* Closes #824: $language is initialised

2009-02-28  dave

	* activity widget default tweaked
	* the wire lang tweaked
	* the wire now uses name rather than username

2009-02-28  marcus

	* Disabling updateclient on installs as part of upgrade, this is
	  because it is no longer included and can cause problems.

2009-02-28  pete

	* autop removed on fetching group description for list view (to
	  remove extraneous <br />)
	* clearfloat fixed
	* groups latest discussion list view timestamp moved/formatted

2009-02-28  marcus

	* Removed email force from notification emails

2009-02-28  pete

	* groups widgets layout made consistent

2009-02-27  pete

	* enable/disable mods buttons layout tweaked

2009-02-27  ben

	* Corrected capitalisation, added better description to 'add
	  message' link

2009-02-27  pete

	* default theme changed

2009-02-27  marcus

	* Bumped version number

2009-02-27  dave

	* forum post edit bug fixed

2009-02-27  ben

	* Deflation is now turned off by default because a version of a
	  certain majority-share browser really doesn't like it.

2009-02-27  pete

	* buttons moved
	* class names added to enable/disable buttons

2009-02-27  marcus

	* Enable all / disable all functionality added

2009-02-27  dave

	* set a default num of wire posts to appear on a widget

2009-02-27  ben

	* Join request management added.

2009-02-27  marcus

	* Closes #651: I agree, changed to convert both quotes.

2009-02-27  ben

	* Added 'accept' to the language list
	* Initital group members page commit (not working yet).

2009-02-27  pete

	* generic reusable collapsible div added (replacing manifest_file
	  which is solely for admin plugins page)

2009-02-27  ben

	* Fixed checkboxes on the notification screen.
	* Plugin descriptions are now displayed on the tool menu, for
	  better ease of use.

2009-02-27  marcus

	* Redirect to tools on first admin login.

2009-02-27  pete

	* members box fixed for IE6&7
	* thewire user icon layout fixed for IE / cross-browser consistency

2009-02-26  kevinjardine

	* Event functions should return true to prevent an event from being
	  halted. Now this one does.

2009-02-26  pete

	* markup fixing / cleanup / ie6 fixes

2009-02-26  kevinjardine

	* Fixes to container permissions and widgets to allow default
	  widgets to work with the Elgg permissions system.

2009-02-26  ben

	* The search endpoint can now be told to go fetch a users' friends.

2009-02-26  marcus

	* enable/disable plugin actions now support arrays as parameters
	* Closes #801, Refs #277: Group join/request logic altered.

2009-02-26  dave

	* broken wire link fixed

2009-02-26  kevinjardine

	* Gave each edit box a unique ID

2009-02-26  ben

	* Small access tweak for sending notifications.
	* Fixed duplicate notifications.
	* Fixed the first-post forum topic notification error. Fixes #816

2009-02-26  kevinjardine

	* Added "enemies" code to get_access_sql_suffix. This implements
	  two features: a. a user can prevent another user from seeing any
	  of his content and b. a user can filter out all the content
	  created by another user.
	  
	  There is no interface for this yet, but adding one should be easy
	  with this core support.

2009-02-26  pete

	* markup fixed for cross-browser rendering consistency

2009-02-26  ben

	* Fixed pagination when filtering.

2009-02-26  marcus

	* Closes #822: Action file existed however the action was not
	  registered (previously called directly)
	* Closes #807: Removed echo on page_draw()

2009-02-26  ben

	* Corrected bad form action for group tag and made search label a
	  little more specific.

2009-02-25  marcus

	* Refs #808: Bug was actually fixed by not using empty...
	  register_translations has to be in the wild otherwise install
	  won't load translation.
	* Closes #808: Removed register_translation from the wild, now
	  called on boot so that it is always after configuration_init

2009-02-25  ben

	* output/longtext now parses URLs.

2009-02-25  dave

	* small lang tweak

2009-02-25  ben

	* Fixed river pagination issue

2009-02-25  dave

	* lang file replaced
	* missing lang string

2009-02-25  ben

	* Architectural version number change

2009-02-25  kevinjardine

	* Adding two files that might have been left out of the user
	  default access commit.
	* Added friends access level
	* Introduces user default access.

2009-02-25  marcus

	* Closes #800: Fixes typo

2009-02-25  ben

	* Unicode character fix for friends picker. Fixes #281
	* SPG fix
	* Removing the jumps on the notification pickers.
	* Removing the membership requests link for now.

2009-02-24  ben

	* Removing an infinite loop in groups.
	* The group invite friends picker now correctly highlights friends'
	  tabs
	* Syntax improvements for the get_metadata functions
	* Fix for previous, including a change to
	  check_entity_relationships that actually returns the relationship
	  object.
	* Introducing the 'delete relationship' event. Fixes #779
	* Defining grouptopic:blank; fixes #809
	* Notifications with nonexistent handlers no longer throw an
	  exception; they now write to the error log. Refs #754
	* The session initialisation order is slightly altered to allow for
	  language setup on the index page. Fixes #803
	* Group topics now have a friendlier URL. This will help a lot for
	  notifications.
	* Fixed error in notification procedure
	* Removing web notification graphic; will sit elsewhere.

2009-02-24  pete

	* web notification icon added

2009-02-24  dave

	* all groups search form

2009-02-24  kevinjardine

	* Attempts by unvalidated users to login or request new passwords
	  now trigger plugin hooks (if available) or trigger the user
	  validation event by default. Thus, in the default case, the user
	  will be remailed a validation link. Addresses part of
	  http://trac.elgg.org/elgg/ticket/759 .

2009-02-24  ben

	* Removing a minor simplecache debug message that accidentally made
	  it in.
	* Default icons are preserved.

2009-02-24  dave

	* you can now replace the default dashboard with the new activity
	  river, if required.

2009-02-24  pete

	* search results formatted

2009-02-24  ben

	* CSS, JS, upgrade are marked as external pages.

2009-02-24  pete

	* groups:notfound:details text string formatted

2009-02-24  ben

	* Group gatekeeper on internal group pages.
	* Minor variable fix. Fixes #811

2009-02-24  dave

	* when deleting a group you now go back to your groups

2009-02-24  ben

	* A further architecture update version increment.

2009-02-24  dave

	* invite friends to group page modified

2009-02-24  ben

	* Added fixes to create_entity and add_widgets to correctly handle
	  containers.

2009-02-24  dave

	* profile update wire tweaked

2009-02-24  kevinjardine

	* Made icon views work properly for non-default icons, and
	  introduced elgg_view_enable_simplecache and
	  elgg_view_disable_simplecache functions.

2009-02-24  pete

	* profile status update link formatted

2009-02-23  kevinjardine

	* Added the ability to turn simplecache on and off.

2009-02-23  pete

	* post to wire from thewire page styled

2009-02-23  ben

	* You should no longer get notified of your own topic posts.
	* ACCESS_DEFAULT is now defined.

2009-02-23  dave

	* a tweak to the wire
	* new wire work

2009-02-23  pete

	* right_column changed from class to id to match left_column

2009-02-23  ben

	* Group RSS feed.
	* RSS fix for groups.
	* Removing the external definition from the page handler again.
	* RSS for group topics, including fixes for annotation getURL()
	  override

2009-02-23  pete

	* top toolbar menu id changed to class. messages div slide action
	  in some browsers removed.

2009-02-23  ben

	* Further external marker on the pagehandler for walledgarden

2009-02-23  dave

	* new group edit options on discussion

2009-02-23  ben

	* Hook for better walled garden

2009-02-23  dave

	* a couple more group comment edit tweaks

2009-02-23  ben

	* Translating untranslated string

2009-02-23  dave

	* small edit comment bug fixed

2009-02-23  ben

	* Slight version change to represent architectural changes.

2009-02-23  pete

	* groups interface details cleanup

2009-02-23  ben

	* Introducing group_gatekeeper()
	* New post wire string
	* Introducing the access control to the failsafe view.
	* Added site default access permissions. Refs #744

2009-02-23  pete

	* superfluous <p> tags removed

2009-02-23  dave

	* missing lang tweak
	* new group discussion layout tweaked to actually work
	* topic starting included in river

2009-02-22  dave

	* new group discussion layout
	* tweaks to the group discussion lang
	* group forum posts are now displayed based on last action
	* users can now edit and delete their forum comments
	* new join group river view added
	* new river view added for group forum posts

2009-02-21  dave

	* new friend river view and action committed

2009-02-20  ben

	* Riverdashboard now loads tabs via jQuery AJAX.
	* The friends picker now highlights tabs when creating a collection
	  if a user is present there. Also, the separate friends picker in
	  the notification plugin is also now internationalised.

2009-02-20  pete

	* groups widget class added

2009-02-20  ben

	* Correction for previous.
	* Forum topic notifications fix.
	* Notification messages can be suppressed programmatically.

2009-02-20  dave

	* group widget tweaked

2009-02-20  ben

	* Fixes an annoying problem in countAnnotations.

2009-02-20  dave

	* group email tweak to include lang

2009-02-20  pete

	* custom profile fields admin panel formatted
	* brackets added around timestamp

2009-02-20  marcus

	* isFriend() now retrieving userid correctly

2009-02-20  dave

	* profile status view tweaked

2009-02-20  marcus

	* Closes #784: Action now checks that the user is the logged in
	  user's friend before invite.

2009-02-20  pete

	* configure tools page - individual tools formatted
	* activity widget interface
	* formatted spotlight footer

2009-02-20  dave

	* status moved on member listings

2009-02-20  marcus

	* Placeholder for future work (refs #277)

2009-02-20  dave

	* tweak to the add to wire action to make sure forward takes the
	  user to the correct place

2009-02-20  pete

	* group details containerised

2009-02-20  ben

	* Removing unnecessary mod_rewrite rule
	* The friends picker can now be internationalized, also allows you
	  to view users whose usernames don't begin with a letter in the
	  char array.

2009-02-20  pete

	* riverdash activity widget edit panel formatted
	* empty <p> tags causing issues removed
	* button floated and cleared

2009-02-20  ben

	* Went in to decapitalise "intranet", ended up making the text
	  hopefully more immediate.

2009-02-20  pete

	* delete group button moved into own area
	* group areas interfacing

2009-02-20  ben

	* Removed unnecessary owner blocks.

2009-02-20  dave

	* new spotlight contents

2009-02-20  marcus

	* Minor improvement to exception message
	* Minor improvement to exception message
	* Closes #487: Removed superfluous page_draw from exception view.

2009-02-20  ben

	* Added some documentation to the river functions.

2009-02-20  marcus

	* Updated core module manifests to contain today's build number.
	  Refs #394
	* Closes #795: Added manifest to riverdashboard
	* Closes #798: Fixing language definition which somehow got
	  clobbered. Nice spot!
	* Fixes warning messages on disable or delete for times when an
	  entity has no sub items.

2009-02-19  ben

	* Pagination is now optional on river lists; is removed on the
	  river widget
	* Friends river no longer shows your own stuff.

2009-02-19  dave

	* missing wrapper added

2009-02-19  ben

	* Added a title to group forum topics. Fixes #603
	* For now, the group membership page is protected, although
	  eventually this should get its own profile dropdown menu. Fixes
	  #605

2009-02-19  pete

	* groups interface updated

2009-02-19  ben

	* An alternative template handler will now be sought by elgg_view
	  by default. Fixes #768

2009-02-19  dave

	* all groups submenu tweaked

2009-02-19  ben

	* A lighter way to detect if the db has been installed. Fixes #791

2009-02-19  pete

	* featured groups sidebar styled

2009-02-19  ben

	* Fixed parameter errors in site-related functions. Fixes #793
	* Better unicode patching for icons. Fixes #789

2009-02-19  marcus

	* Updated version number to today's build

2009-02-19  dave

	* small tweak to popular groups
	* it is now possible to list groups by most popular
	* the header has been split out so that theme authors can target
	  the header output without worrying about overwriting the whole
	  header file.

2009-02-19  ben

	* Introduced get / list entities by relationship count

2009-02-19  dave

	* the wire has been moved to core as it now powers profile status
	  and status on member search
	* old activity and river removed

2009-02-19  ben

	* Repointed actions/ to action/ in all views and removed actions/*
	  from the action handler.

2009-02-19  marcus

	* Removed some bad links on actions
	* Fixed strange infinite loop on language loading.
	* Removed @ from register translation include_once
	* Closes #394: May now specify elgg_version in the manifest to
	  specify a minimum version of elgg required.

2009-02-19  dave

	* delete confirmation added to delete pages
	* input view changed on site messages
	* warning applied to group deletion
	* title tweaked

2009-02-19  ben

	* Fix for user object counting with upper and lower time limits.

2009-02-19  dave

	* missing lang file
	* ownerblock tweak

2009-02-19  ben

	* Introducing archive functionality.

2009-02-19  dave

	* new river widget

2009-02-18  pete

	* updated elgg toolbar logo

2009-02-18  dave

	* missing id applied
	* admins can highlight featured groups

2009-02-18  pete

	* sidebar forms styled

2009-02-18  marcus

	* Closes #790: Removed @ before include statements.

2009-02-18  pete

	* forward and back text added
	* reset button wrapped
	* pagination on river fixed / styled, and site message styled

2009-02-18  marcus

	* Helping plugin developers by no longer suppressing parsing errors
	  in plugins.

2009-02-17  ben

	* Fix for previous
	* Riverdashboard registers an init event handler now .....

2009-02-17  pete

	* style applied

2009-02-17  dave

	* more more all groups tweak
	* new all groups view
	* bug fixed in profile status
	* river view altered

2009-02-17  marcus

	* Closes #763: A message is now displayed for widgets belonging to
	  disabled plugins explaining what has happened.

2009-02-17  pete

	* css added to sep file

2009-02-17  dave

	* welcome message tweaked
	* simple site message added
	* removed a redundant view

2009-02-17  marcus

	* Closes #786: Only basic profile information provided to
	  non-joined users of closed groups.

2009-02-17  dave

	* entity passed to status view

2009-02-17  pete

	* interface updated, markup tweaked etc

2009-02-17  dave

	* new status view created that can be extended

2009-02-17  marcus

	* Added some very basic page load profiling.
	* Closes #785: datalists now pulls all settings on first item load.
	* Closes #783: Initial cache write on start now checks whether elgg
	  has been fully installed before proceeding.

2009-02-16  dave

	* new view added to allow status plugins to extend and display as
	  part of the profile block

2009-02-16  ben

	* Icondirect now falls back on the cached default view
	* Icon default views are now registered as cached
	* Introducing input/plaintext.

2009-02-16  pete

	* loose page elements wrapped in container div

2009-02-16  ben

	* A little more flexibility for the simplecache.

2009-02-16  marcus

	* Short circuit get entity on impossible values, saving two db
	  queries per page

2009-02-16  ben

	* Views simplecache improvements.

2009-02-16  dave

	* another view added for analytics which plugins can extend
	* footer links replaced by a view which plugins can extend

2009-02-16  marcus

	* Removed select_default_memcache as this was not used.
	* Closes #429: Language loading now no longer loads all possible
	  translations - only english + user's preferred language/site
	  preference

2009-02-16  pete

	* theme updates

2009-02-16  ben

	* Simplecache improvements.
	* Committing the simplecache for views.

2009-02-16  pete

	* removed broken expand all link and js

2009-02-16  marcus

	* Closes #777: Plugin version now displayed under "more info" link
	  in plugin admin settings.

2009-02-15  dave

	* latest activity link removed as it will be replaced by a full
	  activity stream
	* removed redundant stats info

2009-02-15  pete

	* user settings style brought in line with other settings pages

2009-02-15  dave

	* removed the dropdown menu from forum latest view on group
	  profiles
	* allow users to put a widget of their groups on their dashboard as
	  well as profile.
	* group homepage forum view tweaked

2009-02-13  ben

	* Fixes #778. Thanks!

2009-02-13  pete

	* css classname cleanup, prep for v1.5 default theme

2009-02-13  ben

	* Simple river pagination.

2009-02-13  dave

	* new views for riverdashboard

2009-02-13  ben

	* Moved plugin settings so they're more obvious.

2009-02-13  marcus

	* Fixed logic bug in login()
	* Closes #761, #718: Group permissions now made much much simpler.

2009-02-13  dave

	* new annotations activity view

2009-02-13  pete

	* loose text strings cleaned up, extra container divs added

2009-02-13  dave

	* new river work committed for profiles
	* changed the activity view

2009-02-13  ben

	* Language updates to river dashboard
	* Added better content filtering for dashboard
	* New river dashboard.
	* Removing an erroneous system_message call.
	* Data sanitisation fix.

2009-02-13  dave

	* new layout canvas

2009-02-13  marcus

	* Added lazy database connections to delay establishing the db link
	  until actually required - will allow for future lite/static
	  content endpoints that bypass db connections and session
	  creation.
	* Closes #769: Added short circuit to quit function if entity is
	  null.
	* Closes #772: $value no longer being incorrectly set when memcache
	  is enabled.

2009-02-12  ben

	* A correction to the way attributes are set for extenders.
	* New base translation word: publish
	* Schema fix
	* Clear river items on entity delete
	* A minor stabilisation change for river2
	* A minor stabilisation change for river2

2009-02-12  marcus

	* Refs #561: Removed &amp encoding from kses but retaining script
	  input and entities.

2009-02-12  ben

	* Alternative river system trial. This is a test.

2009-02-12  marcus

	* Avoiding wsod for deleted users

2009-02-11  pete

	* div cleared after pagination for theme compatability

2009-02-11  marcus

	* 
	* Added some missing translations
	* Added links to better documentation
	* Closes #684: Scratching a particular itch of mine by no longer
	  hiding urls when converting them to active links. This issue has
	  caused many a headache. The url is now preserved but with a <wbr
	  /> inserted after every /, this lets long urls be wrapped without
	  breaking the url.

2009-02-11  ben

	* Removing wildcard from the beginning of 'like' search for
	  user/username

2009-02-11  marcus

	* Filtering on type,subtype and event
	* Relocation of activity database queries to the core.

2009-02-10  marcus

	* Cleaned up the admin directory using a pagehandler.
	* Minor confusion clearups
	* Closes #756: htmlentities on all output forms
	* XSS filtering on output
	* Refs #561: Split filtering into separate function

2009-02-10  ben

	* Speedy icon bypass.

2009-02-10  dave

	* add a view to site wide activity that can be extended by the wire

2009-02-10  ben

	* Further changes to the notification mechanism.

2009-02-10  marcus

	* Closes #757: Removed strtolower as it is not UTF8 safe. See
	  http://www.phpwact.org/php/i18n/utf-8 for further discussion.
	* Refs #756: htmlentities on all input views
	* Marcus Povey <marcus@elgg.com>
	  * Pagination not displayed when no activity present
	  * OpenDD link for your activity now functioning

2009-02-10  ben

	* Fixed 'all friends' button.

2009-02-10  dave

	* new edit canvas layout

2009-02-10  marcus

	* Closes #752: Delete move to edit, making it less fatal. Probably
	  needs skinning.

2009-02-09  ben

	* A single notification is now sent out on forum topic creation.
	  
	  This also contains an update to $entity->countAnnotations, which
	  no longer requires you to specify the annotation type.
	* Notification fix: you no longer get notifications on your own
	  content.
	* Introducing group forum notifications

2009-02-09  marcus

	* Refs #640: Entity disable now recursive
	* Closes #282, Refs #640: Group deletion enabled. TODO: Suggested
	  enhancement #752

2009-02-09  ben

	* Added the 'annotate' event on entities.
	* Minor display fix.
	* Group notification settings now save properly
	* Added a new filter to delete relationship functions

2009-02-09  marcus

	* Refs #640, #282: Recursive deletion of owned and contained
	  entities.
	* Closes #223: Admin options now use output/confirmlink
	* Refs #492: Export and delete links next to entity

2009-02-09  ben

	* Extra security for object notifications.
	* Group notifications, all friends notification option

2009-02-09  marcus

	* Couple of extra words
	* Added default to confirm link.

2009-02-09  pete

	* pagination on activity stream added

2009-02-09  marcus

	* Closes #584: Removed exception, get_user will now return false if
	  GUID exists but is not a user. This probably makes more sense as
	  Exceptions should probably be reserved for major Ooopses.
	  
	  The error in this bug was caused by this exception being thrown
	  and not caught in the access group handler. This may have been
	  the cause of a number of group related / permission related
	  errors.
	* Refs #584: Fixed error message.
	* Closes #720: setCalendarTimeAndDuration() now saves end time
	  correctly.

2009-02-07  dave

	* drop down menu removed from members avatars on the group home
	  page. You can change this back by removing 'override' => 'true'
	* new river views added to groups
	* profile icon added to change river view and css added to activity
	* small additions to the activity view
	* manifest file added to notifications

2009-02-06  ben

	* Tentative groups page committed into notifications plugin.
	* Language and UI changes for the notifications plugin.

2009-02-06  pete

	* styles for notifications

2009-02-06  ben

	* Javascript just about beaten into submission. Viewers of the
	  public SVN, I apologise for clogging up the history view.
	  
	  Here's a joke by way of penance:
	* Save action corrections
	* An attempt at fixing the toggle issue
	* Notification settings. Still not right though ..
	* More notification settings work.
	* Notification icons work properly when selecting / deselecting a
	  friends collection.
	* Friends collections work

2009-02-06  pete

	* icons for river added
	* updated activity css

2009-02-05  ben

	* Added digits to pagehandler rewrite rule. Fixes #741
	* Friends collections preferences are saved
	* Collections titles
	* Access collections toggle beginnings
	* Further notification settings changes.
	* Fitter, happier, more productive notifications plugin.
	* Belts and braces with notifications
	* Minor change to access SQL. Fixes #687
	* Further htaccess change
	* htaccess update
	* Added profile updates to the notification handler

2009-02-04  ben

	* API results now JSON export properly. Refs #716
	* JSON feeds now work. Fixes #716
	* Access improvements on granular notifications
	* DB credentials are no longer unnecessarily revealed on failure to
	  connect. Fixes #723
	* Contributors patch
	* Added plugin hook triggers to reportedcontent plugin. Fixes #725
	* Added class to input/button. Fixes #618
	* Added pagination to group topic posts. Fixes #704
	* Added unique title tags to the entity browser. Fixes #722
	* Tag URLs now conform to the microformats specification. Fixes
	  #729
	* Minor changes to contrib file

2009-02-04  dave

	* tweaks to the contributors file

2009-02-04  ben

	* Moves access permissions references over to using the ACCESS_*
	  constants defined in access.php. Refs #687
	* Moved the access constant definitions from access.php to
	  elgglib.php, so they'll be loaded initially.
	* When a new password is generated, the salt is now regenerated
	  first. Fixes #726.

2009-02-04  dave

	* ticket #732 committed

2009-02-03  ben

	* Corrected pagination limit error.
	* Elgg Javascript update content function

2009-02-03  dave

	* ticket #728 dealt with
	* changed the number of group members to display on group
	  frontpages from 9999 to 10 (This should become configurable)
	* patch number #724 applied

2009-02-03  ben

	* Users are now notified when an account has been created for them
	  on a site.

2009-02-02  ben

	* Fixed bug in get_entities allowing for multiple subtypes.

2009-02-01  dave

	* removed redundant post options

2009-01-30  ben

	* Moving over to use file_exists to check for default entity icons,
	  which should be lighter to load and produce fewer errors.

2009-01-29  ben

	* Tentatively downgraded version requirement.

2009-01-28  ben

	* notify_user now traps exceptions and logs them.

2009-01-27  ben

	* Change to notification object registration function.

2009-01-27  pete

	* friendspicker / collections updated to work with more than 12+
	  friends per pane

2009-01-27  dave

	* tweak to banned user
	* small admin tweak

2009-01-27  ben

	* Added container_guid to ElggEntity->save() and update_entity()
	  functions. Fixes #711
	* Moving actions into the boot event.

2009-01-26  ben

	* Moved actions out of init files
	* Added object notifications plugin hook override.
	* Fixed pagination issue with count annotations function.

2009-01-25  marcus

	* Fixes #709: get_language() now fails correctly. @ben Why is this
	  introduced? Surely this is the same as get_current_language()?

2009-01-24  marcus

	* Fixing access controls on multi-metadata

2009-01-23  marcus

	* Refs #706: Copyright in readme
	* Support for people who can't spell
	* Refs #706

2009-01-23  ben

	* Menu heading changes
	* Added save action for the notification subscriptions.
	* Added notification subscriptions page.
	* Moved current language detection out into the function
	  get_language();

2009-01-23  pete

	* new cross-browser js toolbar menu

2009-01-23  marcus

	* Refs #562: Configuration flag to disable database sessions.
	* Fixes missing translations
	* Bumped version to today

2009-01-22  marcus

	* Closes #702: Correct parameters fed to get_system_log

2009-01-22  pete

	* jquery framework and avatar menu updated

2009-01-22  ben

	* A further change to ensure notification messages don't get
	  changed for every method if one method needs to make a change.
	* Slight change to notifications.
	* Added more granular notification hook

2009-01-22  marcus

	* Closes #701: Blank tags not returned by string_to_tag_array

2009-01-22  ben

	* Granular notification: a start

2009-01-22  marcus

	* Relationships no longer double added

2009-01-21  marcus

	* Closes #700: If a plugin doesn't physically exist then it is
	  deleted.
	* User settings translated
	* Reverted.
	* Tools menus now elgg_echo folder name

2009-01-21  ben

	* Introducing a function that orders by sums of an annotation AND
	  limits by a metadata value

2009-01-21  marcus

	* Added Activity stream back in
	* Closes #699: get_user_by_username now using access controls. Will
	  no longer throw exception when accessing disabled users.

2009-01-20  ben

	* Added toggling for the annotation sum list functions.
	* Added to and fixed the list by annotation count functions.
	* Fix for previous
	* Added the missing 'group by' clause to the get annotations by sum
	  SQL query.

2009-01-19  marcus

	* Added user to user settings
	* Refs #697: Now using plugin hook so one can do live validation of
	  values
	* Closes #698: Typo corrected - nice spot!
	* Closes #697: Events triggered when plugin settings are updated.

2009-01-19  ben

	* Fix for previous.
	* Added annotation sum functions

2009-01-19  marcus

	* Closes #691: Should have been is_memcache_available()

2009-01-16  marcus

	* Closes #689: Email now only changed if it is different than the
	  one registered, also a number of other settings changed in this
	  way.
	* Widget save errors now use correct message box

2009-01-15  marcus

	* Elgg version info now present in headers.
	* Closes #672: Poor mans cron plugin enabled. This triggers events
	  according to page load.
	* 
	* Added shutdown, system event. Refs #672
	* Editing post no longer takes ownership
	* Refs #641: Email changer now prevents changing to the same as
	  another user.

2009-01-14  marcus

	* Closes #669: Logins rate limited. Accounts are limited to 5 fails
	  in a 5 minute period, meaning an attacker can try one password
	  per minute.
	* Closes #675: Posted missing commits from last time.

2009-01-13  ben

	* Comment correction.
	* Fix for template handler override.

2009-01-13  marcus

	* Closes #676: Entity subtables now deleted on failed connections.

2009-01-13  ben

	* Better trigger_plugin_hook documentation.

2009-01-13  marcus

	* Closes #675: Salt changed during password reset
	* 

2009-01-12  ben

	* Tag updates.

2009-01-11  marcus

	* Added rel="nofollow" rss and opendd links in ownerblock

2009-01-09  marcus

	* Closes #240: It is now possible to downgrade an admin user.
	* Closes #560: Pagination parameters added.
	* Closes #544: Logged out view now shows correct dates, also tidied
	  up some translation issues.
	* Minor variable name and comment change.
	* Closes #668: Banning now works through a flag in the users_entity
	  table. Database upgrade required.
	  * Added ElggUser::isBanned();
	  * Added 'banned' column to users_entity
	  * Modified ban() and unban()
	  * Modified pam functions to check $user->isBanned()
	  * Modified login() to check $user->isBanned()
	  * Modified sessions_init() to check isBanned() and destroy
	  session accordingly
	  * Modified profile views to highlight banned users and prevent
	  menus for non-admin users.

2009-01-08  marcus

	* Closes #588: Don't remember adding this check... but anyway,
	  double entries regression fixed.
	* Minor error message improvement
	* Added extra belts and braces check (minor)
	* Added extra belts and braces check (minor)
	* Refs #668: Building on [2546] and providing ban and unban
	  functions. Later these will be replaced with "banning" functions.
	* Closes #664: Defaults added to radio buttons
	* Limit max display of active users to 10.
	* Refs #668, #640: Cleaner interface provided for banning.
	* Refs #640: Renamed and moved entities.php:disable_entities to
	  user.php:disable_user_entities
	* Delete replaced by disable in disable_entity
	* Closes #666: Added some extra indexes
	* Closes #546: Translation moved
	* Closes #663: Added access checks on entity on
	  get_entities_from_annotation and count functions.
	* Closes #667: Minor tweak, an e should be an m

2009-01-07  marcus

	* Closes #410: Pagination parameter now passed in relationship list
	  view.
	* Closes #286: Group access restrictions issue fixed, modified from
	  patch supplied with #315
	* Refs #622: Missing command from failsafe view
	* Closes #660: Minor text tweak
	* Closes #662: https on login.

2009-01-06  marcus

	* Closes #587: The area of code in question hasn't been coded as
	  defencively as it could have been.
	* Fixes #648: Copy and paste error corrected.

2009-01-05  marcus

	* * Added addRelationship to ElggEntity... bit of an omission!
	* Closes #656: Disabled mod_deflate for all actions so that active
	  downloads will no longer be double compressed.
	* Fixes #655, Refs #628: Install now working with correct event
	  chain (#628).

2009-01-02  marcus

	* Closes #649: Added checking to report when friend add fails.

2009-01-01  dave

	* bug #634 fixed
	* lang tweak in group forums
	* groups owners can choose if they want pages/files/forum enabled
	  or not. Still a little more to do, this is just the beginning
	  code.
	* missing group lang items added

2008-12-31  marcus

	* Closes #579: Allows configurable option $CONFIG->broken_mta =
	  true. If set, this uses "\n" instead of "\r\n" in email headers.

2008-12-30  marcus

	* Closes #643: Confirmed bug, applied fix as suggested.
	* Closes #633: User name in owner block is now link. This may
	  require additional skinning.
	* Closes #608: Placing a file called "disabled" in mod now disables
	  all plugins, allowing easier recovery of an elgg site with
	  screwed up modules.
	* Closes #519: Typo. Well spotted.
	* Closes #500
	* Closes #504

2008-12-29  marcus

	* Closes #396: Form should probably not be permitted on input.

2008-12-23  marcus

	* Closes #628: Event change now terminates on false. Nice spot :)

2008-12-09  marcus

	* Removed upgrade client since it doesn't really matter.
	* Ticked up version number

2008-12-08  marcus

	* Fixes #615

2008-12-08  ben

	* Fixes to user banning (action side).
	* Fixes to user banning.

2008-12-05  marcus

	* Prototype view caching
	* Closes #597: GUID must now be non-zero for messages to be sent

2008-12-05  pete

	* unused rule removed #583

2008-12-05  marcus

	* Closes #582: Missing commit
	* Closes #611: Made name field longer

2008-12-04  marcus

	* Closes #421 : Catches the DB Exception, so hopefully this will
	  prevent the error from showing up in the future :)
	* Closes #501
	* Closes #609
	* Fixed update script
	* ETag support

2008-12-04  dave

	* latest group discussion bug fixed

2008-12-03  marcus

	* Some location tweaks
	* Closes #550: Code metadata now moved to private storage
	* Closes #604

2008-12-02  marcus

	* oopsy, forgot to commit the version text

2008-11-28  ben

	* Improved radio button value retention
	* Improved checkbox value retention

2008-11-26  marcus

	* FOAF header added to profile
	* Foaf ident on mailbox for friends
	* Closes #571: Widgets now use private store for settings
	* Closes #571: Widgets now use private store for settings
	* 

2008-11-25  marcus

	* Hook for future geocoding library added.
	* 

2008-11-24  marcus

	* Closes #580: Fixed tagging trim and strtolower

2008-11-21  marcus

	* Refs #452: Basic entity listing functions. Needs canvas.
	* Closes #554: Validation procedure now correctly screening for
	  ascii space

2008-11-20  marcus

	* 
	* Added site secret to fingerprint to make it harder to guess
	* Fixes #548: Introducing set_last_login($user_guid). Called from
	  login(), but call from any authentication code where appropriate.
	* Refs #452: Calendar interface on entities
	* Introducing get_entities_from_private_setting();

2008-11-20  ben

	* No need to trigger the init event on upgrade.

2008-11-20  marcus

	* Refs #569, #570, #571: Update script for both users and plugins
	  plugin settings
	* Migrate plugin settings from plugin to new settigns store.
	* Refs #571. Fixes #569, #570:
	  * Plugin functions set to use private data store.
	  * Fixed some db queries
	  * Modified plugin class overriding get/set functions
	* Refs #569, #570, #571: Minor database schema errors corrected
	* Refs #569, #570, #571: Corrected and optimised insert query
	* Refs #569, #570, #571: Minor database schema errors corrected
	* Refs #569, #570, #571: dbprefix not prefix;
	* Refs #569, #570, #571: Added remove_all_private_settings()
	* Refs #569, #570, #571: Added get_all_private_settings();
	* Fixes #531: Access permissions enforced

2008-11-19  marcus

	* Fixes #568: Exportable code now inclusive not exclusive.
	  * Added extra function Exportable interface
	  * OpenDD export modified
	  * PHP & JSON export views modified
	  * Default export view will still show all data if you are logged
	  in as admin (since this view is used by the guidtool)

2008-11-19  ben

	* Base private setting functions, commit 2
	* Base private setting functions, commit 1
	* Introducing the new private settings table.

2008-11-19  marcus

	* Added get notable enities on relationship
	* Added get notable enities on metadata
	* Added get notable enities

2008-11-18  marcus

	* Closes #557

2008-11-14  marcus

	* * Introducing get_loggedin_user() and get_loggedin_userid()
	  * ACLs now using get_loggedin_user*
	  * Some logic cleaned up
	  * Some "Undefined..." messages cleaned up
	* 
	* Removed some "Undefined" messages
	* Removed some "Undefined" messages
	* Removed some "Undefined" messages
	* Removed some "Undefined" messages
	* Removed some "Undefined" messages
	* "Undefined" messages tidied up
	* "Undefined" messages tidied up
	* "Undefined" messages tidied up
	* 
	* * Candidate for initial ElggSession magic class
	  * Session now properly cleared on init and logout - this has
	  knock on effect that you can no longer assume that
	  $_SESSION['id'] or 'guid' will be integer, making it necessary to
	  cast.
	* Minor tidying of code

2008-11-13  marcus

	* Experimental ElggCache

2008-11-12  marcus

	* 
	* No longer blanks all caches when clearing
	* Closes #543

2008-11-11  marcus

	* Ifdef expires
	* Minor tweaks to mod_gzip config. Note that gzip can't compress
	  some things due to the way that the apache 1.3 stack works
	* Simplified GZIP
	* Mod deflate support added
	* Turned on mod_gzip if available
	* Added default expiry
	* Expires header added to group icons

2008-11-10  marcus

	* Content length on images
	* Content length on images
	* Content length headers on JS and css
	* Javascript now correctly marked as cacheable
	* Fixes #541: CSS Now not being cached. Error is being caused
	  somewhere in the elgg framework which prevents pragma caching
	  from working... not sure what
	* Refs #520
	* Closes #501
	* Closes #507
	* Tidied.

2008-11-07  marcus

	* Profiling now showing queries executed before debug flag being
	  set
	* Refs #529: Experimental memcaching for metadata
	* Fixed datalists error
	* Refs #529: Experimental memcaching on datalists
	* Removing unnecessary call to datalists
	* Fixes #530
	* Refs #529: Experimental caching of metastrings
	* Refs #529: Experimental object level caching

2008-11-06  marcus

	* Reverted limited caching back to array since caching objects
	  don't work so well for these.
	* datalists now has primary key, datalist set function optimised
	* Not possible to get any more, so tell them so
	* Last action query update delayed to avoid invalidating query
	  cache unnecessarily.
	* * Database functions optimised and centralised a bit
	  * Caching now caches queries which return no data
	  * Introducing execute_delayed_query family for executing queries
	  AFTER the page has loaded.
	* isset fixes
	* Some tidying of objects and opendd export
	* Added test to see if memcache is available.
	* Class hierachy changed to separate shared memory caching

2008-11-05  marcus

	* 
	* Minor extension to river
	* Minor tweak
	* Slight rejig in the way the river works
	* Extends elgg_view_tree to support other view types.
	* Added "add" method to cache only if it doesn't exist already.
	* Revert use of memcache for database query cache
	* Changed default timeout

2008-11-04  marcus

	* Removed cache clearing for now.
	* More tweaks
	* Experimental memcache support
	* Closes #516: Experimental memcache support
	* Installation notes
	* Refs #514: Memcache error messages
	* Refs #514: Memcache settings
	* Refs #514 : Using memcache if available
	* Refs #514
	* First draft memcache object. No testing yet carried out,
	  submitted 'cos I'm moving computers.
	* 
	* Moved caching to function so it can be easily replaced

2008-11-03  marcus

	* Refs #514: Entity and subtype caching
	* Minor tweaks
	* back to private
	* Initialisation correct
	* Database using new memory cache object
	* * ElggCache interface improved
	  * ElggStaticVariableCache introduced as a placeholder for more
	  advanced caching.
	* Experimental database query caching, please report problems asap.
	* Stub added refs #452
	* Experimental database query caching, please report problems asap.
	* Some missing keys added.
	* Minor tweaks 'cos case does matter...

2008-11-01  ben

	* Minor style fix.
	* Latest discussion fix

2008-10-31  marcus

	* Closes #378: Fixed incorrect relationship direction.
	* Closes #446:
	  * Errant \r\n and \r chars coverted to \n.
	  * newlines stripped from subject headers.
	  * Lines starting with From are changed to >From
	* Changed cron to use output buffering (letting you simply echo
	  rather than needing to pass variables around)
	* Closes #461: Localisations added
	* Refs #494: GUID listed
	* Added system, gc plugin hook to garbage collector
	* Closes #488: This is indeed a typo... well spotted :)
	* Closes #493: Moved database queries out of module and in to core
	  in line with best practice.

2008-10-30  marcus

	* Closes #486

2008-10-30  ben

	* Version number fail.
	* Elgg 1.1 final.
	* Further version update
	* Version number change in the readme file.

2008-10-30  pete

	* profile block layout issue in IE7 fixed

2008-10-29  ben

	* Version number change
	* A better description of the RESTful API

2008-10-29  marcus

	* Reverted database access permission caching.

2008-10-29  ben

	* Group topic error message
	* Replacement upgrade notifier
	* Slight update to crontab instructions
	* Farewell, activity, we hardly knew ye.

2008-10-29  marcus

	* Modification to install and upgrade text files to include details
	  about the crontab

2008-10-29  ben

	* Added upgrading screen
	* Visual upgrader.

2008-10-29  dave

	* manifest files sync'ed

2008-10-29  pete

	* persistent login checkbox styled

2008-10-29  ben

	* Menu link text change, to be more descriptive

2008-10-29  marcus

	* Hide 'about me' on custom profiles

2008-10-29  ben

	* Annotation pagination is now corrected where more than 10 items
	  are being displayed at once.

2008-10-29  pete

	* remove js, moved into views
	* updates for v1.1, css cleanup, removal of redundant classes,
	  redundant js removed

2008-10-29  marcus

	* Logrotate and archive containing offset. Table still created as
	  $now but containing < $now-period.

2008-10-28  marcus

	* Introducing the Elgg garbage collector.

2008-10-28  pete

	* layout bug when not group owner

2008-10-28  ben

	* Removed the toolbox.
	* Removed needless comment

2008-10-28  pete

	* added additional styles for code, pre, blockquote, dl, dt etc

2008-10-28  ben

	* Views are now more granular.

2008-10-28  marcus

	* Closes #306

2008-10-28  pete

	* messages in failsafe mode moved to inline ones - so they don't
	  obscure text below

2008-10-28  ben

	* Hoiking out the generic comment view again. Needs to be
	  rethought.
	* Committed a generic comment view.

2008-10-28  marcus

	* Closes #440
	* Flags to prevent queries being run multiple times.
	* Removed spurious notice
	* Closes #476: Well spotted.

2008-10-27  pete

	* additional dicv added to owner block for theme purposes

2008-10-27  marcus

	* 
	* REMOVED LANGUAGE FILES FROM CORE.
	  This is due to a stupid and frustrating legal reason.
	* REMOVED LANGUAGE FILES FROM CORE.
	  This is due to a stupid and tedious legal reason.
	* Closes #215: Log rotation added.

2008-10-27  ben

	* Removing WSOD errors in groups

2008-10-27  marcus

	* Refs #215: Minor tweak to logic

2008-10-27  ben

	* Hopefully slightly friendlier token mismatch errors.

2008-10-27  marcus

	* Refs #215: System hook for archiving log. Cron yet to be added.
	* Closes #448: Functionality was present, but was lacking
	  interface. Interface provided.
	* Closes #460: Good spot, thanks for the contribution!
	* Closes #473: Good spot

2008-10-24  ben

	* The friend invite infrastructure is now secure.

2008-10-24  marcus

	* 
	* Closes #469: Thankyou for the translation!

2008-10-24  ben

	* Further additions to the registration form.
	* Added friend guid handling to the registration form.
	* Added the ability to add a user to a user's friends list on
	  registration.
	* Added the ability to add a user to a user's friends list on
	  registration.
	* Revert.
	* Improvements for container overrides.

2008-10-22  ben

	* Fix for input/radio where keys aren't specified

2008-10-22  marcus

	* Minor tweaks to tools settings
	* Added reply

2008-10-22  ben

	* Small language additions for open and close.

2008-10-22  pete

	* removed and added to thewire plugin

2008-10-22  marcus

	* Better default forward

2008-10-22  ben

	* Fixed typo! Well spotted, @notomodungwa

2008-10-22  marcus

	* Increasing sub-hour cron granularity
	* Removed unnecessary column
	* Closes #453 and #463: Completed work. Sessions now stored in
	  database.
	* Semi-working session code. Still won't permit logging in,
	  commented out until there is time to fix.
	  
	  Problem seems to be based around the action_gatekeeper() and the
	  values set for the __elgg_session. Removing this component from
	  the key causes the token to be valid.
	  
	  My feeling is that the session is not being saved or loaded
	  correctly.

2008-10-21  pete

	* #458 fixed - IE7 conditional statement bug

2008-10-21  marcus

	* Database session code.
	  
	  IMPORTANT NOTE:
	  
	  The trigger for this is commented out, so old session code is
	  used. There are serious problems with using the new code since it
	  causes a chicken and egg problem with the upgrade script.
	* Closes #457: Now returns $guid on success, false on fail
	* Added safety rail to prevent disabling/deleting of currently
	  viewed site.

2008-10-20  ben

	* Output/checkboxes now defers to output/tags rather than
	  output/text; much more sensible.
	* The input filter now deals with two-dimensional input arrays.

2008-10-20  marcus

	* 
	* Minor tweaks to avoid breaking non-admin css

2008-10-20  ben

	* Important fix for deleted plugins.

2008-10-17  ben

	* Default output fields for radio and checkboxes
	* Fixed double layout issue

2008-10-17  marcus

	* Closes #335: Marcus Povey :
	  * Per user tools settings now present again (only displays if
	  there are settings present AND the plugin is enabled - needs
	  skinning accordingly)
	  * Re-jigged the settings code to behave like a proper page
	  handler.
	  * Minor tweak to language
	* Changes to access any system log code. Introducing owner guid on
	  items which is necessary for access control.
	  Requires upgrade.php to be run

2008-10-17  pete

	* activity stream basic style applied, and plugin reorder links
	  adjusted

2008-10-16  pete

	* widget gallery more info spacing fixed

2008-10-16  ben

	* Minor language tweak.
	* You can now reorder plugins.

2008-10-16  pete

	* gap in user menu removed

2008-10-16  marcus

	* Initial activity view.
	  
	  Missing functionality: comments, tabs and drill down ability.

2008-10-16  ben

	* Improved online users stats so that more than 10 get displayed

2008-10-16  marcus

	* Moving internal function out of elgg_view_tree() since this
	  caused problems
	* Closes #438
	* 
	* Closes #442: Requires schema upgrade. Side effect - friends
	  activity rivers will be blanked.
	* River performance tweak

2008-10-15  marcus

	* Committing groups translation
	* Notification methods now better translated
	* Closes #433: Merged changes from trac and email submissions.
	  Thanks for all submissions!
	* Initial core russian translation
	* Refs #433: Russian translations for core plugins

2008-10-15  dave

	* view link added to en.php

2008-10-14  ben

	* Removed an annoying variable cast that was destroying everything.
	* The word blacklist for filter_string is now loaded on init.

2008-10-14  pete

	* Edit profile form modified

2008-10-14  marcus

	* 
	* Closes #235: Simple profile editor in place

2008-10-13  pete

	* Friends picker arrows combined into one resource, and updated
	  with hover effect. Redundant image gallery icons removed.

2008-10-13  marcus

	* 
	* Catching error on datalists

2008-10-13  pete

	* Avatar user menu arrows updated to use one image rather than 3

2008-10-13  marcus

	* Closes #412
	* Refs #431: Belts and braces added to river view

2008-10-13  pete

	* Adjusted spacing on add user form

2008-10-13  marcus

	* Refs #432: Typo
	* Closes #432: Hook added as profile
	* Minor commenting

2008-10-13  ben

	* Updated the install and upgrade text.

2008-10-13  marcus

	* Refs #424: reportedcontent
	* Refs #424: guidtool, groups, river
	* Refs #424: Diagnostics, logbrowser, updateclient
	* Refs #424: Core translations added.
	* Closes #430

2008-10-13  pete

	* Groups updated to use new icon method and new groups icons added.
	  Profile updated with new default avatars

2008-10-13  ben

	* Fixed the previous user login issue.

2008-10-13  marcus

	* Introducing get_current_language(). Refs #235
	* Refs #235: Added hooks for future admin interface
	* 

2008-10-13  pete

	* default message styled

2008-10-13  marcus

	* Refs #235: Now possible for plugins to change default profile
	  (plugin hook 'profile:fields', 'profile'.

2008-10-10  pete

	* widget more info tooltip improvements
	* further fixes to the widget gallery to use css-based images
	* Updated widget picker gallery to use classes for images rather
	  than hard-coded resources.

2008-10-08  pete

	* user avatar menu method adjusted to avoid hard-coded image
	  resources

2008-10-08  dave

	* system message strings moved to elgg_echo

2008-10-08  ben

	* Default icon overrides.
	* Simple hook to allow for default user and entity icons.

2008-10-08  marcus

	* 
	* Closes #417 & #418
	* Minor optimisations.
	  Introducing exists() on filestores
	* Closes #301: Profile icons now use getIcon() API. Overrides now
	  possible:
	  
	  For themes to override, create a plugin hook listening to
	  'entity:icon:url' and object 'user'.
	  
	  In the hook return a different url.
	  
	  To replace default user icons in a plugin one might create a
	  hook:
	  
	  function profile_usericon_hook($hook, $entity_type, $returnvalue,
	  $params)
	  {
	  if ((!$returnvalue) && ($params['entity'] instanceof ElggUser))
	  {
	  // return your default graphic here.
	  }
	  }
	  
	  And set it to priority 900 (lower priority than the code that
	  displays a pretty icon for users but higher than the default
	  object display code in entities.php)
	* Allowing '.' in username, refs #415
	* Fixes #413: Rss feeds with GET query strings now functioning.
	  
	  Thanks for your patch, nice spot!
	* Fixes #415

2008-10-08  pete

	* ajax loader updated to use an image from _graphics rather than a
	  hard-coded image resource (to make theming possible).

2008-10-07  ben

	* Removing pagination from online users.

2008-10-07  marcus

	* Removed debug
	* Minor tweaks to the getIcon code:
	  * Default now running on priority 1000
	  * Renamed default hook to a better name
	  Marcus Povey

2008-10-07  ben

	* Removed pagination for the groups widget

2008-10-07  marcus

	* Bugfixes to river script
	* Added river key to main schema

2008-10-07  pete

	* updated failsafe message divs dimensions

2008-10-07  marcus

	* Changed the name. Refs #409
	* Closes #409: PHP update script to update core added
	* removed debug
	* Removing BOM
	* Thai language pack
	* Thai language pack
	* Thai language pack
	* Thai language pack
	* Thai language pack
	* Thai language pack
	* Thai language pack
	* Closes #406: Thanks for your submission

2008-10-06  ben

	* Introduced a way to either tether metadata access to entities, or
	  to make them independent - in either case, explicitly.

2008-10-06  marcus

	* 
	* Deleted old gumpf refs #402 and #407
	* Closes #402 and #407 : Right! Finally nailed this fscking issue
	  to the wall (hopefully).
	  
	  Modified system log to hold extra information about the class
	  being stored, this lets us pull only the required rows from the
	  event log.
	  
	  This drastically simplifies and speeds up the query.
	  
	  Requires: Database upgrade.
	  Outstanding issues: Query is using filesort despite using correct
	  index. Still much faster than the last method!
	* Removed unnecessary debug

2008-10-06  ben

	* You can now remove pagination from a list
	* User browsing is revamped.
	* List_user_friends_objects now lets you hide the toggle to gallery
	  view

2008-10-06  marcus

	* Refs #402 and #407: Extra fields added to system_log
	* Refs #402 and #407: Extra fields added to system_log

2008-10-06  ben

	* Minor fix for previous.
	* Introducing elgg_view_tree, for getting an array of views
	* Elgg Javascript now goes through the views system
	* A massive speed increase for access permissions. :)

2008-10-06  marcus

	* Closes #405: If -> else if. Nice spot.

2008-10-04  dave

	* removed ratings hook from comments. It will now go into plugins.

2008-10-03  pete

	* updated messaging system with 'click to dismiss' and moved it's
	  position to not overlap the top toolbar

2008-10-03  marcus

	* Closes #399
	* Fixes #401
	* Refs #311: Modified message slightly
	* Fixes #311, closes #345: Validation now called via event 'user',
	  'validate'. Email validation now a plugin.

2008-10-03  pete

	* updated messages system

2008-10-03  marcus

	* Removed old validation code
	* Refs #311 : Removing old email confirmation code.
	* Refs #311 : Removing old email confirmation code.
	* Fixing whitescreen on settings file creation
	* Refs #311: Saving stub prior to relocation...
	* Refs #311: Enable email validation module by default
	* Refs #311
	* Refs #311
	* Refs #311
	* Refs #311
	* Closes #398
	* Fixing installer issue.

2008-10-02  ben

	* Fitter, happier group links
	* Added an admin override for container permissions checking.
	* Improved group menu items.

2008-10-01  marcus

	* Improved cron support
	* Closes #379
	* Closes #389
	* Fixes #395

2008-09-30  marcus

	* Minor tweaks
	* Changed to plugin hook
	* Closes #390: Triggers an event 'action', $action before action is
	  included.
	  
	  This is rather kludgy and we need to rethink this a bit.
	* Actually, bad idea...
	* Events now triggered on plugin enable/disable
	* Closes #388: Additionally the site check in configuration_init()
	  should be instanceof. Nice spot, thanks.

2008-09-30  pete

	* Messages/error notification system updated with dismiss button,
	  longer delay, and sticky/fixed position (at top of viewport).

2008-09-30  marcus

	* Install now works again

2008-09-30  dave

	* ratings hook added to comments block

2008-09-29  marcus

	* Added IP address tools, todo check licence.
	* Set the notification settings
	* Notifications get notification stuff in API form.
	* Closes #383 & #384
	* Closes #369: For entities which are not users the ->email field
	  is used, failing that it tries to work out an address from ->url
	  and lastly from $CONFIG->site_guid.
	  Closes #382: Fix applied as suggested.

2008-09-29  ben

	* get_input can now be properly overridden by set_input. Fixes #324

2008-09-25  marcus

	* 
	* 
	* Debug
	* Committing what I have at the end of the day, api still not 100%
	* Caching support fixed.
	* Fixing auth_token code
	* Fixed issue with pam handler, now if required method throws an
	  exception the authentication short circuits with false.

2008-09-25  ben

	* Clear annotations now clears annotations properly when no name is
	  specified. Fixes #357
	* Count annotations now fails properly if a metastring is not
	  found. Fixes #377

2008-09-25  marcus

	* Make statisics nicer
	* Make statisics nicer
	* view now set by endpoint
	* Closes #326: add_widget uses the specified $user_guid as
	  $widget->owner_guid

2008-09-24  marcus

	* 
	* Closes #360: Will now install on 5.1.6 or greater with a warning,
	  5.2 with now warning.
	* Closes #360: Will now install on 5.1.6 or greater with a warning,
	  5.2 with now warning.
	* Modified pinger to use new style endpoint format. Note, this will
	  require ping.elgg.org to be upgraded come next release!
	* Modified pinger to use new style endpoint format. Note, this will
	  require ping.elgg.org to be upgraded come next release!
	* Closes 374: Using get_version function instead of including the
	  version file.
	* Minor improvements to failure mode.
	* auth_token api call now functional
	* Addapted to be called from pagehandler
	* 

2008-09-24  ben

	* Returning cache control back to access permissions.

2008-09-24  marcus

	* Added action_gatekeeper() code
	* 
	* Added endpoint page handler.
	* Introducing API key administration panel
	* Create keypair code added
	* Added create_api_user
	* Added remove_api_user function
	* Will now handle banned users

2008-09-24  ben

	* Metadata permissions now work as advertised, but had to remove
	  caching in the process. Will attempt to re-enable it shortly.

2008-09-24  marcus

	* Closes #362: Nice spot.
	  
	  Cause was an omission of the user being edited being passed. No
	  security issues introduced by having this user set, since editing
	  user must still pass a canEdit() in the action itself.

2008-09-23  ben

	* The database schema will now automatically update itself on
	  upgrade.
	* The cache library is now loaded before the main library boot.

2008-09-23  marcus

	* Belts and braces

2008-09-23  ben

	* Database upgrade script from 1.0 to latest schema.

2008-09-22  marcus

	* API improvement. Authentication via token now logs user in for
	  that session.
	* Closes #367: Widgets only displayed for found profiles.

2008-09-20  marcus

	* Apparently non-p connections are better in many cases, see
	  http://www.slideshare.net/techdude/how-to-kill-mysql-performance
	* Closes #363

2008-09-19  marcus

	* Closes #358 and #359. Well spotted.
	* Closes #356: Thanks for the contribution!

2008-09-17  marcus

	* API explanations added to language file
	* Access permissions now cached correctly.
	* Optimised plugin query.
	* Short circuit added for missing values.
	* Removed old gunk
	* Load cache php
	* Changed caching to memory.
	* Added hmac cache of hmacs we have seen before (MEMORY TABLE)
	* Added hmac cache of hmacs we have seen before (MEMORY TABLE)
	* Some api improvements:
	  * User tokens setable
	  * List api no longer requires token
	* Changed users_apisessions to use memory, since there is no reason
	  to store this forever.
	* Added german core from Elgg development group
	* System log now using delayed writes.

2008-09-15  marcus

	* Marcus Povey:
	  * Some missing indexes added to database.
	  * Removed privileged path table since this is no longer used.
	* Removed privileged path code since this is no longer used
	* Closes #346: More granularity on enable/disable.
	* Italian language patch
	* Italian language patch
	* Italian language patch
	* Italian language patch
	* Italian language patch
	* Italian language patch
	* Italian language patch

2008-09-12  marcus

	* Basic XFN support

2008-09-11  marcus

	* Added missing translation

2008-09-10  marcus

	* Closes #349: We need to improve detect_extender_valuetype
	* Closes #348: Thanks for the patch!
	* Closes #339 : Italian alpha core language pack applied. Thanks
	  for the contribution!
	* Improved language completeness algorithm.

2008-09-09  marcus

	* Closes #342: Thanks for the updates!
	* Minor tweak: Only shows percentage on things less than 100%
	  complete
	* Some language helper tools.
	* Closes #338: You're quite right, this is was an error on our
	  part. Nice spot!
	* Introducing: Admin only translation "completeness" helper.

2008-09-08  marcus

	* Preliminary spanish translation
	* Refs #172: Removed line endings on spec.
	* Closes #298: Thankyou for your contribution!
	* Closes #300: Thanks for the translation!
	* Closes #320: Filled in missing translations

2008-09-07  marcus

	* Fixes 334: Radio buttons were part of the problem, label and
	  option were the wrong way round (compare with input/checkboxes).
	  
	  Second part of the problem was actually with
	  views/default/notifications/settings/usersettings.php, where the
	  value of the field was incorrectly being extracted from the
	  settings array.
	  
	  Thanks for the spot!

2008-09-06  marcus

	* Closes #327: Thanks for the pointer. In the end I modified the
	  fix from the patch you sent, it still uses get but the generated
	  token should make a CSRF attack much harder.
	* Fixes #332: Added tokens and action_gatekeeper()
	* Fixes #330: I implemented the changes you suggested (except for
	  quotes around the table name). What problems did you encounter?
	* Refs #331: Trying this again...
	* Closes 331: Removed fixed string in translation. Thanks for the
	  spot!

2008-09-02  marcus

	* Set default db to UTF 8... for what it's worth.

2008-09-01  marcus

	* Closes #305
	* Fixes #244
	* Fixes the regression introduced by [2023]
	* Additional per-session random token, additional randomness
	  protection against CSRF. Report problems.

2008-08-31  marcus

	* Some session fingerprinting code. Requires user agent to be
	  consistent across requests.
	* Regenerates session ID on user login. This helps prevent some
	  hijacking attacks.
	* Minor tweak, logout now calls session_destroy()

2008-08-28  marcus

	* Closes #313, Fixes #274: Resolved strange OSX language file
	  browsing, including speculative windows fix. Thanks for the
	  patch!

2008-08-26  marcus

	* Closes #304: Thanks for the patch!
	* Fixes #275: Thanks for the report!
	* Minor tweak to basic stats to clarify number of users in the
	  system.

2008-08-25  marcus

	* Closes #254: If mb_string is installed then internationalised
	  usernames are supported in file system.
	  
	  Because of this I have raised mbstring from recommended to a
	  (non-fatal) core requirement.
	  
	  Because of the lack of a unicode ctype_alnum function the
	  validation occurs at username input. Because of this I have
	  improved the user registration code:
	  
	  This code now validates for special chars etc in the username. I
	  have also introduced the following new plugin hooks (which are
	  run after primary validation) which provide plugins with the
	  ability to add other requirements (extra security etc).
	  
	  'registeruser:validate:password'
	  'registeruser:validate:username'
	  'registeruser:validate:email'
	  
	  Marcus Povey 25/8/08

2008-08-22  ben

	* Committing kses fix

2008-08-21  ben

	* Fixed ping error. Fixes #269
	* Fixed input for people with magic quotes on.

2008-08-21  marcus

	* Actually fixes #269
	* Fixes #269

2008-08-21  ben

	* Added plugin hook to elgg_view.

2008-08-21  marcus

	* Prelude to release
	* Fixes #280
	* Blanking session code on initialisation fail

2008-08-20  marcus

	* Closes #253: Patch provided by edfactor. Thanks for your
	  contribution!

2008-08-20  pete

	* install process password box added
	* increased the size of the input boxes on the install pages to
	  faciliate url checking

2008-08-20  marcus

	* Making it case insensitive...

2008-08-20  pete

	* removed unused image

2008-08-20  marcus

	* Refs #273: Extra sanity checking on install

2008-08-20  ben

	* Language change
	* Installation clarity fixes

2008-08-20  marcus

	* Refs #272: Speculative fix. Added PORT support to
	  current_page_url(). Please test to see if this solves your
	  problem...
	* Oopsy, wrong package number
	* Raising point number pre-package

2008-08-20  ben

	* Revised rewrite rules.

2008-08-19  marcus

	* Refs #266: Error given if no database has been set up.
	* Refs #256: Basic installation parameters checked.
	  Fixes #266: If the install flag isn't set then elgg_view will no
	  longer attempt to load data from the database.
	* Refs #265: If $CONFIG->view not blank then it overrides the
	  session even if the session is set.
	* Fixes #260: Done. Nice spot.

2008-08-18  ben

	* Small access fix
	* And again.
	* Minor contributor file fix.
	* Corrected minor friend collection issue

2008-08-18  pete

	* changed bens twitter account url

2008-08-18  ben

	* Moving the disable_entities call
	* More submenu corrections
	* Banning a user disables their entities
	* Removing a user disables their entities

2008-08-18  marcus

	* Updated for release

2008-08-17  ben

	* Fixed the submenu

2008-08-17  pete

	* default image for cropper tool

2008-08-17  ben

	* The top tool menu is now alphabetically sorted.
	* Submenu items are now sorted.
	* Renamed groups submenus
	* Added a missing translation string to groups.
	* Corrected the 'your groups' link

2008-08-17  dave

	* spotlight tweaks

2008-08-17  ben

	* Removed the context menu in the friends picker.

2008-08-17  pete

	* force tinyMCE editor initial width for safari
	* footer updated to fit more links
	* Opera fixes and new spotlight back

2008-08-17  ben

	* Wired in latest activity, so new users aren't as lonely as they
	  otherwise might be.

2008-08-17  pete

	* groups listing icon changed from tiny to small
	  latest discussion listing info block styled up

2008-08-17  dave

	* footer tweak

2008-08-17  ben

	* Ensuring that tags are saved correctly in profile

2008-08-17  pete

	* avatar menu fixes for IE
	* avatar menu fix for IE groups and profile pages

2008-08-17  ben

	* Updated installation instructions

2008-08-16  pete

	* avatar menu in IE, z-index bug work-around
	* tools menu removed dynamic z-index

2008-08-16  ben

	* Removed avatar context menu from large profile picture
	* Admin links are now consolidated
	* Removing gallery on search user list function

2008-08-16  pete

	* menu selected item ie6 fix

2008-08-16  dave

	* a little content added to the spotlight
	* reported content tweak

2008-08-16  ben

	* Individual profile items can now have access restrictions; also
	  made the profile JS more cache friendly

2008-08-16  pete

	* reported content updates
	* tools settings updated

2008-08-16  dave

	* lang string missing

2008-08-16  pete

	* groups widget fixed for ie6

2008-08-16  marcus

	* Globals and PHP info added to diagnostics

2008-08-16  dave

	* further tweaks on admin settings
	* plugin settings moved to hidden dropdown

2008-08-16  marcus

	* Code also useless
	* Salt free diet

2008-08-16  pete

	* avatar menu fixed in admin area, admin area h3's fixed

2008-08-15  pete

	* owner block menu

2008-08-15  ben

	* Correction for the search list users by name function.
	* A rookie error.

2008-08-15  marcus

	* Closes #234: Please use brackets defensively; The statement:
	  
	  if ($user = get_entity($foo) && $group = get_entity($bar))
	  
	  Will not do what you expect it to do!

2008-08-15  ben

	* Added proper search for users by name
	* RSS views for forums
	* Group default RSS view

2008-08-15  pete

	* sidebar arrow position fixed for ie 6 & 7

2008-08-15  ben

	* Caching enhancements

2008-08-15  pete

	* screwed up profile page on ie6 fixed

2008-08-15  ben

	* Added a language entry for reported items (again)

2008-08-15  dave

	* gallery view removed from group lists
	* reportedcontent bug sorted

2008-08-15  ben

	* Ensured that all friends come through for group invite
	* Ensured that all friends come through for group invite
	* Owner block defaults to current logged in user.
	* Improved the kses whitelist

2008-08-15  marcus

	* Closes #224: Install now using failsafe views. Please test from
	  scratch (including blanking setup) and make sure it works for
	  you!

2008-08-15  dave

	* groups view tweaked

2008-08-15  ben

	* Removed pagination in widgets
	* Added the ability to hide the gallery view on
	  list_entities_from_relationships
	* Language addition to make it clearer that you need to validate
	  before you can log in.

2008-08-15  dave

	* group lang bug fixed
	* reported content updated

2008-08-15  ben

	* Added a language entry for reported items

2008-08-15  pete

	* owner block head - divider line method changed to work in ie6
	* owner block fixes and blog post tweaks

2008-08-15  marcus

	* Refs #249

2008-08-15  ben

	* The front page now only shows content and groups.

2008-08-15  marcus

	* Refs #249

2008-08-15  dave

	* reported content tweaks

2008-08-15  pete

	* IE 6 & 7 profile page avatar menu and submenu fixed, toolbar new
	  msg icon position,

2008-08-14  pete

	* owner block changes

2008-08-14  dave

	* reportedcontent list tweaks

2008-08-14  ben

	* Fixed an issue with the submenu.

2008-08-14  marcus

	* Fixes #245: Tags now stripped from email messages.

2008-08-14  dave

	* more owner blocks added
	* owner block added to admin pages

2008-08-14  pete

	* collections, friends picker, status, search items updated for IE6
	* friends picker table bug fixed and spacing adjusted on
	  collections

2008-08-14  ben

	* Redefined the default submenu item group to 'a', so most usually
	  it will appear on top
	* Further submenu clustering
	* Added the facility to group submenus

2008-08-14  pete

	* friends picker modified for IE 6
	* new picker arrows

2008-08-13  marcus

	* Closes #227 and #243: Hopefully this has the fscking thing nailed
	  to the wall.
	  
	  Please report any problems, especially is they relate to access
	  permissions (granted when you shouldn't or denied when you
	  should)
	* Added session to diagnostics.
	* Fixing some session blanking problems.
	* Reverted changes so users can now register again.
	  
	  There are critical issues with enable/disable.
	  
	  Primarily:
	  
	  1) A number of functions do not use the access controls, these
	  throw an exception when accessing a disabled entity.
	  
	  2) #243 does not seem possible.

2008-08-13  pete

	* owner block fixed for safari and ie6

2008-08-13  marcus

	* Correct menus being used

2008-08-13  pete

	* numerous polishing and rendering fixes to groups

2008-08-13  marcus

	* 
	* Refs #237: Added option, now just needs a search listing banned
	  users.
	  
	  Depends #243
	* Closes #227. Depends on #243 to work.
	* Refs #237, #46 and #227: Added override code.
	* Actually closes #46
	* placeholder for settings toggle

2008-08-13  pete

	* login and register boxes fixed

2008-08-13  marcus

	* Now only displays 'report this' when plugin is enabled.

2008-08-13  ben

	* Sturdier enhancement for the owner block.
	* Once again removing an accidentally committed plugin
	* Added a new latest activity title to the front page
	* The owner block now doesn't display at all if there's no page
	  owner

2008-08-13  pete

	* front page login box

2008-08-13  marcus

	* Banned now gives a reason why user disabled.
	* Added a reason for disabled objects.
	* Closes #46: Method for activating an entity. No hookup yet.
	* Refs #237, #46 and #227: Added active only override to
	  get_access_sql_suffix

2008-08-13  ben

	* This shouldn't be here!

2008-08-13  marcus

	* Fixes #241: Changed order, delete user using object's delete
	  method rather than the low level function

2008-08-13  ben

	* Removed page handler default errors

2008-08-13  pete

	* widget boxes fixed for IE

2008-08-13  ben

	* Added a page handler for the dashboard

2008-08-13  marcus

	* Fixes #238: Problem was caused by authenticate not having the
	  user email validated flag set.
	  
	  Introduced new flag ->admin_created to distinguish between the
	  two types.

2008-08-13  ben

	* A warning fix for the dashboard layout.
	* Some safety fixes for the new form views
	* Only log warnings in debug mode.
	* Removing some messages
	* Removing an error log entry in the page handler function
	* Fixed select class issue for submenus
	* Reinstated search label.
	* Admin links on profile pages and in user context menus appear at
	  the bottom.
	* The profile edit button is now wired up so that admins can edit
	  any user.
	* Admins now see all!

2008-08-13  pete

	* extra float clear for ie6
	* new gallery icon
	* removed images not used
	* owner block additional icons

2008-08-12  dave

	* small tweak to reported content
	* report content added as a core plugin. Still needs a couple of
	  bits wired up.
	* owner block tweaked to add report this

2008-08-12  marcus

	* Removed superadmin access controls. You can't call get_entity
	  from within get_access_sql_suffix and get_access_array as it
	  causes an infinite loop.
	  
	  The only safe way to do this is via a plugin hook.
	* Refs #232: Diagnostics now on by default on new installs.
	* Closes #232: Produces a basic report plus checksums of all files
	  in md5sum format.
	  
	  To add extra information to this report add a plugin hook
	  listening to:
	  
	  'diagnostics:report'
	  
	  And append to $returnvalue which is a simple text buffer.

2008-08-12  pete

	* sidebar menu additions
	* new default entity icons

2008-08-12  ben

	* Further access additions for admins.
	* Admins can now see private data.
	* Group invites now uses the friends picker.

2008-08-12  dave

	* bookmark this and report this (still to be wired up) added to the
	  owner block

2008-08-12  marcus

	* Closes #229: Admin signup now using different view + no password
	  validation for admin signup
	* Refs #229 : Register now has more granular messages, dupe email
	  checkiong, sanitisation + fill in the blanks failure mode! (yay)

2008-08-12  pete

	* groups pages interface fixes/cleanup

2008-08-12  ben

	* Improved front page.
	* Groups now links to a better place when you're logged out.

2008-08-12  marcus

	* Slight tweak to rewrite rules.
	* Forward not gatekeeper

2008-08-12  dave

	* pagination display tweaked

2008-08-11  pete

	* settings and admin pages cleaned

2008-08-11  ben

	* Added latest content to the front page

2008-08-11  marcus

	* Logic error
	* Refs #228: Will now error if collection can not be deleted

2008-08-11  pete

	* 
	* toggle more info button for admin panel added

2008-08-11  marcus

	* Added ability to disable security enhancements on form (for
	  certain cases)

2008-08-11  ben

	* Clearer titles for search

2008-08-11  marcus

	* 
	* Refs #210 & #211: Friends form moved to action_gatekeeper code.

2008-08-11  ben

	* Improved search submenu items
	* A clearer registration message.
	* Downgraded UTF support in the email notification function to
	  optional

2008-08-11  dave

	* plugin admin layout tweaks

2008-08-11  marcus

	* Minor bugfix to actions_gatekeeper()
	* Usernames now unique

2008-08-11  dave

	* further admin layout tweak
	* further admin layout tweaks
	* user settings tweaks
	* user settings tweaked

2008-08-11  marcus

	* Refs #210 & #211 : Updated comments form
	* Refs #210 & #211 : Widgets edit now using action_gatekeeper
	* Minor modifications to form.

2008-08-11  ben

	* Added class to user and group details

2008-08-11  marcus

	* Refs #210 & #211 : Some more core settings / admin pages moved to
	  use admin_gatekeeper. Install script action now also refuses to
	  be run if the site has already been installed.
	* Refs #210 & #211 : Plugins settings converted.

2008-08-11  pete

	* toolbar messages icon rollover state added. Logged in/out front
	  page wrapped in paragraph tags

2008-08-11  marcus

	* Removed basic_elements/login ... didn't seem to be used and is
	  duped by main login.
	* Refs #210 & #211

2008-08-11  ben

	* Added a search submenu.

2008-08-11  marcus

	* Refs #210 & #211

2008-08-10  dave

	* group profile widget tweaked

2008-08-10  marcus

	* Closes #223

2008-08-09  pete

	* top toolbar elements fixed for ie
	* pagination overlap in ie fixed
	* 
	* 

2008-08-09  dave

	* a simple widget that displays a users groups on their profile
	* group listings now include the brief description

2008-08-08  ben

	* Major access fix.
	* Solved write issues in groups for non-admin users.
	* Slight readme update.
	* Adjusted contributors file.

2008-08-08  marcus

	* Remaining htmlentities calls converted to utf-8

2008-08-08  ben

	* Small formatting correction to the install file.
	* Added content to stub files

2008-08-08  marcus

	* Closes #221: Body and subject now internationalised.

2008-08-08  ben

	* The title no longer causes a WSOD

2008-08-08  marcus

	* Refs #206: Hopefully the last of it. Please remember to use
	  htmlentities($foo, null, 'UTF-8'); whenever using htmlentities!

2008-08-08  pete

	* 

2008-08-08  marcus

	* Refs #206: A better solution
	* Refs #206; Icons title now displayed correctly

2008-08-08  ben

	* Added extra translation strings to the widget canvas

2008-08-08  pete

	* pagination "..." fixed

2008-08-08  ben

	* Removing some wsod issues

2008-08-08  marcus

	* Refs #206: Character encoding on both widget and main page now
	  UTF-8

2008-08-08  ben

	* Group forums should work

2008-08-08  marcus

	* Closes #220: Removed action from hash. Timestamp should make this
	  unpredictable enough.
	* Refs #211: Two forms converted + extra functionality to input
	  views
	* Removed dummy

2008-08-08  pete

	* continuation of cleanup on groups

2008-08-08  ben

	* Friendly titles no longer have more than one hyphen in a row

2008-08-08  pete

	* latest discussions widget

2008-08-08  marcus

	* Put minor fix back

2008-08-08  dave

	* lang tweak on groups

2008-08-07  ben

	* Removed ElggDummy live code for now.

2008-08-07  dave

	* groups css added

2008-08-07  ben

	* Elgg.org -> elgg.com
	* Group forum additions
	* Small grammar correction

2008-08-07  dave

	* more group tweaks

2008-08-07  pete

	* updated, cleaned-up, credited, and tweaked friends picker

2008-08-07  marcus

	* Centralised set and get magic functions to the tlc. Added isset
	  and unset magic methods.
	  
	  Report any problems!

2008-08-07  ben

	* Slight change to group vocabulary.
	* Wired up group member count and fixed topic page title

2008-08-07  dave

	* group tweak
	* changed the latest discussion view

2008-08-07  marcus

	* removed print_r
	* Refs #174: Introducing the ElggDummy class which returns false
	  for all methods and set variables called on it. This is what the
	  logged out $_SESSION['user'] is set to and is also what
	  page_owner_entity will return if page_owner is invalid.
	  
	  This means that calls to things like $_SESSION['user']->getGUID()
	  are now safe and will no longer cause a parsing error.
	  
	  Please report any issues.

2008-08-07  ben

	* Adjusted list_entities_from_annotations to hide the gallery view
	  by default
	* Minor language change to group topics

2008-08-07  dave

	* more group profile work

2008-08-07  ben

	* Added a 'member of' groups page and made it default
	* Fixed access permissions wrt groups

2008-08-07  dave

	* new tools menu added - latest discussion
	* forum latest for group profile page

2008-08-07  ben

	* Removed an extra sanitise_string call in update_annotations

2008-08-07  dave

	* groups now have forums

2008-08-07  marcus

	* Refs #206: Seems to be related to this issue
	  http://www.webmasterworld.com/forum21/11685.htm
	  
	  Have committed a speculative fix based on the suggested fix,
	  could you confirm this works for you?

2008-08-07  pete

	* new dropdown toolbar menu that works corss platform. Widget page
	  layout fixed for ie6 & 7

2008-08-07  marcus

	* Refs #210: Will trigger a plugin hook
	  'action_gatekeeper:permissions:check'.
	* Refs #174: Checking that session user exists before calling
	  methods on it
	* Install site secret

2008-08-07  ben

	* Added explore log option to user context menu, albeit in the
	  wrong place.
	* Direct link from statistics through to elgg.org
	* Adjusted statistics message
	* Updated admin statistics
	* You can now filter by ID.

2008-08-07  marcus

	* Minor tweaks to the default icon

2008-08-07  ben

	* Easy drilldown into logs
	* System log functions now allow searching.
	* The log browser is now searchable.

2008-08-07  marcus

	* Closes #218

2008-08-07  ben

	* Initial changes to log browser

2008-08-07  marcus

	* Todo has been done

2008-08-06  pete

	* collections, pages nav and numerous other fixes
	* breadcrumbs sorted
	* groups styles and group owner layout changed

2008-08-06  dave

	* title block tweaked

2008-08-06  pete

	* owner block menu 'selected' style added

2008-08-06  dave

	* group profile layout tweaked

2008-08-06  ben

	* Edited container-related permissions.

2008-08-06  dave

	* group profile tweak
	* group profile tweak
	* group profile layout tweaked

2008-08-06  marcus

	* Example of usage (Refs #210), also refs #211.
	* Tidied up exception
	* Refs #210 and #211

2008-08-06  pete

	* footer links update, changes to gallery view

2008-08-06  marcus

	* Images and security fixes
	* Closes #212

2008-08-06  pete

	* tool menu slide effect removed, language file changed for
	  dashboatrd instructions

2008-08-06  marcus

	* Closes #209
	* Closes #208
	* Fixes #207: Thanks for your report eike!

2008-08-05  pete

	* river additions
	* toolbar fixes and register box positioning fixed

2008-08-05  ben

	* Tweaked the way forwarding works.
	* Fixed group-specific access controls, and site-specific access
	  controls

2008-08-05  pete

	* numerous fixes to messageboard, status, river icons,

2008-08-05  marcus

	* Log though will now not store a url relating to an action... it
	  is now possible to log in again if you are logged out! :D
	* Fixes #121 and #143. Please confirm.

2008-08-05  ben

	* The log browser is now a part of the admin panel.
	* Fixed an issue where the third widget column drops widgets.
	* Widget layout update

2008-08-05  marcus

	* Fixes #204
	* Closes #196: Stores last forwarded page in session, this is used
	  by logon to forward page to correct location.
	  
	  Also fixed current_page_url() which was introducing a superfluous
	  "/" before $_SERVER['REQUEST_URI']

2008-08-05  pete

	* topbar with message count and icon

2008-08-05  dave

	* largest avatar size changed from 600 to 550
	* icon crop area layout tweaked

2008-08-05  ben

	* Tagging issue on unsaved entities: solved.

2008-08-05  marcus

	* Speculative fix for metadata issue.
	* Actually fixes #202
	* Fixes #202 : Listen to plugin hook 'entity:icon:url', which
	  passes parameters:
	  
	  'entity' The entity
	  'viewtype' The view (eg 'default')
	  'size' The size (eg, large, tiny etc)
	  
	  You should return a url for the object's icon if you can..
	  otherwise return nothing at all.

2008-08-05  ben

	* Fixed accidental group link error
	* Removed an annoying notify error

2008-08-05  marcus

	* Using correct entity for icon.

2008-08-05  ben

	* The install script uses the one column layout

2008-08-05  dave

	* more group profile layout tweaks
	* group profile tweaked

2008-08-05  pete

	* 

2008-08-05  ben

	* Moved group links to the sidebar

2008-08-05  pete

	* powered by badge in footer

2008-08-05  dave

	* group profile view tweaked

2008-08-04  ben

	* Further changes to the admin panel

2008-08-04  dave

	* groups profile page layout tweak
	* new group profile views

2008-08-04  marcus

	* Minor improvement to guid tool

2008-08-04  ben

	* User changes to settings
	* User settings

2008-08-04  marcus

	* Error message bugfix
	* Adapted to use new menus.
	* Handler output made a little more pretty.
	* Using the new view

2008-08-04  ben

	* Fixed the container_guid override.

2008-08-04  pete

	* updates to toolbar menu fixes, error messages, owner block

2008-08-04  marcus

	* Fixes #199
	* XML-RPC helper functions suggested by Misja

2008-08-04  dave

	* search layout tweaked

2008-08-04  ben

	* Hidden viewtype toggle on search.
	* Added owner_block/extend to the owner block

2008-08-04  marcus

	* Refs #197: Added placeholders & gpl 2 licence.
	* Closes #193: Added salt field to database and new users will be
	  generated with salted passwords.
	  
	  Existing users remain unchanged and should still be able to log
	  in.
	  
	  Requires a schema change and the following code run against the
	  database:
	  
	  alter table elggusers_entity add column salt varchar(8) NOT NULL
	  default '' after password;

2008-08-04  ben

	* Removed old, no-longer-necessary canvas areas.

2008-08-04  marcus

	* Closes #195 & #191

2008-08-04  ben

	* Altered pagination so that it does display if we already have an
	  offset.

2008-08-03  dave

	* profile edit layout altered
	* tweaked the old title block - we no longer need the user avatar
	  now we have the owner block.
	* some work on groups to make them work with the new layout
	* brief description added to the owner block and profile
	* pagination now only displays if there is content to paginate
	  through

2008-08-02  pete

	* minor interface fixes

2008-08-02  ben

	* Default annotation RSS view.

2008-08-01  pete

	* more interface fixes and improvements. Icons and background added
	  to owner block

2008-08-01  ben

	* Fixed FOAF view
	* Fixed RSS and OpenDD feeds for users

2008-08-01  marcus

	* PHP and JSON entity list views... which should work.

2008-08-01  ben

	* Fixed erroneous friends link issue
	* Fixed OpenDD feeds
	* RSS and OpenDD feeds autolink in owner block
	* Spotlight state persists.

2008-08-01  pete

	* friends picker modified, minor fixes and css cleanup / re-sort

2008-08-01  marcus

	* Refs #191: Actions for resetting passwords, but no front end as
	  yet.
	  
	  To request a password reset access
	  http://..../actions/user/requestnewpassword/?username=username

2008-08-01  pete

	* river updated, widget layout fixed, page block tweaked,

2008-08-01  marcus

	* GUIDTool now displays some generic information about entities
	  where available.

2008-08-01  ben

	* Widgets now work in three columns
	* Introducing the new pagesetup event.

2008-08-01  marcus

	* Message changes, refs #190
	* Guidtool only available to admins
	* Changed so that validated_email flag written as null user. Refs
	  #190.
	  
	  Also confirms fix and closes #104.

2008-08-01  ben

	* The metadata permissions check now passes along (optionally) the
	  specific piece of metadata. Refs #104

2008-08-01  marcus

	* Closes #190. Note however that logins will be broken until #104
	  has been resolved!
	* Fixes #194
	* Refs #194

2008-08-01  ben

	* Introducing the consistent owner block

2008-08-01  marcus

	* Fixed what I presume was an error: namely it was using $site
	  instead of $guid in get_entity

2008-07-31  pete

	* delete collection action - div prevented from showing

2008-07-31  ben

	* Collections now delete successfully

2008-07-31  pete

	* temporarily allow h2 click to propagate through to delete button

2008-07-31  marcus

	* Bugfix

2008-07-31  ben

	* Counts now update when you save a friends collection
	* More updates for collections - save now works properly.
	* Removing the reference to the collection name for now
	* Picker saves correctly!

2008-07-31  marcus

	* Added iframe output
	* Guid tool for import, export and browsing.
	* Refs #151: graphics/icon view

2008-07-31  pete

	* footer logo added, widget gallery instructions changed,
	  pagination block styles added to all pagination

2008-07-31  ben

	* Friends collections are now fully part of the main core

2008-07-31  marcus

	* Closes #151: Introducing getIcon($size)
	* Logbrowser now using getIcon for graphics
	* Title added
	* Introducing elgg_get_view_location()

2008-07-31  pete

	* arrow icon added to dropdown menu
	* save and cancel buttons added to collections

2008-07-31  ben

	* Hurrah! Made the friendspickers work

2008-07-31  marcus

	* Added guidtool and switching to desktop.

2008-07-31  ben

	* Friends picker tab initialisation updates

2008-07-30  pete

	* small change to collection members display - as a table
	* minor fixes from earlier today - re-instating the a-z slider, and
	  correctly switching the picker tabs

2008-07-30  ben

	* Removing the members from the collections content
	* Picker works better on ajax load.
	* Added specific numbering to tab classes for the picker
	* Removing js on picker load
	* Collections open blank (for now)
	* Committing in loads

2008-07-30  pete

	* pete's collectiontabs code

2008-07-30  marcus

	* Closes #189: ODD -> OpenDD

2008-07-30  ben

	* AJAX improvements to picker
	* Lists of comments etc no longer display "none found" if there
	  aren't any.

2008-07-30  marcus

	* Forward to referer
	* 
	* Admin gatekeeper

2008-07-30  pete

	* toolbar logout icon changed to work as a single image resource
	  (for caching purposes), delete icon on collections changed to
	  work as a single image rollover

2008-07-30  marcus

	* Minor improvements to default entity view.
	* Improved views

2008-07-30  ben

	* Added friends picker callback

2008-07-30  marcus

	* Refs #186: Get URL for relationships

2008-07-30  ben

	* Moved collection tabs out of the main picker view

2008-07-30  marcus

	* Refs #186
	* Introducing url handlers for extenders.
	* Changed export uuid, refs #186
	* Changed export rewrite rules.

2008-07-30  ben

	* Added friends collections members list

2008-07-30  marcus

	* Using guid_to_uuid

2008-07-30  ben

	* Added the tablelist view

2008-07-30  pete

	* the beginnings of the tabbed friends picker

2008-07-30  marcus

	* Extender getURL() support (no overide as of yet)
	* Moved OpenDD out of the central repo.
	* Logbrowser using admin gatekeeper.

2008-07-30  ben

	* Widget state cookie is now removed on widget delete.

2008-07-29  pete

	* individual widgets state now saved in cookies

2008-07-29  marcus

	* Default view added to export, for completeness
	* 
	* OpenDD default views on entities
	* Improvements to export view
	* Added some default views.
	* And in gallery view
	* Handle anonymous events.
	* Added basic log browser.
	  updateclient & logbrowser are switched on by default in new
	  installs.
	* Fixed count
	* Typo
	* Added some useful helper functions.
	* Count support added

2008-07-29  pete

	* final changes to widgets - all ready to wire up now

2008-07-29  marcus

	* Typo
	* Registration disabled option (no admin screen yet), closes #184

2008-07-29  dave

	* dashboard widget tweak
	* tweak to the profile widget picker

2008-07-29  marcus

	* Update client gets updates
	* Admin notify method added, view 'admin_message' for this.

2008-07-29  dave

	* widget layout help context sensitive.

2008-07-29  marcus

	* Only on install
	* Update client

2008-07-28  marcus

	* Added configuration to client.
	* Minor look and feel tweaks
	* Adding updateclient (non-functional) and now switching back to
	  base station.

2008-07-28  pete

	* new start page layout/style
	* fixes to toolbar and owner box ie 6 issues
	* top toolbar styled up, and owner block items
	* new 3 column widget gallery (needs wiring up), profile page
	  profile box alignment sorted, topbar menu tweaked and image
	  added,

2008-07-28  marcus

	* Fixes #182

2008-07-27  pete

	* profile and dashboard pages altered for 3 widget columns

2008-07-26  dave

	* fixed a small footer error
	* wired up the footer menu links
	* the spotlight is now only available for logged in users.

2008-07-26  pete

	* friends picker fixed for new page layout, and hopefully I've
	  fixed the load issue too

2008-07-25  pete

	* canvas layout updates, ie6&7 layout fixes, new 3-column widget
	  view

2008-07-25  marcus

	* Some notes
	* Using correct ping address
	* User test negative non-fatal on permissions check
	* Actually fetching the user

2008-07-25  dave

	* friends pages altered

2008-07-25  marcus

	* Introducing UUID view

2008-07-25  dave

	* changed list and entity canvas layout

2008-07-25  marcus

	* Main pinging mechanism now functional
	* Temp disabled
	* Fixing access collections table

2008-07-25  pete

	* more canvas layout additions, and page owner block added to
	  sidebar

2008-07-25  dave

	* tweak to the two_column left to add the owner block

2008-07-25  pete

	* menu fix
	* new canvas layouts
	* new canvas layouts

2008-07-25  marcus

	* Sends url with version (to retrieve site if already loaded)

2008-07-25  dave

	* bug in tools fixed

2008-07-25  marcus

	* Set to ping ping.elgg.org
	* Ping now configurable.

2008-07-25  dave

	* tools added to topbar
	* removed toolbox from main content area

2008-07-25  pete

	* minor tweak
	* tools menu item fixed and jquery animation added

2008-07-25  marcus

	* Moving to laptop

2008-07-25  ben

	* Improved friend picker.

2008-07-25  marcus

	* sitedescription now loaded into config and displayed

2008-07-25  dave

	* added tools to the topbar

2008-07-25  marcus

	* Now possible to specify a site description.
	* 
	* Fixed another oopsy
	* 
	* Support multiple metadata values on entities, closes #179

2008-07-24  marcus

	* 
	* API Client bugfixes
	* 

2008-07-24  ben

	* Tabs on the friend picker now work.

2008-07-24  marcus

	* Fixing oopsy...

2008-07-24  ben

	* Fixed the friends picker.
	* The picker now selects the friendspickerN variable correctly.
	* Introducing the (still issue-packed) friend picker.

2008-07-24  marcus

	* Allowing multiple
	* Support HTTPS
	* Api tweaks refs #149
	* New site pinger, refs #149
	* Correctly exporting site and container as opendd

2008-07-23  marcus

	* Updated to use pam for auth token.
	  Added anonymous function support.
	* PAM now supports 'required' and 'sufficient'

2008-07-23  pete

	* new files for friends picker

2008-07-23  marcus

	* Fixed typo
	* API client added to code & changed order of expose_function
	* Moving canWriteToContainer

2008-07-23  dave

	* removal of the official elgg logo from the footer, this is not
	  GPL.

2008-07-22  ben

	* The group profile now sets page ownership to the group
	* Slight modification to group links.
	* Yet more container refactoring.

2008-07-22  marcus

	* Disabled support added to forms.

2008-07-22  ben

	* More owner_guid to container_guid transfer
	* Updated further functions to work from container_guids rather
	  than owner_guids
	* Icons now handle elegantly if you try and display a non-ElggUser
	  entity.
	* Groups now have usernames of a sort
	* Introducing the Friendable interface
	* Moved the default user view from user/user to user/default.

2008-07-22  marcus

	* 
	* Saving cached annotations

2008-07-21  marcus

	* Typo
	* OpenDD using elgg_view_title
	* Exporting full profile
	* Groups using elgg_view_title
	* Fixes #175

2008-07-18  ben

	* Fix for can_write_to_container
	* Fixed the can_write_to_container function when you're logged out.
	* Further fixes.
	* Fix for previous.
	* Container_guid is set intelligently for get_entities when
	  owner_guid is set.
	* Slight fix to previous.
	* Altered the get_user_friends_objects functions to work with
	  containers.
	* Moved can_write_to_container into elgglib
	* Moved container_guid to entities, modified a bunch of functions.
	* Standardised plugin loading

2008-07-18  marcus

	* Closes #166

2008-07-18  ben

	* Slight change to write access permissions function
	* Reinstating plugin hooks for access collections.
	* Added the autop function, replaced any references to nl2br
	* Fixed a bug with the revamped access collections
	* Improvements to get_context
	* Fix for access collections
	* Short text values are now properly escaped in the input/text
	  view.
	* Added auto increment initial val. Fixes #171

2008-07-18  dave

	* new functions added to access in order to allow collections to be
	  created

2008-07-17  ben

	* access_collections now auto_increment

2008-07-17  dave

	* access groups renamed to access collections

2008-07-17  ben

	* access_groups -> access_collections
	* Fix to previous
	* New access control hooks

2008-07-17  marcus

	* Closes #165 & #167
	* 

2008-07-17  ben

	* Added new access group control functions

2008-07-17  marcus

	* Fixes #164: Seems there is something erroniously setting 'guid'
	  to something in logged in systems (or alternatively this is just
	  a session problem on my system) either way I have modified
	  isloggedin to check both guid and id... which seems to work.
	* Closes #160

2008-07-17  ben

	* Fixed get_entities_by_annotation
	* Introducing list_entities_from_annotations

2008-07-16  marcus

	* Fixed numerous occurrances of elgg_view_entity being called
	  incorrectly. Fixes #163

2008-07-16  ben

	* Fixed the single entity viewer

2008-07-16  marcus

	* Fixes #162
	* Closes #161

2008-07-16  ben

	* Add and remove friend actions now use try / catch

2008-07-16  marcus

	* Closes #155: Introduces 'volatile' type of metadata in odd feeds.
	* Closes #157: Introducing elgg_[get|set]_viewtype()
	* Reversed ben's changes

2008-07-16  ben

	* Fix for river items when the item is an annotation, not an entity
	  in itself

2008-07-16  marcus

	* Forgot to commit this
	* Closes #158: Renamed $location to $view_location within
	  elgg_view. This seems to be a successful workaround.

2008-07-16  misja

	* Set the view with set_input rather than via the session

2008-07-16  marcus

	* Closes #156 & #139

2008-07-16  ben

	* The friends river now grabs more friends ...

2008-07-16  marcus

	* Fixes #154
	* Closes #116: Groups join clears invite flags
	  http://trac.elgg.org/elgg/ticket/116
	* Closes #152 and as a bonus you get a river notification for icon
	  upload as well. Aren't I nice?

2008-07-16  pete

	* river blog updated - added

2008-07-15  marcus

	* Fixes #147
	* 
	* Closes #150
	* Closes #145: Override getURL on imported entities.

2008-07-15  ben

	* You can now override entity URLs with the setURL($string) method.

2008-07-15  marcus

	* Fixes #144

2008-07-15  pete

	* javascript menu dropdown IE bug fixed for friends widget, still
	  an issue with friends of

2008-07-15  marcus

	* Closes #140
	* Closes #135: First version of the OpenDD friends elsewhere feed.
	* Using ElggRiverStatement. Plugin writers update your views! Refs
	  #135.
	* Moved temp array caching stuff to the correct functions.
	* Entity metadata can now be saved using setMetaData() interface
	  even if guid not specified.

2008-07-15  misja

	* Remove rogue print_r() statement, rightly set the xml view and
	  fix incorrect xml-rpc view call.
	* Fix uninitialized XML-RPC handler value
	* Fixed registering of XML-RPC handlers

2008-07-14  marcus

	* Time_created should be time_updated.
	* Refs #139: Using UTF-8 encoding as a speculative fix. Test and
	  confirm.

2008-07-14  pete

	* updated toolabr logout for old IE 6's
	* updates to log out, pagination, search box

2008-07-14  marcus

	* Introducing oddmetadata_to_elggextender(), a function used for
	  import but functionised to let you use it from elsewhere.

2008-07-12  marcus

	* Introducing oddentity_to_elggentity(), a function used for import
	  but functionised to let you use it from elsewhere.

2008-07-11  pete

	* and again
	* river_forums_update added

2008-07-11  dave

	* new date and time lang

2008-07-11  ben

	* The lists now go through the search/entity_list view.

2008-07-11  marcus

	* Added getNumElements()
	* Fixes #137: annotate and getAnnotations now functions for unsaved
	  entities. Maths functions non-functional at present.
	  
	  Refs #135.
	* Added Group entity support to import.
	* Better errors for attempt to access a GUID you can't
	* Exceptions in OpenDD export now appear as comments for debugging.
	* relationships are addressable and have working UUIDs, refs #132
	* Using register_error on errors rather than system_message.
	  
	  Also, fixed widget save to handle arrays (Refs #135)
	* Using register_error on errors rather than system_message
	* Using register_error on errors rather than system_message

2008-07-11  pete

	* defaut font reset to verdana
	* full list of pc names for Lucida Sans added

2008-07-10  pete

	* two column layout fix
	* two column canvas layout fixed

2008-07-10  ben

	* elgg_view_title can now suppress the submenu

2008-07-10  pete

	* elgg topbar logout re-done with rollover

2008-07-10  ben

	* Killed pagination on the plugin admin page
	* Added a plugin hook for counting comments.

2008-07-10  marcus

	* Working with multiple values in array

2008-07-10  pete

	* bookmarklet graphic

2008-07-10  marcus

	* Fixes #134: Using else between statements to ensure that they are
	  only ever triggered once. Please confirm that there are no other
	  issues attached.

2008-07-10  pete

	* avatar submenu altered and messages div coloured up

2008-07-10  ben

	* Error messages now have a different div name
	* The submenu div doesn't appear if there is no submenu.
	* Fixed issue with get_plugin_name and pagehandlers.

2008-07-09  ben

	* Fixed comments!
	* Fixed submenu tab contexts

2008-07-09  marcus

	* Blocking some information from export, closes #130

2008-07-09  ben

	* Updated the edit icon form view
	* Restoring old edit icon page

2008-07-09  marcus

	* Closes #81: OpenDD aggregator
	  http://trac.elgg.org/elgg/ticket/81

2008-07-09  ben

	* Further profile text fix
	* Added profile submenu
	* Fixed minor profile tab issue

2008-07-09  pete

	* mini avatar in page title area fixed

2008-07-09  ben

	* The user administator page now results in an RSS feed
	* Introducing the submenu

2008-07-09  pete

	* edit profile button moved

2008-07-09  dave

	* profile edit link moved
	* friends of title
	* titles on friend list pages

2008-07-09  pete

	* css for page tabs submenu

2008-07-09  ben

	* RSS feeds live again when you're logged out!

2008-07-09  marcus

	* Fixed opendd metadata .htaccess rules
	* Refs #81: Subtype can be returned on a non-saved entity.

2008-07-09  ben

	* Added a comment hook so that other plugins can handle comments
	  instead
	* Removed a kses warning.
	* The comment form only appears if you are logged in.

2008-07-09  marcus

	* Removed toggle since it broke the handler prototype

2008-07-09  dave

	* new profile submenu committed
	* new view added to the canvas title view.

2008-07-09  pete

	* topbar altered for messages and links style

2008-07-09  marcus

	* Closes #129: Placeholder object default view

2008-07-09  pete

	* new avatar crop page and instructions

2008-07-09  marcus

	* Refs #129, #109 & #106

2008-07-09  ben

	* Plugins can now override the front page

2008-07-09  marcus

	* Introducing list_entities_groups()

2008-07-09  ben

	* The relationship listing function wasn't taking offsets properly.
	* Further pagination change.

2008-07-09  dave

	* new topbar

2008-07-09  ben

	* Further pagination change.
	* Slightly more descriptive pagination.

2008-07-09  marcus

	* Modified rewrite rules for page handler to support - and _

2008-07-09  ben

	* Elgg 1.0, meet kses. Kses, Elgg 1.0.

2008-07-09  marcus

	* Minor tweak to OpenDD library

2008-07-09  dave

	* new profile avatar page

2008-07-08  dave

	* users gallery view sorted

2008-07-08  marcus

	* Closes #128

2008-07-08  dave

	* new canvas title

2008-07-08  pete

	* river icon for friends

2008-07-08  ben

	* Moved the calendar popup, erased the duplicate jQuery
	* Introducing notifications on generic comments.
	* Rough and ready entity list page

2008-07-08  dave

	* reverted the new title
	* title tweaks

2008-07-08  marcus

	* OpenDD autodiscovery header

2008-07-08  dave

	* moved generic comments css from plugin to core

2008-07-08  marcus

	* Closes #125: get_entities_by_latest_annotation function

2008-07-08  dave

	* widget are now logged in by default, tag output tweaked

2008-07-08  ben

	* Removing annoying warning messages

2008-07-07  ben

	* Users online, not user's ...
	* Administration tweaks; fixed users online functions, as well as
	  last_action functions, and the 'make admin' functionality
	* Removed the 'your' prefix from titles
	* page_owner() now works off owner_guid, not owner_id
	* Added the word 'all' to the vocabulary

2008-07-07  dave

	* changes to the title view

2008-07-07  ben

	* Relationship river items are now correctly wrapped in divs
	* Default topbar graphic should now be included

2008-07-07  pete

	* default avatar added for topbar

2008-07-07  ben

	* Introducing canEditMetadata

2008-07-07  marcus

	* Closes #107, this has been superceded by groups functionality
	  (#106).
	* Option to hide sender.

2008-07-07  pete

	* gallery overview icons
	* piccy for tags
	* tags icon and files update

2008-07-07  dave

	* class wrapped around tag string.

2008-07-07  marcus

	* Closes #123

2008-07-07  dave

	* removed the title from generic comments

2008-07-07  marcus

	* Fixes #122

2008-07-07  pete

	* updated file gallery

2008-07-07  marcus

	* Decode on import
	* Closes #120

2008-07-07  ben

	* Fixed friendly_time

2008-07-04  marcus

	* Closes #109: Group icons can be set. Fixed recreate group on
	  edit.
	* Refs #109: Default graphics set. Custom graphics must be in
	  groups/{$GROUP_GUID}{$size}.jpg

2008-07-04  dave

	* changes to the icon editing page.

2008-07-04  marcus

	* Removed blank space on menu

2008-07-04  ben

	* REmoved duplicate admin links

2008-07-04  marcus

	* Fixes #119
	* Refs #109: Invite support added

2008-07-04  pete

	* updates for friends widget

2008-07-04  marcus

	* Fixed regression

2008-07-04  pete

	* updated js

2008-07-04  marcus

	* Refs #109: Group members widget.
	* Refs #109 : Widget support
	* Refs #109 - Basic profile layout
	* Refs #109: River functionality

2008-07-04  pete

	* updates to river(ie fixes), and sharing

2008-07-04  marcus

	* Using entities rather than object

2008-07-04  ben

	* First pass on user search

2008-07-04  pete

	* more river updates

2008-07-04  marcus

	* Refs #109 : Private group membership full exchange.
	* Unnecessary sanitise string causing issues on some subjects
	* Join requests on closed groups, full loop. Refs #109

2008-07-04  pete

	* more river icon fixes

2008-07-03  pete

	* new default avatar (your's was good Ben - just changed the blue a
	  wee bit)
	* icons for the river

2008-07-03  marcus

	* Refs #109
	* End of day commit of first (semi working) code.
	  
	  Working:
	  - Join/leave on public groups
	  - Create / edit groups
	  
	  Not working:
	  - Private groups
	  - the skin/display of the group
	  - profile main page
	  - widgets
	  
	  
	  Refs #109
	  Closes #115

2008-07-03  pete

	* river icons added

2008-07-03  dave

	* content added to the spotlight

2008-07-03  ben

	* Fixed a subtype bug in the river item wrapper.

2008-07-03  marcus

	* It would help if I added the functions to the right scope. Oops!
	  Refs #106
	* Fixes #113
	* Fixes #111
	* Extended access to support options override
	* Collection to group, refs #106

2008-07-02  pete

	* profile, forum and canvas updated
	* status widget updates
	* generic comments moved/cleaned

2008-07-02  marcus

	* Typo on database table

2008-07-02  pete

	* profile menu, single view layout, and comments all updated

2008-07-01  pete

	* avatar menu fixed for non-200px wide avatars

2008-07-01  ben

	* Default text for the dashboard.

2008-07-01  marcus

	* Closes #112
	* Closes #112

2008-07-01  ben

	* The widget layout now uses areas 3 and 4 as the column content if
	  there aren't any widgets
	* The widget layout now uses areas 3 and 4 as the column content if
	  there aren't any widgets

2008-07-01  dave

	* created settings link

2008-07-01  ben

	* Admin menus to the contextual menu

2008-07-01  marcus

	* Closes #110
	* NEW - #109: Groups core plugin
	  http://trac.elgg.org/elgg/ticket/109
	* Refs #109: Groups plugin active by default
	* Closes #108

2008-07-01  ben

	* Fixed avatar menu on widgets

2008-07-01  marcus

	* Fixed notification subject

2008-07-01  dave

	* small tweak to topbar

2008-07-01  pete

	* lines in avatar menu

2008-07-01  ben

	* Correction to get_river_entities

2008-07-01  pete

	* mini avatar style and position and link

2008-07-01  marcus

	* Membership functions, and introducing can_write_to_container, and
	  its hook group_permission_check. Refs #106.

2008-07-01  pete

	* unnecessary file

2008-07-01  ben

	* Limits properly propagate to the pagination views.
	* Sanitising the profile gallery view for now

2008-07-01  pete

	* pageshell / logged out modification

2008-07-01  ben

	* Gallery view now displays 3 per row

2008-07-01  dave

	* further topbar tweak
	* topbar tweaks

2008-07-01  pete

	* login front door tidied up

2008-07-01  marcus

	* Entity loader support for ElggGroup, refs #106
	* Bugfix, refs #106

2008-07-01  dave

	* top_bar icon

2008-07-01  marcus

	* Licence in manifest

2008-07-01  ben

	* No need to have the dashboard plugin. Dashboard is part of core.
	* Toolbar -> topbar in profile icons
	* Added toolbar size for the icons

2008-07-01  marcus

	* Group class, refs #106
	* Added groups, refs #106

2008-07-01  ben

	* Fix for the schema
	* Gallery should probably only be three squares wide for now.
	* Small fix for gallery view users
	* Small fix for gallery view users
	* Gallery view for users
	* CSS additions

2008-07-01  pete

	* previous top menu removed - replaced by new elgg_topbar view
	* topbar menu

2008-07-01  ben

	* The $entity_guid on get_annotations can now be an array.

2008-07-01  marcus

	* Added object in container search, refs #106.

2008-07-01  ben

	* get_annotations can now optionally take an array as owner_guid
	* Users are now logged into the dashboard.
	* Moved navigation/gallery to search/gallery, which makes more
	  sense.

2008-07-01  marcus

	* Refs #106: Group prototype class
	* Added site_guid to internal db fields

2008-07-01  ben

	* Widgets now load after the main page

2008-07-01  marcus

	* Refs #106: Added schema

2008-06-30  ben

	* Gallery vs list view, first commit
	* Added the ability to control widget contexts

2008-06-30  marcus

	* Closes #105: Make admin option
	  http://trac.elgg.org/elgg/ticket/105
	* Added some user code - needs div hiding

2008-06-30  ben

	* Fixed entity page

2008-06-30  marcus

	* Fixed minor cache counting issue
	* Refs #102 - Speculative fix

2008-06-30  ben

	* Partial fix for constantly-shrinking widgets bug.

2008-06-29  pete

	* page footer added and msg div fixed for IE
	* new page style, new floating msg box, other fixes & cleanup

2008-06-29  dave

	* changed the friends list view order

2008-06-28  pete

	* more listings items cleanup
	* fixed several listing item spacing issues
	* cancel button added to widget gallery

2008-06-28  dave

	* added user status to the friends view

2008-06-27  ben

	* Sanitising search
	* Fixed widget saving

2008-06-27  pete

	* new widget gallery

2008-06-27  marcus

	* 
	* Caching (most) subtype queries, drastically reduces database
	  queries in most use cases, refs #101

2008-06-27  ben

	* Introducing friendly_title
	* Some more translations for comments

2008-06-27  marcus

	* 
	* Metastrings now keeps a record of strings it knows aren't present
	  and so removes the need to futher look for them. Refs #101

2008-06-27  ben

	* Bug fix for previous.
	* Introducing elgg_count_comments
	* Tweaks to generic comment CSS
	* Brought generic comments into Elgg core

2008-06-27  marcus

	* Using persistent db connections. This should speed up pages with
	  numerous small DB calls. Please report any issues asap. Refs #101
	* Minor textual changes
	* Added mapping to cache username => guid & code => guid. Refs
	  #101.

2008-06-27  ben

	* Icon menus now work when you're logged out.

2008-06-27  marcus

	* Removed explains since these weren't much use
	* Db installed flag on config, Refs #101
	* Caching datalists. Refs #101

2008-06-27  ben

	* Fixed the contextual nubbin on search indices (really)
	* Fixed the contextual nubbin on search indices

2008-06-27  marcus

	* Short circuited query if could not possibly return a value. Refs
	  #101

2008-06-27  ben

	* Forced search result icon sizes to be 40px

2008-06-27  marcus

	* Refs #101 - DB Profiling in debug mode (recommended usage means
	  putting $CONFIG->debug = true in settings.php)

2008-06-27  ben

	* Search now sets context appropriately

2008-06-27  marcus

	* Removed debug warning

2008-06-27  ben

	* Added a 'display full view' parameter to all of the listings
	  functions
	* Introducing elgg_view_listing
	* Minor fix to the icon code
	* Fix to icon links, so they display actions too
	* Added search listing styles
	* Fix to previous
	* Further contextual menu work
	* Initial inclusion of profile icon navigation

2008-06-27  marcus

	* Fixes #100 - User not having any notification method no longer a
	  hard error.

2008-06-27  dave

	* tweak to profile language

2008-06-27  pete

	* avatar contextual menus

2008-06-27  marcus

	* Refs #86 - Better debug
	* Closes #86

2008-06-26  marcus

	* Closes #98
	* Pulldown menu view now supports passing values as well as options
	  as an associative array "value" => "option text" called
	  $vars['options_values']

2008-06-26  ben

	* Improved profile listings

2008-06-26  marcus

	* Added get_installed_translations() to return an array of
	  available translations together with native language translation
	  of the text. Refs #98
	* Added ISo-639 language codes, refs #98

2008-06-26  ben

	* Tweaked the title CSS now that it's going to appear inline within
	  canvases.
	* Widget river items are now of the form
	  river/widget/handler/event.

2008-06-26  marcus

	* Closes #16: Administration: Reset password functionality on user
	  admin screen
	  http://trac.elgg.org/elgg/ticket/16

2008-06-26  ben

	* Unified user settings form

2008-06-26  marcus

	* Closes #96: Administration: Add user (with optional admin flag)
	  http://trac.elgg.org/elgg/ticket/96
	* Refs #96: Administration: Add user (with optional admin flag)
	  http://trac.elgg.org/elgg/ticket/96
	* Refs #96: Administration: Add user (with optional admin flag)
	  http://trac.elgg.org/elgg/ticket/96
	* Closes #92: Settings: Set user language
	  http://trac.elgg.org/elgg/ticket/92

2008-06-26  ben

	* Checkboxes now work happily with arrays.

2008-06-26  marcus

	* Fixes #91 and #97
	* Closes #90: Settings: Change name
	  http://trac.elgg.org/elgg/ticket/90

2008-06-26  ben

	* Layout update for the single entity view.

2008-06-26  marcus

	* Fixes #95 - Now keying off system log entries so that whenever a
	  user does something that triggers an event they are boosted.
	* Fixes #94
	* Closes #89: Provide functionality for a user to set their email
	  address in user settings
	  http://trac.elgg.org/elgg/ticket/89

2008-06-25  marcus

	* Closes #79: Email confirmation on registration & email change
	  http://trac.elgg.org/elgg/ticket/79

2008-06-25  pete

	* river icon additions
	* widget gallery tooltip positioning and layer issue fixed

2008-06-25  ben

	* Search and metadata functions now support multiple user GUIDs

2008-06-25  marcus

	* Refs #79

2008-06-25  ben

	* Small ownership tweak to get_tags
	* The search page now takes more options.

2008-06-25  pete

	* shouts bubble

2008-06-25  ben

	* get_tags can now take an array as owner_guid.
	* Fixes for filestore.
	* Added grabFile() to the filestore, for much more efficient file
	  reading.
	* Made the friends river entities functions loads more efficient.

2008-06-25  marcus

	* Fixes #87 & #88
	* Refs #78: Email notifications on friending, comments
	  http://trac.elgg.org/elgg/ticket/78

2008-06-25  ben

	* The river now passes entities to each river view as
	  $vars['entity']
	* Adding an annotation triggers an 'annotate' event

2008-06-25  pete

	* default spotlight

2008-06-25  marcus

	* Fixes #84: Method for retrieving preferences for a user and
	  notifying accordingly
	  http://trac.elgg.org/elgg/ticket/84

2008-06-25  pete

	* updated staus box
	* moved message styles into plugin

2008-06-24  pete

	* messaging styles

2008-06-24  ben

	* Removed the circular delete mechanism that was plaguing ElggFile

2008-06-24  pete

	* centred loader gif

2008-06-24  ben

	* Caching the show_db_tables function

2008-06-24  pete

	* profile box fixes

2008-06-24  ben

	* Serious memory optimisation for the photo resize functions

2008-06-24  marcus

	* Refs #82 - oops... forgot to add these...
	* Closes #83 - API & Interface for selecting notification methods
	* Added gatekeeper

2008-06-24  ben

	* Removing more notices.
	* Removing an annoying notice
	* Minor fix to elgg_view_entity where ElggEntities are subclassed

2008-06-24  marcus

	* Fixes #69 - Clicking on profile "edit" causes crash.
	  
	  I have retrieved the user again from $_SESSION['id'] since
	  $_SESSION['user'] is not being set.
	  
	  This may point to a larger problem since the $_SESSION looks far
	  from complete.

2008-06-24  ben

	* Fix for previous river functionality
	* Minor formatting fix
	* Update plugins list so 50 display on a page
	* A fix to the river function.

2008-06-24  marcus

	* Closes #82: OpenDD feeds in the same vein as RSS
	  http://trac.elgg.org/elgg/ticket/82

2008-06-24  ben

	* Fix to edit wrapper saving
	* Removing title from pageshell outright
	* Introducing elgg_view_title
	* Introducing elgg_view_title

2008-06-24  pete

	* updated

2008-06-24  ben

	* Save widget improvements.

2008-06-24  pete

	* updated profile box

2008-06-24  marcus

	* Refs #76: User settings page (to Elgg Classic standard)

2008-06-24  ben

	* River views now run off subtypes
	* Introducing the AJAX loader
	* Widgets now reload properly

2008-06-24  pete

	* ajax loader gif

2008-06-24  marcus

	* Refs #76: User settings page (to Elgg Classic standard)

2008-06-24  ben

	* Widget fixes

2008-06-23  ben

	* Added mission crop icon action

2008-06-23  pete

	* container box fixes

2008-06-23  ben

	* No need to duplicate the user's name.
	* Image cropping works!

2008-06-23  dave

	* rearranged the main profile area
	* moved the about me below the other profile info

2008-06-23  ben

	* Some tweaks to the 'saving' box

2008-06-23  marcus

	* Refs #76: User settings page (to Elgg Classic standard).
	  Committing some work before shutting down for the day.

2008-06-23  dave

	* small bug fix on icon cropper

2008-06-23  pete

	* river updates

2008-06-23  ben

	* Removed extra divs.

2008-06-23  dave

	* more icon cropper tweaks, form added

2008-06-23  ben

	* Widgets now save on a per-widget basis. TODO: get the collapsing
	  widgets to work once they've saved ..

2008-06-23  marcus

	* 

2008-06-23  dave

	* coordinates in for the icon cropper

2008-06-23  ben

	* Widgets are now loaded as separate JS scripts
	* You can now get a Javascript version of any entity

2008-06-23  marcus

	* Refs #76: User settings page (to Elgg Classic standard).
	  Committing some work before shutting down for the day.

2008-06-23  dave

	* added coordinates to the icon cropper
	* new profile links system.

2008-06-23  pete

	* css updates

2008-06-23  dave

	* beginnings of the icon cropper tool

2008-06-23  marcus

	* Refs #76: User settings page (to Elgg Classic standard)
	* Refs #76: User settings page (to Elgg Classic standard)

2008-06-23  ben

	* Fix to icon upload
	* Page title is now displayed at the top of the canvas.

2008-06-23  marcus

	* 

2008-06-23  ben

	* Added master icon size (part 2)

2008-06-23  marcus

	* Forwards to http_referer

2008-06-23  ben

	* Added master icon size

2008-06-23  marcus

	* Forwards to http_referer
	* Pagination on admin page
	* Closes #77 - Cron endpoint and event
	* Refs #75
	* Refs #75

2008-06-23  ben

	* Update for pagination, to allow it to properly take a word other
	  than 'offset' as the word to work from.

2008-06-23  pete

	* greater than, less than pagination symbol changed

2008-06-23  dave

	* system messages now fade out after 3 seconds.

2008-06-22  ben

	* Introducing the annotation listing functions.
	* Introducing elgg_view_annotation

2008-06-22  dave

	* added a new profile links view

2008-06-21  marcus

	* Fixes #72

2008-06-21  dave

	* tweaks to the spotlight
	* a further temp tweak to the profile layout
	* a couple of small, temp, profile layout tweaks.

2008-06-21  marcus

	* Plugin init only called on sanitised installs where installation
	  is complete.

2008-06-20  ben

	* Improvements to spotlight
	* Plugins can set their own context

2008-06-20  marcus

	* Added licence example

2008-06-20  ben

	* Fixed profile, and allowed admins to edit other profiles

2008-06-20  marcus

	* Fixes #71
	* Additional fixes to #70

2008-06-20  ben

	* Changed the engine reference in the action

2008-06-20  marcus

	* 
	* Closes #66: Per site plugin settings configuration panel.
	  
	  Use the same technique as edit pages on widgets, i.e.
	  
	  1) Create a new view in your plugins view/default called
	  settings/PLUGINNAME/edit
	  
	  Where PLUGINNAME is the plugin directory, eg "river" or
	  "profile".
	  
	  2) Place your edit code in edit.php, fields should save to
	  params[fieldname].
	  
	  3) The view will be passed $vars['entity'] which holds any
	  configuration values already set in the metadata.
	  
	  Note. Settings are PER SITE.
	* Using a different test to handle metadata better
	* Closes #67 : Added new displayed field "licence"

2008-06-20  misja

	* Adding manifest files to plugins

2008-06-20  marcus

	* Closes #20: Plugin management and config panel
	  http://trac.elgg.org/elgg/ticket/20
	* Added admin gatekeeper

2008-06-20  ben

	* Widget gallery updates - internationalised and more

2008-06-20  marcus

	* Further fixes #59
	* Using new manifest code (via manifest.xml)
	* Bypass plugin loading disable code
	* Closes #60: Enable/disable plugins on a site by site basis
	  http://trac.elgg.org/elgg/ticket/60
	* Bugfixes on privileged code execution.
	* Removed database gatekeepers to avoid chicken and egg problems
	  with privileged codeblock execution, and because it is too
	  problematic.
	* Actually closes #60: Enable/disable plugins on a site by site
	  basis
	  http://trac.elgg.org/elgg/ticket/60
	* Closes #60: Enable/disable plugins on a site by site basis

2008-06-20  ben

	* update_data now returns true on a successful update.
	* Let's use a slightly smaller image on the main profile page ..
	* New default profile pics

2008-06-20  marcus

	* Refs #61 - Added ability to find settings for plugins other than
	  the one you are in.
	* Closes #61: Enable plugins to store site specific configurations

2008-06-19  ben

	* Automatic RSS feeds!

2008-06-19  marcus

	* Re-enabled database gatekeepers, please report problems.
	  Refs #3, #45

2008-06-19  ben

	* Removing widgettest, which has done its job.
	* Put titles back in their correct place for widgets.
	* System_log no longer adds double entries.
	* Minor improvement to previous - river items now are wrapped in a
	  number of divs that make sense according to what they refer to

2008-06-19  marcus

	* Fixes #50

2008-06-19  ben

	* Modified river functions to use a common wrapper
	* Profile updates now show up in the river.

2008-06-19  marcus

	* 
	* Closes #59: Plugin manifest. See register_plugin_manifest() &
	  register_plugin_manifest_basic(). Ref #20.

2008-06-19  ben

	* Removing the hoverover menu. Refs #58
	* CSS update for hoverover

2008-06-19  marcus

	* Fixes #55 : "Users online now" function

2008-06-19  ben

	* Wired up search
	* Sorting hoverover links into actions and plain links
	* Whoops! Replacing 'bwerdmuller' with $vars['entity']->username
	* Added a hover-over menu, which can be added to by plugins.

2008-06-19  marcus

	* Ref #57
	* Fixed #50: River widgets
	  http://trac.elgg.org/elgg/ticket/50
	* Fixes #56

2008-06-19  ben

	* The friends pages now use listing functions; also fixed a minor
	  bug in the get_entities_from_relationship function.

2008-06-19  marcus

	* *actually* fixes #48: Elgg_view_river wrapper function
	  http://trac.elgg.org/elgg/ticket/48
	* Fixes #48: Elgg_view_river wrapper function
	  http://trac.elgg.org/elgg/ticket/48

2008-06-19  pete

	* final amends to popups

2008-06-19  marcus

	* Fixes #54 - 'Enabled' functionality needs to be added to
	  metadata, refs #53

2008-06-19  ben

	* Minor change to the navigation placement on list view.
	* Added 'enabled' field to annotations. Refs #51

2008-06-18  pete

	* widget description popups added

2008-06-18  ben

	* Hopefully fixed default wwwroot. refs #51 - Misja, if this works
	  for you, could you please close the ticket?

2008-06-18  marcus

	* Fixes #15: Ban user functionality
	* Fixes #12: Active variable on entities table. Update db schema.

2008-06-18  ben

	* Introducing the dashboard!
	* Removing some error notices

2008-06-18  marcus

	* Speculative fix for mac install

2008-06-18  ben

	* Better access control labels.
	* Re-commented out callpath_gatekeeper. refs #37

2008-06-18  pete

	* added default class for submit buttons

2008-06-18  ben

	* Corrected widget panel save messages.
	* Added widget handling.

2008-06-18  marcus

	* Minor tweak to make compatible with search form
	* Fixes #43: Site full text search over name, description and url
	* Fixes #42: Object full text search on description
	* Further fixes to #41 with admin panel support
	* Fixes #41: User full text search. See caveats in function
	  search_for_user()

2008-06-18  ben

	* Interface tweak when no results are found.
	* Descriptions are now registered in widgets as a hidden field.
	* Added generic listing and pagination functions

2008-06-18  marcus

	* Fixes #18: Set default view type in admin
	  http://trac.elgg.org/elgg/ticket/18

2008-06-18  pete

	* widget drag n drop

2008-06-18  marcus

	* Fixes #17 - Debug mode toggle. Introduced unset_config() which is
	  also called automatically by set_config(). Also modified the view
	  input/checkboxes to set values on the checkbox.
	* Fixes #19: Default language selector
	  http://trac.elgg.org/elgg/ticket/19

2008-06-18  pete

	* tweaked login boxes n buttons

2008-06-18  ben

	* Added GUIDs and handlers to the widget panel

2008-06-17  pete

	* updated page layout

2008-06-17  ben

	* Fixes #24 - Added a funky display function called
	  friendly_time($timestamp).
	* Fixed #36 - CSS now works on the install page.
	* isloggedin() doesn't touch the session if we're not fully
	  installed yet.

2008-06-17  marcus

	* - To use main site config
	  Marcus Povey
	* CLOSED - #36: CSS broken on initial install page.
	  http://trac.elgg.org/elgg/ticket/36
	* CLOSED - #34: Install process must be completely graphical
	  http://trac.elgg.org/elgg/ticket/34

2008-06-17  ben

	* Fixed #37. It turns out callpath_gatekeeper worked fine; PHP 5.2
	  with the Zend Optimizer 3.2 does not, which was borking our OSX
	  MAMP installation. We're going to need a great big red warning
	  box for people installing on a Mac, alerting them to the fact
	  that they'll need to switch off the Optimizer.

2008-06-17  pete

	* updated css

2008-06-17  ben

	* Removed references to callpath_gatekeeper.
	* Disabling the gatekeeper for now. Reopened #3
	* We need actions to work when the installation hasn't been
	  settled. Refs #3

2008-06-17  marcus

	* CLOSED - #35: Create specific river views for dashboard
	  http://trac.elgg.org/elgg/ticket/35

2008-06-17  ben

	* is_installed now returns a much more representative result. Refs
	  #3
	* Fixed #33 - all profile icons except for the largest size are
	  cropped to squares. Additionally, the image resampling functions
	  now take an extra boolean parameter to specify squareness (or
	  not).

2008-06-17  dave

	* pushed the admin panel through the correct canvas area
	* removed guid exporter, exporttest and apitest from core and put
	  them into the plugins folder

2008-06-16  ben

	* Sticky menu items, but also, much more intelligent context
	  detection. Plugin authors need not bother with set_context() any
	  more - the context should be set automatically. This is overruled
	  by page handling settings, if set, which use the first element of
	  the URL to determine context. Fixes #32
	* More intelligent context detection. Refs #32
	* Registers contexts for each menu item. Refs #32

2008-06-16  marcus

	* CLOSED - #30: $CONFIG is not populated from elggconfig or
	  datalists
	  http://trac.elgg.org/elgg/ticket/30

2008-06-16  pete

	* updated profile interface
	* updated css

2008-06-16  marcus

	* CLOSED - #26: Lengthing metadata fields
	  http://trac.elgg.org/elgg/ticket/26

2008-06-16  dave

	* new canvas area added

2008-06-16  marcus

	* CLOSED - #5: Boolean metadata values
	  http://trac.elgg.org/elgg/ticket/5
	* - Minor tweak to exception report.
	  Marcus Povey
	* CLOSED - #14: XML-RPC handler
	  http://trac.elgg.org/elgg/ticket/14

2008-06-16  pete

	* updated interface js to fix submit button bug

2008-06-16  marcus

	* Added Content-Length to XML pageshell for compatibility with most
	  XML based formats.
	* CLOSED - #27: Standard login system to go through PAM
	  http://trac.elgg.org/elgg/ticket/27

2008-06-16  ben

	* Search once again displays results. Fixes #28
	* Widget edit controls now only appear if you can edit the widget
	  in question.

2008-06-15  dave

	* small tweak to the widget wrapper

2008-06-13  pete

	* updated and new stuff pertaining to the customise panel, new
	  jquery also

2008-06-13  marcus

	* 
	* - Fixed basic statistics
	  Marcus Povey
	* 

2008-06-13  dave

	* added $order to docs

2008-06-13  ben

	* Fixed typo

2008-06-13  dave

	* getAnnotations now has an extra param $order

2008-06-13  ben

	* Metadata now inherits its parent entity's permissions
	* using_widgets();
	* Added access controls to widgets and fixed the access control
	  input

2008-06-13  marcus

	* ASSIGNED - # 2: Administration panel
	  http://trac.elgg.org/elgg/ticket/2
	  - Added ban template and delete

2008-06-13  ben

	* Fixed update/insert issue on all top-level entities
	* Added the stub for Pete's widget reorderer
	* Widget fix

2008-06-13  marcus

	* - Some thoughts
	  Marcus Povey
	* Marcus Povey: CLOSED - # 9: FilePluginFile not found
	  http://trac.elgg.org/ticket/9
	* - User search box
	  Marcus Povey

2008-06-12  marcus

	* - Moved statistics to their own component views. Yay.
	  Marcus Povey
	* - Some minor statistics committed to test Eclipse
	  Marcus Povey
	* Marcus Povey <marcus@elgg.com>
	  * Some basic statistics committed after a fruitless day fighting
	  with Eclipse.

2008-06-12  dave

	* put remaining core plugins through the canvas views
	* piped remaining profile pages through the canvas system
	* removing some old views

2008-06-12  ben

	* Widgets, including a test widget plugin
	* The widget canvas layout now automatically grabs widgets.
	* We only have one pageshell.
	* Extra helpful widgets functions
	* Widget API changes, as well as edit and action infrastructure

2008-06-12  marcus

	* 

2008-06-12  ben

	* Added a simple widget alias so widgets display automatically.
	* Widget wrapper, widget views

2008-06-12  icewing

	* Last commit for now

2008-06-12  pete

	* logic for not displaying toolbar when non-logged
	* updated welcome pages
	* new view for page spotlight
	* toolbar switched off for non-logged users
	* placeholder skyscaper ad for non logged-in pages
	* new layout using canvas view

2008-06-12  misja

	* Deleting docbook structure, cleaning up repo for migration

2008-06-12  ben

	* Further documentation fixes.
	* Some extra entity documentation

2008-06-12  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Added stub for statistics
	  * Added stub statistics library

2008-06-12  ben

	* Added use_widgets function to register a context for widget use.
	* Added widgets library to core.

2008-06-12  dave

	* removed old pageshells

2008-06-11  ben

	* Edit permissions changes for admins

2008-06-11  pete

	* new subdirectory added to house the init js for the page - feel
	  free to move elsewhere
	* latest interface stuff
	* new images added
	* old images removed

2008-06-11  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Removed debug
	* Marcus Povey <marcus@dushka.co.uk>
	  * Default of can_edit_entity trigger plugin hook set to true.
	* Marcus Povey <marcus@dushka.co.uk>
	  * Basic site admin
	* Marcus Povey <marcus@dushka.co.uk>
	  * All queries echoed in debug mode
	* Marcus Povey <marcus@dushka.co.uk>
	  * Comments
	* Marcus Povey <marcus@dushka.co.uk>
	  * Documentation
	* Marcus Povey <marcus@dushka.co.uk>
	  * Initial administration panel
	* 
	* Marcus Povey <marcus@dushka.co.uk>
	  * actions with admin only support
	* Marcus Povey <marcus@dushka.co.uk>
	  * actions with admin only support
	* Marcus Povey <marcus@dushka.co.uk>
	  * Starting admin and relocating to the garden...

2008-06-11  ben

	* Fixed icon cache issue.

2008-06-11  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Introducing admin_gatekeeper()

2008-06-10  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Debug added to site installation
	* Marcus Povey <marcus@dushka.co.uk>
	  * Spelling error

2008-06-10  ben

	* Sorting out tag links.
	* Added an explicit conversion to MyISAM in the db tables when a
	  FULLTEXT key is used.

2008-06-10  icewing

	* 
	* 

2008-06-10  ben

	* A better fix for language pack loading ...
	* Fixed a bad header in profile
	* Fix for language pack loading.

2008-06-10  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Modified elgg_echo to return $message_key if no translations
	  found, meaning you will always get _something_ from the command
	  and will serve to prompt people for missing translations.

2008-06-10  ben

	* Error text change.
	* Languages are now loaded before the main engine starts.
	* register_event_handler and trigger_event have been renamed to
	  register_elgg_event_handler and trigger_elgg_event respectively.

2008-06-10  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Debug added to db connect
	* Marcus Povey <marcus@dushka.co.uk>
	  * Bugfix on filestore
	* Marcus Povey <marcus@dushka.co.uk>
	  * Removed debug
	* Marcus Povey <marcus@dushka.co.uk>
	  * Bugfixed canEdit and isFullyLoaded

2008-06-09  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Caching complete
	* 
	* Marcus Povey <marcus@dushka.co.uk>
	  * Added the code to the correct method. Doh!
	* 
	* 
	* 
	* Marcus Povey <marcus@dushka.co.uk>
	  * Added table counter

2008-06-09  ben

	* Annoying typo bugfix
	* Moving the location of metatags so that we can add jQuery plugins
	  after jQuery gets loaded.

2008-06-09  icewing

	* 

2008-06-09  ben

	* Fixed class instanceof errors

2008-06-09  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Reverted caching error
	* Marcus Povey <marcus@dushka.co.uk>
	  * Added caching to entities. Please report any problems.

2008-06-09  ben

	* Interim fix for user saving

2008-06-09  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Updated to show improved debug in debug mode.
	* Marcus Povey <marcus@dushka.co.uk>
	  * Updated to show improved debug in debug mode.

2008-06-09  ben

	* Fixed previously-introduced entity save issue.
	* There are line breaks in my query. Hrm.
	* Fixed issue on save

2008-06-06  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * More internationalisation
	* Marcus Povey <marcus@dushka.co.uk>
	  * More internationalisation
	* Marcus Povey <marcus@dushka.co.uk>
	  * More internationalisation
	* Marcus Povey <marcus@dushka.co.uk>
	  * More internationalisation
	* Marcus Povey <marcus@dushka.co.uk>
	  * More internationalisation
	* Marcus Povey <marcus@dushka.co.uk>
	  * Blank passwords and blank second password no longer permitted
	* Marcus Povey <marcus@dushka.co.uk>
	  * Limit to specific users and/or relationships

2008-06-05  ben

	* Fixes for metadata and for the run order.

2008-06-05  icewing

	* 
	* Marcus Povey <marcus@dushka.co.uk>
	  * River now passes performed_by_guid user as an object to sub
	  views
	* Marcus Povey <marcus@dushka.co.uk>
	  * System log performs the id of the user who performed a given
	  action (or 0 if no user was logged in). Update your DB schema.
	* 
	* 
	* 
	* Marcus Povey <marcus@dushka.co.uk>
	  * Some basic river code
	* Marcus Povey <marcus@dushka.co.uk>
	  *

2008-06-05  ben

	* Removing assorted errors which will allow for excellent river
	  operation

2008-06-05  icewing

	* 

2008-06-05  ben

	* Further cleanup
	* Further sitename fix.

2008-06-05  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * More text internationalised

2008-06-05  ben

	* Fixed a foreach bug.
	* Returned the site name to the header.

2008-06-05  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Partial internationalisation of exceptions

2008-06-05  ben

	* Installation and initial account creation should now be stable.

2008-06-04  ben

	* A more elegant event passthrough mechanism.
	* Fixed the installation labels issue!

2008-06-04  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Documentation added to query.

2008-06-04  ben

	* Fixed actions issues
	* Fixed the callpath_gatekeeper on Windows machines.

2008-06-04  icewing

	* 
	* 
	* Marcus Povey <marcus@dushka.co.uk>
	  * Belts and braces
	* Marcus Povey <marcus@dushka.co.uk>
	  * Supports multiple delivery methods as an array
	* Marcus Povey <marcus@dushka.co.uk>
	  * Minor documentation
	* Marcus Povey <marcus@dushka.co.uk>
	  * Documentation
	* Marcus Povey <marcus@dushka.co.uk>
	  * Minor documentation
	* 
	* Marcus Povey <marcus@dushka.co.uk>
	  * More documentation added
	* Marcus Povey <marcus@dushka.co.uk>
	  * Moved Query object et al to their own file

2008-06-03  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Minor doc tweak
	* Marcus Povey <marcus@dushka.co.uk>
	  * Added documentation
	* Marcus Povey <marcus@dushka.co.uk>
	  * Removed superfluous event
	* Marcus Povey <marcus@dushka.co.uk>
	  * Debug removed
	* Marcus Povey <marcus@dushka.co.uk>
	  * Fixed annotations not returning anything
	  * Access control on db now disabled when run from privileged code
	  block.
	* Marcus Povey <marcus@dushka.co.uk>
	  * Fixed restricted mode

2008-06-02  ben

	* Added the metatags element into the page header.

2008-06-02  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Removed and because you can always add it.
	* Marcus Povey <marcus@dushka.co.uk>
	  * Added access control shorthand function. REPLACE THIS WHEN
	  QUERY OBJECT COMPLETE
	* 
	* Marcus Povey <marcus@dushka.co.uk>
	  * Fixed set ommission
	* Marcus Povey <marcus@dushka.co.uk>
	  * Path check no longer an event, forces path check
	* Marcus Povey <marcus@dushka.co.uk>
	  * Update and creates now handled separately, with the appropriate
	  events triggered.
	* Marcus Povey <marcus@dushka.co.uk>
	  * Moved handlers to engine/handlers/ to avoid them running foul
	  of the callpath_gatekeeper.. UPDATE YOUR .htaccess!
	* Marcus Povey <marcus@dushka.co.uk>
	  * Moved handlers to engine/handlers/ to avoid them running foul
	  of the callpath_gatekeeper.. UPDATE YOUR .htaccess!
	* Marcus Povey <marcus@dushka.co.uk>
	  * Minor bugfix
	* Marcus Povey <marcus@dushka.co.uk>
	  * BUGFIX: Missing $CONFIG from insert_data
	* Marcus Povey <marcus@dushka.co.uk>
	  * Privileged path check to privileged function execution.
	  
	  ... i really don't like this exception stuff. I think it would be
	  better to say that you can't access stuff you can't access.

2008-05-30  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Removed debug
	* Marcus Povey <marcus@dushka.co.uk>
	  * Bugfix on gatekeeper and forcing data functions to privileged
	  only
	* Marcus Povey <marcus@dushka.co.uk>
	  * Renamed limited to strict
	* Marcus Povey <marcus@dushka.co.uk>
	  * Improved callpath_gatekeeper

2008-05-29  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Removed foaf/export since this has been superceded.
	* Marcus Povey <marcus@dushka.co.uk>
	  * Turns out i needed reflection afterall.

2008-05-29  ben

	* Added FOAF
	* Correcting one column font size issue

2008-05-29  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Introducing callpath_gatekeeper
	* Marcus Povey <marcus@dushka.co.uk>
	  * Simplified call_gatekeeper()
	* 
	* Marcus Povey <marcus@dushka.co.uk>
	  * Introducing call_gatekeeper()

2008-05-29  ben

	* Added friends pages and related functionality

2008-05-29  icewing

	* 

2008-05-29  ben

	* Slight change to the user view in profiles, to facilitate the
	  friends page

2008-05-28  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Import now does simple checks for failure
	* Marcus Povey <marcus@dushka.co.uk>
	  * Sanity checks added to OpenDD import
	* 

2008-05-28  ben

	* Query fixes for previous.
	* Adding support for db prefixes to previous

2008-05-28  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Added gatekeeper
	* Marcus Povey <marcus@dushka.co.uk>
	  * export test import set to use new import action

2008-05-28  ben

	* Added new tagcloud functions

2008-05-28  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Importing ODD action added

2008-05-28  ben

	* Subtypes and object types for search.

2008-05-28  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Minor doc update
	* Marcus Povey <marcus@dushka.co.uk>
	  * Minor doc update
	* Marcus Povey <marcus@dushka.co.uk>
	  * Fixed Where, WhereStatic and WhereSet
	* Marcus Povey <marcus@dushka.co.uk>
	  * Fixed order/limit
	* Marcus Povey <marcus@dushka.co.uk>
	  * Fixed tables
	* Marcus Povey <marcus@dushka.co.uk>
	  * Fixed spacing issue
	* Marcus Povey <marcus@dushka.co.uk>
	  * Throws exception if fields are missing on a select query
	* Marcus Povey <marcus@dushka.co.uk>
	  * Fixed $CONFIG->prefix now $CONFIG->dbprefix
	  * Exception thrown on missing tables
	* Marcus Povey <marcus@dushka.co.uk>
	  * Fixed ACL where "where" is missing
	  * Added catch for exceptions

2008-05-28  dave

	* small tweak to the canvas view - this is temp

2008-05-28  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Draft Query object and companion classes committed for comment.
	  [UNTESTED]

2008-05-28  ben

	* A further fix for previous.
	* Solidifying the login() function so that the session data is
	  always consistent.
	* Revamped the login functions to separate login from
	  authentication.
	* login() can now be extended by other authentication methods.
	  TODO: wrap this up with the PAM functionality.
	* Adding login and logout events.

2008-05-27  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Fixed DB code
	* Marcus Povey <marcus@dushka.co.uk>
	  * Fixed incorrect event trigger code - problem caused by
	  incorrect is_array clause on event trigger functions

2008-05-27  dave

	* create a new social library in the engine. Moved string parsing
	  for links to input.php and removed converting strings to tags
	  from the shouts plugin and added them to the social library.

2008-05-27  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Offset incremented each pass, will no longer get stuck in the
	  infinite loop
	* Marcus Povey <marcus@dushka.co.uk>
	  * Restrictions checked
	* Marcus Povey <marcus@dushka.co.uk>
	  * Views looked for now river/$CLASSNAME/$EVENT

2008-05-26  pete

	* new fixed width
	* fixed width page
	* new jquery, removed old
	* removed old graphics
	* pics needed
	* simple default theme as a starting point

2008-05-26  dave

	* added a new canvas area to views, this is for plugins to layout
	  their content.

2008-05-26  ben

	* Fix for elgg_view_layout
	* Added layout manager to elgglib

2008-05-26  dave

	* added some relationship helper functions for relationship type
	  'attached'

2008-05-23  ben

	* Slight tweak to the entities getEntitiesFromRelationship method.
	  We need inverse relationships!
	* Sticking the sidebar somewhere for now
	* Added a plugin hook and translations for previous.
	* Introducing a visual widget for inputting access permissions.

2008-05-23  dave

	* reverted back to a simple layout for now

2008-05-23  ben

	* Similar profile fix to previous

2008-05-23  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Support for river entries

2008-05-23  ben

	* You can now edit your profile again ..

2008-05-23  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * View debug messages now echoed to system log instead of to the
	  screen.
	  * Minor doc fix

2008-05-23  ben

	* Removing double sanitise_string on save metadata

2008-05-23  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Added access_id

2008-05-23  ben

	* Removing conflict over 'event' keyword in views
	* ... and again ...

2008-05-23  icewing

	* 

2008-05-23  ben

	* Fix for previous
	* Introducing the 'tiny' profile icon size

2008-05-23  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * System log event code

2008-05-23  ben

	* Similar tweak as for events, but with plugin hooks
	* trigger_event now passes the actual event details on 'all'
	* An improvement to the clearMetadata method on ElggEntities -
	  specify a name and it only clears metadata of that type.

2008-05-22  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Added system log to prerequisite loader
	* Marcus Povey <marcus@dushka.co.uk>
	  * Can now run
	* Marcus Povey <marcus@dushka.co.uk>
	  * Moving back to desktop
	* Marcus Povey <marcus@dushka.co.uk>
	  * Added system_log table

2008-05-22  ben

	* Removing duplicate metastring issue

2008-05-22  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * undid previous as it was a dumb idea
	* Marcus Povey <marcus@dushka.co.uk>
	  * Clarification: Trigger event can only be passed a context
	  related to a ElggEntity

2008-05-22  ben

	* Rearranging events: stage 1

2008-05-22  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * River stub for the pub.

2008-05-22  ben

	* The context is now set automatically when the page handler is in
	  use.
	* Plugins can now set context

2008-05-21  ben

	* And again
	* Minor fix for setting metadata

2008-05-21  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Tag cloud for files
	* Marcus Povey <marcus@dushka.co.uk>
	  * Introducing find_metadata as a counterpart to
	  get_entities_from_metadata

2008-05-21  ben

	* Entities now clear all associated relationships on delete
	* Added function to remove all entity relationships of a particular
	  kind associated with an entity
	* Creating the constants ACCESS_PUBLIC, ACCESS_PRIVATE,
	  ACCESS_LOGGED_IN

2008-05-21  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Added tag cloud functions

2008-05-21  ben

	* Assorted profile icon fixes
	* Metadata can now be added to before an entity is saved. It will
	  be added to the db on save.
	* Allowing for further extension to the sidebar
	* Added easier sidebar population

2008-05-20  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Introducing get_resized_image_from_existing_file
	  * Consolidated get_resized_image_from_uploaded_file to use it
	* Marcus Povey <marcus@dushka.co.uk>
	  * BUGFIX: get_subtype_id now shortcircuits returning unmodified
	  $subtype if $subtype is ""
	* Marcus Povey <marcus@dushka.co.uk>
	  * Fixed direct load by guid issue
	* Marcus Povey <marcus@dushka.co.uk>
	  * Fixed strange regression in get_entities, now returns all stuff
	  even if subtype is blank.
	* Marcus Povey <marcus@dushka.co.uk>
	  * Revised matrix generation on filestore

2008-05-20  ben

	* Removing a PHP notice

2008-05-20  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * reverted previous
	* Marcus Povey <marcus@dushka.co.uk>
	  * Committed abortive Atom wrapper... we need to support different
	  import/export
	* Marcus Povey <marcus@dushka.co.uk>
	  * Debug mode now lists libraries loaded
	* Marcus Povey <marcus@dushka.co.uk>
	  *
	* Marcus Povey <marcus@dushka.co.uk>
	  * Introducing: current_page_url()

2008-05-19  ben

	* Fixing the install process, step 1.
	* Session init now fails if the db hasn't been installed.
	* Elgg will now enter light mode (no plugins are loaded, system
	  init doesn't happen) if the parameter lightmode = "true"

2008-05-16  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Minor clarification
	* Marcus Povey <marcus@dushka.co.uk>
	  * Refactored API under services
	* Marcus Povey <marcus@dushka.co.uk>
	  * Refactored export to services/export for future expansion of
	  other rest style endpoints

2008-05-15  ben

	* Removed the double body issue to prevent confusion
	* Moving some stuff into the plugins repo, where it belongs.
	* Introducing getFriendsObjects to ElggUser

2008-05-14  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Debug mode causes queries that return no data to issue a
	  warning
	* Marcus Povey <marcus@dushka.co.uk>
	  * Fixed ommission: setPublished

2008-05-09  icewing

	* Added version
	* Marcus Povey <marcus@dushka.co.uk>
	  * Including XML so it stands as a standalone lib
	* Marcus Povey <marcus@dushka.co.uk>
	  * Moved ODD stuff to its own lib [untested]
	* Marcus Povey <marcus@dushka.co.uk>
	  * Being "strictly correct" by returning application/json for json
	  content type.

2008-05-09  pete

	* jquery framework
	* drag n drop interface test

2008-05-08  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * BUGFIX: Moved shortcut so that subtype of "" doesn't cause
	  fail.

2008-05-07  pete

	* 
	* new toolbar menu

2008-05-02  ben

	* Removed a debug message
	* A fix for get_entities, which was borking if the subtype of
	  object specified didn't exist.
	* Configuration prerequisites are now loaded on boot time rathr
	  than init
	* The filestore is no longer so greedy about its init function, and
	  therefore gets the correct filestore location
	* A small validation check

2008-05-02  dave

	* reversed my last tweak, another solution will be required

2008-05-02  ben

	* Adding a user icon to the top menu

2008-05-02  dave

	* small tweak to get annotations

2008-05-02  ben

	* Minor bug fix in configuration
	* Update to start.php to fix bug on installation
	* Corrected an issue with actions.
	* Fixed a bug where the site was private unless you were logged out
	  ...
	* The system now uses the site GUID to get and set entity data.
	  Also, installation is a great deal more visual.

2008-05-02  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Now registers email handler (oops)

2008-05-01  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * FOAF view uses correctly formatted UUID
	* Marcus Povey <marcus@dushka.co.uk>
	  * Added prototype FOAF view

2008-05-01  ben

	* Establishing $CONFIG->site
	* Further changes to the site install procedure.
	* Major site config changes

2008-05-01  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Uploads and downloads now work.
	* 

2008-05-01  ben

	* Schema update for configuration

2008-05-01  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Bugfixing my sillyness

2008-05-01  ben

	* Fixed a bug in countAnnotations

2008-05-01  icewing

	* 
	* Marcus Povey <marcus@dushka.co.uk>
	  * Bugfix
	* Marcus Povey <marcus@dushka.co.uk>
	  * Download support
	* Marcus Povey <marcus@dushka.co.uk>
	  * Added tell
	* Marcus Povey <marcus@dushka.co.uk>
	  * Added eof functionality to datastore
	* Marcus Povey <marcus@dushka.co.uk>
	  * Download page added

2008-05-01  ben

	* Docs for previous
	* Added GET variable processing to the action handler.

2008-05-01  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Name tweaks

2008-05-01  ben

	* Get and set per-site configuration values from the database

2008-05-01  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Minor tweak
	* Marcus Povey <marcus@dushka.co.uk>
	  * Error handling
	* Marcus Povey <marcus@dushka.co.uk>
	  * Save to get the GUID
	* Marcus Povey <marcus@dushka.co.uk>
	  * BUGFIX: Typo

2008-05-01  ben

	* $CONFIG->dbprefix, not $CONFIG->prefix

2008-05-01  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Bugfix: uses the correct filename

2008-05-01  ben

	* Introducing gatekeeper();
	* Introducing run_function_once($functionname,
	  $timelastupdatedcheck).

2008-05-01  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Using mime types
	* Marcus Povey <marcus@dushka.co.uk>
	  * Fixed regression on custom class loader
	* Marcus Povey <marcus@dushka.co.uk>
	  * Now registers ElggFile for 'object' & 'file'

2008-04-30  ben

	* Fix for previous fix for previous fix
	* Slight correction to the count entities from relationship alias
	  in ElggEntity
	* Fix for previous fix
	* Fix for previous
	* Fixing some functions relating to relationships

2008-04-30  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Minor tweak: removed $ns references from ODD __toString()
	* Marcus Povey <marcus@dushka.co.uk>
	  * Changed "verb" to "type" in relationship, as described in ODD
	  spec 0.5
	* Marcus Povey <marcus@dushka.co.uk>
	  * Removed get_notifications... you should provide a list of
	  guid's yourself
	* Marcus Povey <marcus@dushka.co.uk>
	  * Simple footer

2008-04-30  ben

	* get_entities returns false if the subtype name couldn't be found.

2008-04-30  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * First draft file upload

2008-04-30  ben

	* Introducing getEntitiesFromRelationship and
	  countEntitiesFromRelationship methods on ElggEntity
	* Fixed a (presumably transient) comments issue in blogs.
	* Temporary style fix
	* Updating blog view to involve icons

2008-04-30  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * ElggDiskFilestore now uses matrix formed from username, and
	  supports paths.
	* Marcus Povey <marcus@dushka.co.uk>
	  *

2008-04-30  ben

	* Resizing images now resamples them for better clarity.
	* Better error reporting on previous.
	* Fixed profile resizing issue
	* Previous now returns false.
	* Fixed image resizing issue, corrected function to create a jpeg
	  using output buffering rather than a temporary file

2008-04-29  dave

	* added jquery to the main pageshell header
	* Uploaded the latest jquery into core.

2008-04-29  ben

	* Introducing profile icons.
	* Fix for make_file_matrix
	* Filenames fix
	* Non-invasive fix for previous.
	* Introducing get_uploaded_file and
	  get_resized_image_from_uploaded_file.
	* Sledgehammer tactics on can_edit_extender
	* Attempt at an extender canEdit fix
	* Fixed typo
	* Added getEntity() to ElggExtender
	* Fixed a minor SQL error in annotation sum functions
	* Minor fix involving ratings and get annotations

2008-04-29  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * BUGFIX: Import functionality works, removed update but no
	  change error on update
	* Marcus Povey <marcus@dushka.co.uk>
	  * BUGFIX: Missing name
	* Marcus Povey <marcus@dushka.co.uk>
	  * Fixed bug in getOwner override
	* Marcus Povey <marcus@dushka.co.uk>
	  * Fixed incorrect if condition logic

2008-04-29  dave

	* small tweak to the calendar input

2008-04-29  ben

	* Replacing strip_string with sanitise_string in the calendar input

2008-04-28  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Notify and email notify added (not tested) ... still unsure
	  about get_notify_list, attempted a number of options ... not sure
	  if this is as simple as it could be

2008-04-28  ben

	* Calendar popup input for dates
	* Removing undefined index notice
	* Removed annoying reference to $vars['name'] in the welcome view
	* The profile now has fields set in start.php. TODO: make those
	  user editable, once we have the admin panel ...
	* The tag output view can now use $vars['value'], bringing it in
	  line with all the others
	* Email address input and output fields

2008-04-25  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Removed minor config stuff
	* Marcus Povey <marcus@dushka.co.uk>
	  * Crude deleteall method added
	* Marcus Povey <marcus@dushka.co.uk>
	  * JSON & PHP export rewrite rules
	* Marcus Povey <marcus@dushka.co.uk>
	  * JSON & PHP Export modes
	* Marcus Povey <marcus@dushka.co.uk>
	  * Metadata and relationships can now be accessed as arrays
	* Marcus Povey <marcus@dushka.co.uk>
	  * Objects can be accessed as arrays

2008-04-25  ben

	* Adding get_entities_from_metadata_multi

2008-04-25  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Renamed /odd to /export since the handler can now do so much
	  more...

2008-04-25  ben

	* Editmenu stub view

2008-04-25  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Using ODD view by default
	* Marcus Povey <marcus@dushka.co.uk>
	  * Updated ODD handler, now uses views
	  * Normal and ODD view for all data items... cute eh? :)
	* Marcus Povey <marcus@dushka.co.uk>
	  * Using common attribute type var to determine ODD export type
	  for uuid generation, now attributes can support a uuid
	* Marcus Povey <marcus@dushka.co.uk>
	  * Uses guid_one as well
	* Marcus Povey <marcus@dushka.co.uk>
	  * Removed session debug
	* Marcus Povey <marcus@dushka.co.uk>
	  *
	* Marcus Povey <marcus@dushka.co.uk>
	  * API converted to use views system

2008-04-25  ben

	* Fix to the debug messages for elgg_view

2008-04-25  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Removed all namespacing code
	* Marcus Povey <marcus@dushka.co.uk>
	  * Namespacing stuff (aborted), committed for record only.

2008-04-24  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Namespace support added to export

2008-04-24  ben

	* Minor edit to the version number spec
	* The beginnings of a db upgrade system. See lib/version.php,
	  /version.php and the datalist functions in elgglib.php.

2008-04-24  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Removed header object
	* Marcus Povey <marcus@dushka.co.uk>
	  * Unhandled elements issue a warning on import
	* Marcus Povey <marcus@dushka.co.uk>
	  * Removed ODD header element
	* 
	* Marcus Povey <marcus@dushka.co.uk>
	  * Generated now published
	  * Metadata and annotations use time from db
	  * Attributes use time from entity

2008-04-23  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Improved documentation
	* Marcus Povey <marcus@dushka.co.uk>
	  * Filesize support added, now possible to get all file contents
	  with $file->read($file->size());

2008-04-21  ben

	* Introduced profile plugin
	* Fixed user GUID and multiple metadata bugs
	* Session init now gets priority
	* Improving the metadata search in cases where users have multiple
	  tags with the same text
	* Added doc for blog URL function
	* Minor update to the default entity URLs
	* Fixed an inconsistency in elgg_view_entity

2008-04-21  icewing

	* 
	* Marcus Povey <marcus@dushka.co.uk>
	  * Numerous bugs fixed
	* Marcus Povey <marcus@dushka.co.uk>
	  * No longer saves file automatically, this gives you the option
	  as to how to handle files - either as proper objects or adhoc
	  file handles which still use the filestore code.
	* Marcus Povey <marcus@dushka.co.uk>
	  * Save and Load (read/write) work
	  * TODO: Loaded can not be loaded via name, only guid... correct?

2008-04-21  ben

	* can_edit_entity now always returns false if the user is logged
	  out

2008-04-21  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Removed tiny debug output

2008-04-21  ben

	* Fix for lingering sessions with nonexistent users
	* Removing extraneous character from schema
	* Added site_guid to the entities table

2008-04-21  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Coded, but untested, file and filestore classes... committed to
	  let others start using them straight away.
	  
	  DISCUSSION: Should we use metadata to store datastore parameters
	  in the context of ODD? - Or should ODD say that other non-defined
	  metadata is ok?

2008-04-18  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Unfinished filestore code
	* Marcus Povey <marcus@dushka.co.uk>
	  * Cleaned up doc

2008-04-18  ben

	* If you feed an entity a metadata array, it assumes multiple
	  values are allowed
	* Updated input tag field to take in strings as well as arrays
	* Link fix
	* Minor page handler mod_rewrite fix

2008-04-18  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Hardcoded sessions no longer necessary now that login works

2008-04-18  ben

	* Removing references to action.php
	* Searunner?!

2008-04-18  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Fixed broken actions code on linux

2008-04-18  ben

	* Removing previous

2008-04-18  icewing

	* Fixed ODD mod-rewrite rules

2008-04-18  ben

	* Action debug
	* Fix for page handler bugs

2008-04-17  misja

	* Misja Hoebe <misja@curverider.co.uk> Clean up svn cruft

2008-04-16  ben

	* Introducing search
	* No need for elgg_view_entity to separately load the owner entity
	* ElggEntity->getOwnerUser() -> ElggEntity->getOwnerEntity()
	* URL handling for the blog plugin
	* Added the getURL and getOwnerUser methods to ElggEntity (gets the
	  URL to display the current entity and the ElggUser entity that
	  represents the owner respectively)
	* Generic entity view system
	* Blog plugin now serves as a fancy URL example
	* Fixing the message views
	* Added better GET query variable handling into the page handler
	  mix

2008-04-15  ben

	* Natty page handling functions. See engine/lib/pagehandler.php

2008-04-15  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Hopefully correct mod-rewrite rules

2008-04-15  ben

	* get_entities now allows for arrays of GUIDs to be supplied as an
	  owner, and can be asked to count entities rather than return
	  them; as a result, get_user_friends_objects and count_*
	  functionality is also now available

2008-04-15  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * ODD handler added, still needs modrewrite rules to be
	  specified.

2008-04-15  ben

	* Blog plugin improvements, including delete on comments
	* A couple of additions to the language file
	* Cleaning up input field views
	* Tidied up output views

2008-04-15  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Removed canedit shortcut
	* Marcus Povey <marcus@dushka.co.uk>
	  * Modified to not throw exception on missing verb conversion
	* Marcus Povey <marcus@dushka.co.uk>
	  * Relationship import

2008-04-15  ben

	* Improvement to canEdit() for extenders, which takes into account
	  the canEdit() status of entities the extender is attached to
	* Removing the multiple slash problem on metastrings in extenders

2008-04-15  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Relationships export
	* Marcus Povey <marcus@dushka.co.uk>
	  * Improved XML to array code
	* Marcus Povey <marcus@dushka.co.uk>
	  * Minor tweaks
	* Marcus Povey <marcus@dushka.co.uk>
	  * Extender import support.
	  * Removed Importable interface on extender, its easier to just
	  use
	  the entity object interface.
	* Marcus Povey <marcus@dushka.co.uk>
	  * Blocking create and update dates from ODD export, since these
	  don't make sense to export.
	* Marcus Povey <marcus@dushka.co.uk>
	  * Added optional set multiple on metadata
	* Marcus Povey <marcus@dushka.co.uk>
	  * Belts and braces
	* Marcus Povey <marcus@dushka.co.uk>
	  * Entity import.
	* Marcus Povey <marcus@dushka.co.uk>
	  * Using common detect_extender_valuetype function

2008-04-14  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Undone last as it was a bad idea.
	* Marcus Povey <marcus@dushka.co.uk>
	  * Exception thrown on unrecognised import tag.
	* Marcus Povey <marcus@dushka.co.uk>
	  * Import functions now deal in ODD!
	* Marcus Povey <marcus@dushka.co.uk>
	  * XML Import processor
	* Marcus Povey <marcus@dushka.co.uk>
	  * Relationships export
	* Marcus Povey <marcus@dushka.co.uk>
	  * Relationships export
	* Marcus Povey <marcus@dushka.co.uk>
	  * ODD relationship verb -> relationship mapping functions
	* Marcus Povey <marcus@dushka.co.uk>
	  * Relationships added to GUID browser
	* Marcus Povey <marcus@dushka.co.uk>
	  * Relationships table brought in line with code... oops
	* Marcus Povey <marcus@dushka.co.uk>
	  * ODD Annotation and Metadata export

2008-04-11  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Added owner uuid to type
	* Marcus Povey <marcus@dushka.co.uk>
	  * Fixed subclass
	* Marcus Povey <marcus@dushka.co.uk>
	  * Comment tweak
	* Marcus Povey <marcus@dushka.co.uk>
	  * Entity ODD export
	* Marcus Povey <marcus@dushka.co.uk>
	  * Moved XML stuff to xml.php
	* Marcus Povey <marcus@dushka.co.uk>
	  * Added DataFormatException
	* Marcus Povey <marcus@dushka.co.uk>
	  * Minor tweak

2008-04-10  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Created PAM library
	  * API moved to use new PAM functions

2008-04-09  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Package header added
	* Marcus Povey <marcus@dushka.co.uk>
	  * Package header added
	* Marcus Povey <marcus@dushka.co.uk>
	  * Package header added
	* Marcus Povey <marcus@dushka.co.uk>
	  * Package header added

2008-04-09  ben

	* Fixed some bugs including a load order patch from Rolando, and an
	  update issue
	* Empty PAM include file

2008-04-08  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Simplified extender types, now only supports integer and text -
	  types deamed not to be necessary (yet), also simplifies import
	  and export.
	  * Types better detected.

2008-04-08  ben

	* Incorporating setup fixes from Rolando

2008-04-08  misja

	* Misja Hoebe <misja@curverider.co.uk> More doctag fixes
	* Misja Hoebe <misja@curverider.co.uk> More docstring fixes
	* Misja Hoebe <misja@curverider.co.uk> Fixing doctags

2008-04-07  ben

	* Further annotation / metadata fixes
	* Improved tag display
	* Fixing undeclared error
	* CRUD for blog posts
	* Same bugfix for sites and users
	* Further adventures in getting things to delete correctly
	* Further delete and event trigger fixes
	* Triggering events on create, update and delete actions on
	  entities
	* Properly extensible canEdit functionality for metadata,
	  annotations, and anything else that supports the ElggExtender
	  interface
	* Much better handling for deleting entities and metadata

2008-04-04  ben

	* Blog edit updates
	* Updated the tags input field
	* Adding 'edit' to the language file
	* Added $entity->canEdit() (true|false)
	* Introducing the all blog posts page.
	* Tweaking the output/tags view
	* Added better support for arrays of metadata
	* Added tags to the blog plugin
	* Further blog enhancements

2008-04-03  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Relationship related code moved to relationships.php
	  * Added ElggRelationship class as wrapper (to help with import
	  and export)
	  * Import and Export relationship code added (NOT TESTED)
	* 
	* Marcus Povey <marcus@dushka.co.uk>
	  * Minor text change

2008-04-03  ben

	* Added comments to blog
	* Added query display to database exceptions
	* Fixed session initialisation issue

2008-04-03  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Annotations and metadata now imported
	* Marcus Povey <marcus@dushka.co.uk>
	  * Bugfixes
	* Marcus Povey <marcus@dushka.co.uk>
	  * Basic guid browser
	* Marcus Povey <marcus@dushka.co.uk>
	  * Added Iterator interface to override foreach behaviour
	* Marcus Povey <marcus@dushka.co.uk>
	  * Exception thrown if load fails

2008-04-03  ben

	* Blog: extended comment form, etc.
	* Slight fix for previous
	* Update for elgg_view_entity
	* Slight get_data revert
	* Changing, once again, the way titles work
	* Pages can now manually override the page owner
	* Adding name and posted date to blog entries
	* Blog update: you can post and view blog entries.
	* Improved elgg_view_entity

2008-04-03  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Cut and paste is a killer
	* Marcus Povey <marcus@dushka.co.uk>
	  * Fixed language autoload

2008-04-02  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * End of day

2008-04-02  ben

	* Assorted entity fixes
	* Plugins now autoregister translations
	* Small fix for get_entities
	* Blog posting

2008-04-02  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Access id better handled
	* Marcus Povey <marcus@dushka.co.uk>
	  * Subtype is converted to its exportable string version

2008-04-02  ben

	* Removed some unnecessary debug junk
	* Fixed action registration for plugins

2008-04-02  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Minor tweak to actually get the command from it all

2008-04-02  ben

	* Modified page_draw to behave correctly depending on sessions
	* Language updates
	* Removing debug issue
	* Debug message in actions
	* Changing the destination of the register form
	* Separating sitename and title in the header
	* Let's make the classes for input elements consistent
	* Reinstating the side menu

2008-04-02  dave

	* basic skin added

2008-04-02  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * BUGFIX: User creation
	  * User import functionality working
	* Marcus Povey <marcus@dushka.co.uk>
	  * BUGFIX: Offset/limit
	* Marcus Povey <marcus@dushka.co.uk>
	  * Value to value_id
	* Marcus Povey <marcus@dushka.co.uk>
	  * Now using method=post
	* Marcus Povey <marcus@dushka.co.uk>
	  * REMOVED DEBUG
	  * WARNING!!! THERE IS A PHP BUG ON UBUNTU/APACHE2/PHP5 that will
	  prevent metadata from functioning. Values appear to get unset.
	  No fix known.
	* 
	* 
	* 
	* 
	* 
	* 
	* 
	* 
	* debug
	* removed debug
	* debug
	* debug
	* debug
	* Marcus Povey <marcus@dushka.co.uk>
	  * Entity type/ subtype functional
	* Marcus Povey <marcus@dushka.co.uk>
	  * get_metadata_byname better handles single/multiple return
	  values
	* 
	* Marcus Povey <marcus@dushka.co.uk>
	  * get_metadata_byname better handles single/multiple return
	  values

2008-04-02  ben

	* Slight change to blogs

2008-04-02  icewing

	* debug
	* removed debug
	* debug
	* test

2008-04-02  ben

	* htaccess dist
	* Small fix
	* Smaller version of previous
	* Introducing page_owner_entity
	* Removing the friends module (it's unnecessary)
	* Fix to previous
	* Reverting page_owner

2008-04-01  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * End of day...
	* Marcus Povey <marcus@dushka.co.uk>
	  * Moved common functionality of metadata and annotations into
	  superclass.

2008-04-01  ben

	* Further adventures in blogging; saving for now
	* Blog mod and welcome screen updates
	* Update to docs for previous
	* page_owner() now returns an ElggUser or false
	* Modified toolbox to display menu items correctly
	* Fixed the menu item function

2008-04-01  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Removed debug

2008-04-01  ben

	* Initial blog plugin commit
	* Added the register_languages function, for easier loading of
	  language files from plugins
	* Registration, login, logout work. Victory!
	* Registration form update
	* Updated the registration function
	* Further adventures in registration

2008-04-01  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Some UUID functions

2008-04-01  ben

	* User registration gubbins

2008-04-01  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Used wrong function decl
	* Marcus Povey <marcus@dushka.co.uk>
	  * Added import block
	* Marcus Povey <marcus@dushka.co.uk>
	  * Moved import to ElggEntity
	* Marcus Povey <marcus@dushka.co.uk>
	  * Moved import to ElggEntity

2008-04-01  ben

	* Fixed some session stuff, modified a few views

2008-04-01  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Moved import to ElggEntity
	* Marcus Povey <marcus@dushka.co.uk>
	  * Moved import to ElggEntity
	* Marcus Povey <marcus@dushka.co.uk>
	  * Entities owner_guid exported as owner_uuid

2008-03-31  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Tidied up comments
	* Marcus Povey <marcus@dushka.co.uk>
	  * Somewhat more robust import logic
	* Marcus Povey <marcus@dushka.co.uk>
	  * Owner guid converted to a uuid
	* Marcus Povey <marcus@dushka.co.uk>
	  * Initial xml import.
	* Marcus Povey <marcus@dushka.co.uk>
	  * Export of entities now includes uuid

2008-03-31  ben

	* Removing the mod/test plugin. It doesn't need to be here...

2008-03-31  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Reverted regression

2008-03-29  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * No such entity error thrown if invalid guid given for export

2008-03-28  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Metadata and Annotations now exported.
	* Marcus Povey <marcus@dushka.co.uk>
	  * Preloads export library - todo: do this better!
	* Marcus Povey <marcus@dushka.co.uk>
	  *
	* Marcus Povey <marcus@dushka.co.uk>
	  * Export test
	* Marcus Povey <marcus@dushka.co.uk>
	  * Export functionality for ElggEntity and children
	* Marcus Povey <marcus@dushka.co.uk>
	  * Whitespace
	* Marcus Povey <marcus@dushka.co.uk>
	  * Using export() instead of toStdClass()

2008-03-28  ben

	* Corresponding fix for register_plugin_hook
	* Fix for trigger_plugin_hook
	* Autoconfiguration update .. again
	* Some extra params for elgg_view_entity
	* Added elgg_view_entity(ElggEntity $entity) to intelligently
	  display entities

2008-03-28  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Moved XML serialisation functions to export.php

2008-03-28  ben

	* Added custom return values to trigger_plugin_hook
	* Some extra documentation
	* Plugin hooks

2008-03-27  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Sketch import/export functions added, pending event handling
	  functions
	* Marcus Povey <marcus@dushka.co.uk>
	  * Array support added
	* Marcus Povey <marcus@dushka.co.uk>
	  * Add / update meta from array
	* Marcus Povey <marcus@dushka.co.uk>
	  * Multiple meta tag support (requires db schema change)
	* Marcus Povey <marcus@dushka.co.uk>
	  * Removed sql restriction to allow multiple tag entries

2008-03-26  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Basic API testrig

2008-03-25  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Subtype subclass instantiation
	* Marcus Povey <marcus@dushka.co.uk>
	  * IO Exception if cache directory doesn't exist
	* Marcus Povey <marcus@dushka.co.uk>
	  * Removed debug.
	* Marcus Povey <marcus@dushka.co.uk>
	  * Array support added to api
	* Marcus Povey <marcus@dushka.co.uk>
	  * Call method now specified in api

2008-03-22  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Whitespace removed

2008-03-21  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Tweak for unrecognised output format handling

2008-03-20  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * tags
	* Marcus Povey <marcus@dushka.co.uk>
	  * Annotations now using metastrings table for name_ids
	  * Stupid amounts of whitespace removed
	* Marcus Povey <marcus@dushka.co.uk>
	  * Metadata now using metastrings
	  * Entities will now throw an exception when creation is attempted
	  with no owner
	* Marcus Povey <marcus@dushka.co.uk>
	  * Tags
	* Marcus Povey <marcus@dushka.co.uk>
	  * a/cvs/csv ... oops
	* Marcus Povey <marcus@dushka.co.uk>
	  * Age checking on cache.

2008-03-19  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Exports working system.api.list
	* Marcus Povey <marcus@dushka.co.uk>
	  * Removed warning when calling undeclaired functions
	* Marcus Povey <marcus@dushka.co.uk>
	  * Added some default values - these should be removed!
	* Marcus Povey <marcus@dushka.co.uk>
	  * Using simple cache for replay protection... still need to clear
	  cache of old files etc.
	* Marcus Povey <marcus@dushka.co.uk>
	  * Cache no longer using matrix directory due to issues with
	  mkdir.
	* Marcus Povey <marcus@dushka.co.uk>
	  * Added expose and call functions.
	* Marcus Povey <marcus@dushka.co.uk>
	  * Added expose and call functions.
	* Marcus Povey <marcus@dushka.co.uk>
	  * API now uses PAM

2008-03-18  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * API now supporting pluggable output format
	* Marcus Povey <marcus@dushka.co.uk>
	  * Added VERY simple tasklist plugin.
	* Marcus Povey <marcus@dushka.co.uk>
	  * Final tweaks
	* Marcus Povey <marcus@dushka.co.uk>
	  * Moved order and limit the right way
	* Marcus Povey <marcus@dushka.co.uk>
	  * Get Metadata now actually works
	* Marcus Povey <marcus@dushka.co.uk>
	  * Modified to better deal with metastrings table
	* Marcus Povey <marcus@dushka.co.uk>
	  * Value to value_id

2008-03-17  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * getOwner now consistent with class hierachy
	* Marcus Povey <marcus@dushka.co.uk>
	  * getOwner now consistent with class hierachy
	* Marcus Povey <marcus@dushka.co.uk>
	  * Fixed sql error on clear annotaitons
	* Marcus Povey <marcus@dushka.co.uk>
	  * limit/offset the wrong way round
	* Marcus Povey <marcus@dushka.co.uk>
	  * guid not needed in subtype since this is just a label.
	* Marcus Povey <marcus@dushka.co.uk>
	  * BUGFIX: Added config
	* Marcus Povey <marcus@dushka.co.uk>
	  * Some minor tweaks
	* Marcus Povey <marcus@dushka.co.uk>
	  * Reverted regression caused by previous revision

2008-03-15  ben

	* Session functionality, hello again!

2008-03-14  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Removed error outputs
	  * Fixed languages
	* Marcus Povey <marcus@dushka.co.uk>
	  * Made site test conditional to remove debug message

2008-03-14  ben

	* A quick syntax fix for objects

2008-03-14  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Get and set annotations seem to be working
	* Marcus Povey <marcus@dushka.co.uk>
	  * Get annotations

2008-03-14  ben

	* Whoops, that should be users.php
	* Removed a needless comment
	* New users module
	* Adding a couple of extra functions, deleting the old users module

2008-03-14  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Annotations added
	* Marcus Povey <marcus@dushka.co.uk>
	  * Added average calcs
	* Marcus Povey <marcus@dushka.co.uk>
	  * Removed debug
	* Marcus Povey <marcus@dushka.co.uk>
	  * Metadata code

2008-03-14  ben

	* Added new objects class
	* Removing old objects class

2008-03-14  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Metastrings modified for new schema
	* Marcus Povey <marcus@dushka.co.uk>
	  * Belts and braces
	* Marcus Povey <marcus@dushka.co.uk>
	  * Belts and braces

2008-03-13  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Use $CONFIG->debug = true to enable query profiling
	* Marcus Povey <marcus@dushka.co.uk>
	  * Finally got sites to load :)
	* Marcus Povey <marcus@dushka.co.uk>
	  * Undone
	* Marcus Povey <marcus@dushka.co.uk>
	  * Owner ID detected if not specified.
	* Marcus Povey <marcus@dushka.co.uk>
	  * Now saves
	* Marcus Povey <marcus@dushka.co.uk>
	  * Access control fields ok
	* Marcus Povey <marcus@dushka.co.uk>
	  * Access using new schema
	* Marcus Povey <marcus@dushka.co.uk>
	  * Added access groups
	* Marcus Povey <marcus@dushka.co.uk>
	  * Fixed insert SQL
	* Marcus Povey <marcus@dushka.co.uk>
	  * Types initialised for first time creation
	* Marcus Povey <marcus@dushka.co.uk>
	  * Bugfix: getMetaData
	* Marcus Povey <marcus@dushka.co.uk>
	  * Bugfix: setMetaData
	* Marcus Povey <marcus@dushka.co.uk>
	  * Made URL unique
	* Marcus Povey <marcus@dushka.co.uk>
	  * Commented out sites_init - this needs to be rewritten!
	* Marcus Povey <marcus@dushka.co.uk>
	  * Added ElggSite
	* Marcus Povey <marcus@dushka.co.uk>
	  * Added relationship code
	* Marcus Povey <marcus@dushka.co.uk>
	  * Removed site_guid references, since this should be handled by
	  relationships
	* Marcus Povey <marcus@dushka.co.uk>
	  * Ooops... forgot access controls
	* Marcus Povey <marcus@dushka.co.uk>
	  * Changed a couple of table names
	* Marcus Povey <marcus@dushka.co.uk>
	  * Added delete_entity
	* Marcus Povey <marcus@dushka.co.uk>
	  * Initial framework of ElggEntity code
	* Marcus Povey <marcus@dushka.co.uk>
	  * A little bit of extra info.
	* Marcus Povey <marcus@dushka.co.uk>
	  * Made subtype a unique key
	* Marcus Povey <marcus@dushka.co.uk>
	  * New database schema. THIS IS A FLAG DAY!

2008-03-13  ben

	* Added the ability to set an alternative template handler

2008-03-12  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Multiple searches.
	* 
	* Marcus Povey <marcus@dushka.co.uk>
	  * Subtyping on annotations and metadata
	* Marcus Povey <marcus@dushka.co.uk>
	  * BUGFIX: get_data now catches mysql_errors

2008-03-12  ben

	* Actions fix
	* Language updates

2008-03-12  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Added get_entity_subtypes function
	* Marcus Povey <marcus@dushka.co.uk>
	  * object_* changed to entity_* in metadata and annotations

2008-03-12  ben

	* Fixing incorrect primary key
	* Fixing incorrect primary key
	* Updates to both objects (in order to be able to resave type
	  properly) and access (to add useful constants)

2008-03-12  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * object_* changed to entity_* in metadata and annotations
	* Marcus Povey <marcus@dushka.co.uk>
	  * object_* changed to entity_*

2008-03-11  ben

	* Quick fix.

2008-03-11  dave

	* tweak to ben's elgg 0.2 theme plugin

2008-03-11  ben

	* Adding a friendly old template to the test plugin

2008-03-11  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * File cache outline

2008-03-11  dave

	* css tweak
	* index page changes so it now logs you into the dashboard
	* css, dashboard and topmenu tweaks

2008-03-11  ben

	* Fixes for previous
	* God bless 'em! Plugins now autoregister their own views.

2008-03-11  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Removed subtypes until problems with tag system are sorted out.
	* Marcus Povey <marcus@dushka.co.uk>
	  * Added orderby and limits

2008-03-11  ben

	* Page_draw echoes

2008-03-11  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * ElggCache superclass
	* Marcus Povey <marcus@dushka.co.uk>
	  * Value type added

2008-03-11  ben

	* user_info() ftw

2008-03-11  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Added api to list apis

2008-03-11  ben

	* Et voila: page ownership!
	* The pageshell now correctly passes elements to the header, footer
	  etc.
	* Minor test plugin fix
	* Menu items fix
	* Initial test plugin menu items
	* Toolbox navigation edit
	* Registers and menu items

2008-03-11  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Site id specified
	* Marcus Povey <marcus@dushka.co.uk>
	  * Removed log
	* Marcus Povey <marcus@dushka.co.uk>
	  * Added metadata/metastrings tag stuff. Lorks.
	* Marcus Povey <marcus@dushka.co.uk>
	  * Fixed db problems
	* Marcus Povey <marcus@dushka.co.uk>
	  * Removed count based on this conversation:
	  
	  [10:05:38] … basically, if you add an item, you need to create a
	  tag entry in the metastrings table (as discussed yesterday)
	  [10:05:56] … if you then delete the item, that leaves a tag
	  [10:06:07] … if you want to delete the tag when nothing
	  references it
	  [10:06:11] … it needs a counter
	  [10:06:29] … which means for every add and delete query you need
	  to check for and sometimes update this counter
	  [10:06:36] … making three queries for every one
	  [10:06:47] … but if you don't do that the meta strings table
	  grows over time
	  [10:06:54] … making it space inefficient
	  [10:07:03] … so, which do you do?
	  [10:10:31] … ?
	  [10:10:43] … i'd be tempted to not delete
	  [10:10:58] … because the multiple queries will be a pain for
	  everyone all the time
	  [10:11:05] … and storage costs are cheap
	  [10:11:32] Ben Werdmuller: I would be very tempted to do the same
	  [10:11:35] … so let's do that :)
	  [10:11:36] Marcus Povey: maybe we could write an admin script to
	  clean up or something
	  [10:11:45] Ben Werdmuller: exactly, we could clean up on a cron
	  if people really want
	  [10:11:59] … but for now, let's just go with the growing tag
	  cloud

2008-03-10  ben

	* More language integration
	* Languages! There's a little more to do, but ...

2008-03-10  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Added count
	* Marcus Povey <marcus@dushka.co.uk>
	  * Changed metadata database to use metastrings as described (all
	  values in metadata are now storing data only once)
	* Marcus Povey <marcus@dushka.co.uk>
	  * First draft api

2008-03-10  ben

	* Updated ref to get_objects
	* Fixing access permissions error on site update
	* Updated objects with metadata and annotations

2008-03-10  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Tokens and execute code added to api

2008-03-10  dave

	* top level navigation added
	* changes to the text pages
	* some new views

2008-03-10  ben

	* Adding metadata and annotations for users.

2008-03-10  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Erp

2008-03-10  dave

	* logout bug fix

2008-03-10  icewing

	* 
	* Marcus Povey <marcus@dushka.co.uk>
	  * Simple maths functions added
	* Marcus Povey <marcus@dushka.co.uk>
	  * Site objects

2008-03-10  ben

	* Messages and actions: fixed!

2008-03-10  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Remove site metadata
	* Marcus Povey <marcus@dushka.co.uk>
	  * Get user sites

2008-03-10  ben

	* Fixing the login form

2008-03-09  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Commented out my testing
	* 
	* Marcus Povey <marcus@dushka.co.uk>
	  * Fixed copy constructor
	* Marcus Povey <marcus@dushka.co.uk>
	  * Will now return objects via metadata
	* 
	* Marcus Povey <marcus@dushka.co.uk>
	  * Corrected database fault

2008-03-08  dave

	* add url field to settings
	* css tweak
	* crude login and logout functionality

2008-03-08  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Added get_objects_from_metadatas (untested)

2008-03-08  ben

	* Configuration fix

2008-03-08  dave

	* jquery added to core

2008-03-07  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Add name and value to get_metadatas

2008-03-07  ben

	* Log in and logout
	* Test plugin
	* Event API fix
	* Some extra plugins stuff
	* Grabbing the ElggUser and sticking it in the session as
	  appropriate
	* Users and friends
	* Fix for ElggSites

2008-03-07  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Initial work on API

2008-03-06  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Added delete annotations, fixed error on annotation search
	  (missing params)
	* Marcus Povey <marcus@dushka.co.uk>
	  * Delete site implemented
	* Marcus Povey <marcus@dushka.co.uk>
	  * Count added
	* Marcus Povey <marcus@dushka.co.uk>
	  * Casting done
	* Marcus Povey <marcus@dushka.co.uk>
	  * Updated
	* Marcus Povey <marcus@dushka.co.uk>
	  * Added count to annotations
	* Marcus Povey <marcus@dushka.co.uk>
	  * Casting takes advantage of constructor
	* Marcus Povey <marcus@dushka.co.uk>
	  * Initial annotations and metadata get/sets functional, combined
	  with site test
	* Marcus Povey <marcus@dushka.co.uk>
	  * Can retrieve annotations
	* Marcus Povey <marcus@dushka.co.uk>
	  * Metadata creates and updates
	* Marcus Povey <marcus@dushka.co.uk>
	  * Meta now updates if item already exists (if the user has
	  permission)

2008-03-06  ben

	* Objects are now cast to ElggObjects on get

2008-03-06  icewing

	* Marcus Povey <marcus@dushka.co.uk>
	  * Cleared up typo
	* Marcus Povey <marcus@dushka.co.uk>
	  * User ID detected if not provided
	* Marcus Povey <marcus@dushka.co.uk>
	  * Very crude type detection for annotation tags, defaults to
	  'tag'
	* Marcus Povey <marcus@dushka.co.uk>
	  * Implemented update site
	* Marcus Povey <marcus@dushka.co.uk>
	  * Ability to change owner
	* Marcus Povey <marcus@dushka.co.uk>
	  * Ability to change owner
	* Marcus Povey <marcus@dushka.co.uk>
	  * Fixed get/sets
	* Fixed ElggObject attributes.
	* 
	* Marcus Povey <marcus@dushka.co.uk>
	  * Removed write access id on sites since it seemed superfluous

2008-03-05  icewing

	* End of day
	* Marcus Povey <marcus@dushka.co.uk>
	  * Sanitise trims as well
	* Marcus Povey <marcus@dushka.co.uk>
	  * A couple more exceptions
	* Marcus Povey <marcus@dushka.co.uk>
	  * Exceptions that are handled by the default elgg error handler
	  are now echoed to the error log.
	* Minor tweaks
	* Switching to desktop
	* Types forced on $object->value
	* Added metadata object and methods
	* Added owner id to metadata
	* Changed mysql_real_escape_string to sanitise_string
	* Get annotations

2008-03-04  icewing

	* Commit so i can switch to the laptop...
	* initial annotations library added (untested)
	* Added metadata and annotations, removed superfluous tables.
	* 
	* Get site prototype
	* Save
	* Added a basic ElggSite outline

2008-03-03  ben

	* Further additions to the ElggObject, according to spec

2008-03-03  icewing

	* new site db
	* Fixed get_tables so install works correctly
	* Fixed wwwroot

2008-03-03  ben

	* Extending stdClass is silly
	* Removed some notices
	* Fixed install issue

2008-03-03  icewing

	* removed echo

2008-03-03  ben

	* Installation issues: fixed

2008-03-03  icewing

	* Fixed short circuit comparison

2008-03-03  ben

	* Some further fixes
	* Views directory fix

2008-03-03  icewing

	* Fixed file exist error
	* Removed test to see if .htaccess exists, this test doesn't work
	  on my machine. Reason unknown.
	* Candidate for deletion

2008-03-03  ben

	* Added callbacks to get_data
	* Some misc changes

2008-03-03  icewing

	* Database errors now distinct from "no data", errors are hard
	  fails

2008-02-17  ben

	* Further metadata and ElggObject updates.
	* Added most of an ElggObject class
	* Full object and object metadata CRUD functionality

2008-02-15  ben

	* All kinds of object and database stuff
	* Added the concept of a site_id to msot of the database tables.
	  Also some extra installation stuff.
	* Added a CSS file
	* Adding more plugin-related fun
	* Various configuration things
	* Simple plugin mechanism
	* Correction to previous
	* Plugins can now extend views.
	* Importing the dynamic CSS file

2008-02-14  ben

	* Some further installation tweaks
	* A simple beginning to an install script
	* Slight changes to the structure
	* Changes to site structure
	* Actions, .htaccess, and the database schema

2008-02-13  ben

	* Added more context to the database function notes
	* Added some fancy database connection gubbins. If you give it
	  loads of read or write dbs to pick from, Elgg will choose one at
	  random for each category!
	* Messages and exceptions, working merrily together. Aww.
	* Standard messages are now displayed.
	* Further message handling in the template
	* Exception handling

2008-02-13  icewing

	* Moving on to explodenew
	* Updates
	* Added input method
	* Start now reporting errors using exceptions...
	* Added installation exception
	* Loads now
	* Ooops...
	* Loading exceptions
	* Added error handler stuff.
	* Added exceptions
	* Added CVS exclude to start.php

2008-02-13  ben

	* A slightly better no-settings error. It's probably a good idea to
	  eventually allow people to edit settings.php directly if they
	  have the access defined.
	* Let's be a little more friendly.
	* Some error reporting and initial (very, very basic) templating
	* A little reoirganisation in elgglib

2008-02-12  ben

	* Adding priority and a little more description to the events API.
	* Adding the events API
	* Sanitisation
	* Introducing views and some sanitisation
	* The engine starter now functions appropriately

2008-02-11  ben

	* Some more bootstrapping.
	* Some initial commits.
	* Further filesystem setup
	* Initial directories

